2009-04-30  Don Scorgie  <dscorgie@src.gnome.org>

	* src/yelp-window.c: 
	Fix spurious frees when using right-click menu

2009-04-30  Don Scorgie  <dscorgie@src.gnome.org>

	* src/yelp-info-parser.c: 
	* stylesheets/info2html: 
	Add support for displaying images in info
	files
	Bug #568209 - patch by Jan Nieuwenhuizen

2009-04-30  Don Scorgie  <dscorgie@src.gnome.org>

	* src/yelp-window.c: 
	* src/yelp-utils.c:
	Fix a crash when requesting bad URIs from the
	command line (and show the main index in the
	process)
	Fix loading "local" files from the current
	directory - bug #575405 (at least)
	

2009-04-29  Don Scorgie  <dscorgie@src.gnome.org>

	* src/yelp-window.c: 
	* src/yelp-utils.c: 
	Fix a series of issues resulting from the
	gio port (bug #558633 - patch by epic GNOME
	hero Vincent Untz)

2009-04-29  Don Scorgie  <dscorgie@src.gnome.org>

	* src/yelp-window.c: 
	* src/yelp-utils.c: 
	* src/yelp-utils.h: 
	Add plain text handler
	Bug #565502 - patch from Josselin Mouette

2009-04-29  Don Scorgie  <dscorgie@src.gnome.org>

	* src/yelp-bookmarks.c: 
	* src/yelp-window.c: 
	Convert gnome-config useage to GKeyFile
	Bug #570731 based on the patch from
	Filipp Ivanov
	* src/yelp-window.c:
	g_free is NULL-safe, so remove checks added in
	previous checkin (and cleanup a little)
	
2009-04-29  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c: 
	* src/yelp-window.c: 
	Fix a bundle of memory leaks

2009-04-28  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-info-parser.c: 
	* src/yelp-utils.c: 
	Fix uncompressed info page accesses
	(bug #578350 - patch from parthasarathi susarla)

2009-04-28  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c: 
	* src/yelp-settings.c: 
	* src/yelp-bookmarks.c: 
	* po/POTFILES.in: 
	* data/ui/Makefile.am: 
	* configure.in: 
	* data/ui/yelp.glade (deleted):
	* data/ui/yelp-bookmarks-add.ui (added):
	* data/ui/yelp-bookmarks.ui (added):
	* data/ui/yelp-open-location.ui (added):
	* data/ui/yelp-preferences.ui (added):
	Port from glade to GtkBuilder
	(Thomas Andersen - bug #579894)
	
2009-04-27  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c: 
	Replacing syncronous spawn functions by a simple 
	gtk_show_uri (fixes bug #561404 - patch from
	Lincon de Sousa)

2009-04-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-transform.c:
	- Patched memory leak, bug #578372, from Machael Chudobiak

2009-04-08  Shaun McCance  <shaunm@gnome.org>

	* src/info2html/Makefile.am:
	* src/info2html/html.c:
	* src/info2html/html.h:
	* src/info2html/main.c:
	* src/info2html/utils.c:
	* src/info2html/utils.h:
	* src/man2html/Makefile.am:
	* src/man2html/README:
	* src/test-pager.c:
	* src/yelp-db-pager.c:
	* src/yelp-db-pager.h:
	* src/yelp-db-print-pager.c:
	* src/yelp-db-print-pager.h:
	* src/yelp-info-pager.c:
	* src/yelp-info-pager.h:
	* src/yelp-man-pager.c:
	* src/yelp-man-pager.h:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	* src/yelp-search-pager.c:
	* src/yelp-search-pager.h:
	* src/yelp-toc-pager.c:
	* src/yelp-toc-pager.h:
	* src/yelp-xslt-pager.c:
	* src/yelp-xslt-pager.h:
	- Removing old files

2009-04-08  Pedro Fragoso  <ember@ubuntu.com>

	* src/gtkentryaction.c:
	* src/gtkentryaction.h:
	* src/yelp-bookmarks.c:
	* src/yelp-bookmarks.h:
	* src/yelp-main.c:
	* src/yelp-print.h:
	* src/yelp-settings.h:
	* src/yelp-window.h:
	GNOME Goal: Clean up GLib and GTK+ includes (Closes: #563865)

2009-03-16  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* NEWS:
	- Version 2.26.0

2009-03-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-man-parser.c:
	- Don't assume order of certain macros, bug #568066, from Andy Owen

2009-03-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-document.c:
	- Unlock mutex on error, bug #568058, from Andy Owen

	* stylesheets/toc2html.xsl.in:
	- Indentation fix

2009-03-02  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* NEWS:
	- Version 2.25.1

2009-03-01  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* src/yelp-toc.c:
	* stylesheets/toc2html.xsl:
	* stylesheets/toc2html.xsl.in:
	* stylesheets/Makefile.am:
	- RTL fixes for bug #573159

2009-03-01  Christian Persch  <chpe@gnome.org>

	* configure.in: Treat libxul and libxul-embedding the same as far as the
	MOZILLA_COMPONENT pkg-config check is concerned.

2009-03-01  Christian Persch  <chpe@gnome.org>

	* m4/gecko.m4: Fix libxul[-embedding] detection.

2009-02-25  Thomas H.P. Andersen  <phomes@gmail.com>

	* src/yelp-base.c (yelp_base_init):
	* src/yelp-settings.c (settings_update):
	* src/yelp-window.h:
	* src/yelp-html.h:
	Replace deprecated gtk symbols. Bug #571868

2009-02-25  Andre Klapper  <a9016009@gmx.de>

	* src/yelp-search-parser.c (search_clean_snippet):
	Fix crash. Patch by Antonio Litterio. Fixes bug #552947.

2008-12-23  Josselin Mouette  <joss@malsain.org>

	* src/yelp-window.c: (window_do_load_html):
	- Load local files with g_file_new_for_path.
	- Do not loop endlessly over the end of file while
          reading it.
	Fixes bug #562137 - fails to load local HTML files

== 2.24.0 ==

2008-09-22  Don Scorgie  <dscorgie@svn.gnome.org>

	* NEWS: 
	* configure.in:
	Version 2.24.0

2008-09-15  Don Scorgie  <dscorgie@svn.gnome.org>

	* yelp.desktop.in.in:
	Add yelp to the "Documentation" fd.o category
	part of bug #552128

2008-09-15  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-document.c (request_idle_final):
	Fix potential crasher on multi-core machines
	bug #551757 -  Joe Marcus Clarke

2008-09-15  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-html.cpp:
	Improved a11y under gecko 1.9
	- Yet more work on bug #545162 from Ginn Chen

2008-09-11  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-html.cpp:
	Reinstate previous timeout workaround as it's still required

2008-09-11  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-html.cpp:
	Add workaround for Gecko 1.9 accessibility issue
	bug #545162 - Ginn Chen

== 2.23.91 ==
	
2008-09-01  Don Scorgie  <dscorgie@svn.gnome.org>

	* NEWS:
	Version 2.23.91

	* src/yelp-utils.c (resolve_full_file):
	Make text files actually work (i.e. open external vewing program)

2008-09-01  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c (resolve_is_man_path):
	Don't crash when trying to load text files
	bug #549986 - Josselin Mouette

2008-08-14  J.H.M. Dassen (Ray)  <jdassen@debian.org>

	* src/yelp-info-parser.c (yelp_info_parser_parse_file):
	Allocate iter through g_slice_alloc0 instead of g_malloc0.
	iter is wrapped in a hash table and later freed by gtk_tree_iter_free,
	which uses g_slice_free.
	bug #520266, "Crash when viewing glibc manual".
	Analysis by Matthias Clasen.

2008-08-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.23.91.

==================== 2.23.2 ====================

2008-08-21  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* NEWS:
	- Version 2.23.2

2008-08-12  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c (window_error):
	Fix string vulnerability
	bug #546364 - patch from Christian Persch
	reported by Aaron Grattafiori

2008-06-27  Luca Ferretti  <elle.uca@libero.it>

	* src/yelp-main.c: (main):
	* src/yelp-window.c: (window_about_cb):
	* yelp.desktop.in.in:

	Use "help-browser" named icon from fd.o icon naming spec
	instead deprecated "gnome-help".

=== 2.23.1 ===

2008-06-02  Don Scorgie  <dscorgie@svn.gnome.org>

	* NEWS:
	* configure.in:
	Version 2.23.1

2008-05-25  Don Scorgie  <dscorgie@svn.gnome.org>

	* yelp.desktop.in.in:
	Only show desktop entry in GNOME as
	other desktops will ship their own help browser
	bug #522994

2008-05-25  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c (window_print_document_cb):
	Fix printing whole document
	bug #525593

2008-05-25  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c (resolve_process_ghelp):
	Fix gnome-help: URIs
	bug #528434

2008-05-25  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/Makefile.am:
	Fix parallel make
	bug #531014 - Rémi Cardona

2008-05-25  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in:
	* src/yelp-search-parser.c (check_finished), (snippet_response),
	(search_parser_process_idle):
	Add support for newer releases of Beagle
	bug #511244 - patch from Arun Raghavan

2008-05-23  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-search-parser.c (search_clean_snippet):
	Don't crash searching on multibyte characters
	bug #513668 - patch from Takao Fujiwara

2008-05-23  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in:
	* src/test-resolver.c (main):
	* src/test-uri.c (main):
	* src/yelp-base.c:
	* src/yelp-main.c (main):
	* src/yelp-search-pager.c:
	* src/yelp-search-parser.c:
	* src/yelp-toc-pager.c (process_omf_pending):
	* src/yelp-utils.c (resolve_process_ghelp), (resolve_full_file):
	* src/yelp-window.c (window_do_load_html), (window_print_page_cb):
	Port to use gio instead of gnome_vfs
	bug #513852 - patch from Alon Zakai

2008-05-23  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in:
	* m4/gecko.m4:
	* src/Makefile.am:
	* src/yelp-gecko-services.cpp:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-io-channel.c:
	* src/yelp-main.c (main):
	Add support for XULRunner / Firefox 3 backend
	Bug # 499744 - Patch from Christian Persch

=== 2.22.1 ===

2008-04-07  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* NEWS:
	- Version 2.22.1

2008-04-07  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Don't launch external programs under GDM (#525447)

=== 2.22.0 ===

2008-03-09  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in:
	* NEWS:
	Version 2.22.0

2008-02-02  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-man.c:
	* src/yelp-transform.c:
	* src/yelp-toc.c:
	* src/yelp-info.c:
	* src/yelp-window.c:
	* src/yelp-docbook.c:
	* src/yelp-document.c:
	* src/yelp-document.h:
	Only propagate final signals
	once we have really finished
	processing documents
	Fixes bug #476498, hopefully
	+
	Fix looking for non-existant
	IDs once the document loading is complete
	+
	Remove debug spew when trying to
	add specifically defined x-yelp-index
	
=== 2.21.90 ===
2008-01-28  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in: 
	* NEWS:
	Version 2.21.90

2008-01-21  Don Scorgie  <dscorgie@svn.gnome.org>

	* data/ui/yelp-ui.xml: 
	Remove forgotten "FindSlash" action
	that shouldn't have ever been committed

	* src/yelp-info.c: 
	* src/yelp-transform.c:
	* src/yelp-man.c:
	* src/yelp-settings.c:
	* src/yelp-docbook.c:
	* src/yelp-print.c:
	Fix various compiler warnings

	* src/yelp-window.c:
	Fix compiler warnings
	Remove additional debug printf
	
	* src/yelp-utils.c:
	Fix man sectioning stuff

	* src/yelp-toc.c:
	Fix reloading on TOC pages
	
	
2008-01-18  Davyd Madeley  <davyd@madeley.id.au>

	* src/yelp-window.c:
	- fix Ctrl-R reload
	- plug leak of priv->uri
	* src/yelp-document.c:
	- fix YelpDocument->dispose

2008-01-13  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/gtkentryaction.c: 
	* src/gtkentryaction.h: 
	* src/yelp-window.c: 
	Make / activate find
	Make find go away when losing focus (like epiphany)
	
	
	* src/yelp-window.c: 
	Fix crash on going backward then forward after
	an external link (bug #487849)

	* data/toc.xml.in: 
	Fix Games category
	
	* data/toc.xml.in: 
	Fix some menu titles to be non-insane names
	Add translator comments to unclear menu entries
	

2008-01-10  Don Scorgie  <dscorgie@svn.gnome.org>

	* yelp.desktop.in.in: 
	Remove depreciated items
	(bug #500483)
	
	* src/yelp-search-parser.c: 
	Fix potential crash when comment is NULL
	(bug #501559 - Matt Keenan)
	
	* src/yelp-gecko-services.cpp: 
	Fix crash on shutdown using xulrunner 1.8.x
	(bug #503317 -  Markus Kanet)
	
	* src/yelp-search-parser.c: 
	Get a beagle client if it's available
	allowing beagle to be used again
	(bug #504163)

=== 2.21.2 ===
2008-01-07  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in:
	* NEWS:
	Version 2.21.2

2008-01-07  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in: 
	* src/yelp-io-channel.c:
	* src/yelp-info-parser.c:
	* src/yelp-utils.c:
	* src/Makefile.am:
	Add LZMA support
	bug #470990 - Per Øyvind Karlsen

	* src/yelp-window.c: 
	Fix find bar up to look more like epiphany
	Bug #483305 - Michael Monreal
	
	* src/yelp-settings.c: 
	Make colours reflect theme better

	* src/yelp-search-parser.c:
	Fix crash on NULL search string.  Again.
	Correct a small typo in translator comment

	* README:
	Update slightly to remove scrollkeeper references
	
2008-01-04  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- String corrections from Seán de Búrca, fixed #505797

=== 2.21.1 ===
2007-12-03  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in:
	* NEWS:
	Version  2.21.1

2007-11-27  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-toc.c:
	* src/yelp-search-parser.c:
	* src/yelp-utils.c:
	* data/toc.xml.in:
	* stylesheets/toc2html.xsl:
	Port to Rarian 0.8 series

2007-11-07  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c: 
	x-yelp-toc uri scheme frags now strip leading '#' 
	and '?'s (bug #482290)
	
	* src/yelp-window.c: 
	Fix debug build (bug #492882)
	
	* src/yelp-window.c: 
	Fix stupidity in loading HTML docs
	(bug #493594 - Matthias Clasen)

	* src/yelp-search-parser.c: 
	Fix NULL-checking of URI in slow search
	(bug #493751)

=== 2.20.0 ===

2007-09-17  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in:
	* NEWS:
	Version 2.20.0

2007-09-06  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Make sure we jump to anchors (Don)

	* src/yelp-docbook.c:
	- Set automatic IDs on all divisions, not just chunks

2007-09-06  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-docbook.c:
	- Pass the computed chunk depth to the stylesheets

2007-09-06  Don Scorgie  <dscorgie@svn.gnome.org>

	* stylesheets/toc2html.xsl:
	* stylesheets/info2html.xsl:
	* stylesheets/man2html.xsl:
	Respect theme settings again

2007-09-05  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-transform.c: 
	Fix potential crasher in transform + various
	other minor fixes
	(based on patch from Hans Petter Jansson - bug #469436)

	* src/yelp-window.c:
	Fix potential abuse of freed strings
	(patch from Hans Petter Jansson - bug #469438)
	
	* data/icons/yelp-icon-big.png:
	New tango-ified version

2007-09-03  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c:
	If mime type isn't detected, don't crash
	bug #472128 based on patch by Hans Petter Jansson
	
	* src/yelp-debug.c:
	* src/yelp-search-parser.c:
	C89 fixes from Jens Granseuer (bug #472489)

2007-08-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Removing a debugging printf I'd accidentally left in

2007-08-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Use g_filename_to_uri to ensure file URIs are right, fixed broken figures

2007-08-20  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* src/yelp-settings.c:
	* src/yelp-settings.h:
	- Make the icons respect the theme again

2007-08-17  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-settings.c:
	* stylesheets/yelp-common.xsl:
	* stylesheets/db2html.xsl.in:
	- Themed colors and some CSS customizations

==================== 2.19.90 ====================

2007-08-13  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in:
	* NEWS:
	Bump to version 2.19.90
	
	* Makefile.am: 
	s/yelp.desktop.in/yelp.desktop.in.in/
	Fixes distcheck (1) - other is in po/ChangeLog
	(Rodney Dawes)
	
2007-08-12  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c: 
	When no frag specified, use x-yelp-index instead
	of index as this breaks some documents

	Don't idle-write to gecko as this (apparently) breaks
	about eleventy billion info pages

2007-08-07  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-geck-services.h:
	* src/yelp-geck-services.cpp:
	* src/yelp-print.c:
	* src/yelp-print.h:
	* MAINTAINERS:
	Move to new format in line
	with bkor's request
	Also, update my email address
	
	* src/yelp-window.c:
	Add a "Phrase not found" message to
	the search bar when the term isn't found.
	
	* src/yelp-window.c:
	Fix "info <page>" in search bar

	* src/yelp-man-parser.c: 
	Handle malformed .so tags better
	(bug #447107 - Matt Keenan)
	
	* src/yelp-man-parser.c: 
	Better handling of cross links in man pages
	(bug #431078 - Matthias Clasen)

	* src/yelp-info-parser.c: 
	Fix crash in bc, automake16 and gnutls info pages
	(bug #430365 - Matthias Clasen)
	
	* src/yelp-print.c:
	Remove extra markup from message dialog
	(bug #381431 - Christian Persch)

	* src/yelp-search-parser.c: 
	When slow searching for ':',
	don't crash
	(Bug #364768 again)
	
	* src/yelp-search-parser.c: 
	Fix apropos handling on Fedora
	Fix possible memleak
	Handle results with spaces
	(bug #370167 - Matthias Clasen)

	* src/yelp-man-parser.c:
	Handle '\*=' escape sequence correctly
	(bug #358825 - Björn Lindqvist)

	* src/yelp-utils.c: 
	Resolve a full path within a ghelp uri
	correctly (bug #464295)
	
	* src/yelp-gecko-services.cpp:
	* src/yelp-debug.c:
	reduce relocations by removing unnecessarily 
	static data, and non-const data.
	(bug #457082 - Christian Persch)

	* src/yelp-window.c: 
	s/std{out,err}/str_std{out,err}/g
	Fixes build on Solaris - bug #462440
	
	* src/yelp-base.c: 
	Remove forgotten c++ comment
	(bug #462813, hopefully)
	
	* src/yelp-main.c: 
	Mark -help contents for translation
	(bug #450168 - Gabor Kelemen)
	
	* yelp.desktop.in.in: 
	Remove suffix from icon
	(bug #463281 - Sven Arvidsson)
	
	* src/yelp-toc.c:
	* src/yelp-search.c:
	Make error messages somewhat less cryptic
	Remove strange markup that resulted from emacs
	and unicode characters not mixing.
	
	* src/yelp-print.c:
	Mark title as translatable (bug #458693 -
	Gabor Kelemen)
	
	* src/yelp-search-parser.c: 
	* src/yelp-window.c:
	Redefine langs to allow compilation with
	Beagle (bug #462056)
	Make results page show again (where did it go, I wonder?)
	
2007-07-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-transform.c:
	- Register EXSLT extensions, so the world can be right again

2007-07-30  Don Scorgie  <dscorgie@svn.gnome.org>

        * configure.in: 
        * NEWS:
        - Version 2.19.1

2007-07-30  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/Makefile.am: 
	Disable test programs for now
	
== REWORK CHANGES ==

2007-07-30  Don Scorgie  <dscorgie@svn.gnome.org>

	Merge of yelp rework branch:
	- Depreciate yelp-*-pager in favour of
	  yelp-document and such.
	  Gives us on-demand loading of pages
	- Switch to using rarian instead of scrollkeeper
	- Update to using shiny newness of gnome-doc-utils
	- Make printing docbook pretty
	- Clean up lots of errors and general cleanup
	  of other source files
	- Make our resolver much, much better
	  - and remove reliance on libgnome there
	

2007-07-30  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-settings.c: 
	* configure.in:
	* src/yelp-settings.h:
	* src/Makefile.am:
	* stylesheets/yelp-common.xsl:
	Make themes sort-of work.  Good enough for
	a release, anyway.

2007-07-29  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c: 
	Make loading of files directly work again
	
2007-07-24  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-info.c: 
	* src/yelp-man.c:
	* src/yelp-docbook.c:
	Add in some pretty parameters

	* src/yelp-db-print.c:
	Fix parameters to make printed docs *slightly*
	prettier
	
	* src/yelp-search-parser.c: 
	Convert search across to use Rarian
	and clean up lots of crud from the file
	
2007-07-23  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.ac:
	* src/yelp-base.c:
	* src/yelp-search-parser.c:
	* src/yelp-search.c:
	* src/yelp-window.c:
	* src/yelp-window.h:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	* src/Makefile.am:
	* src/yelp-main.c:
	Massive cleanup
	Remove old code from yelp-utils
	Fix shutdown requests from sessions (hopefully)
	Remove as many warnings as possible (the rest are
	mostly mozilla errors)
	Make sure we get and set GLIB_GENMARSHAL as, apparently,
	we have never done this which seems to result in badness
	making the marshal.list
	
	* src/Makefile.am: 
	* configure.ac:
	* src/yelp-toc.c:
	* src/yelp-search-parser.c:
	* src/yelp-window.c:
	* src/yelp-info-parser.c:
	Lots of fun updates...
	Clean up yelp-window.c a LOT
	Remove old, obsolete code
	Make search, man and info mandatory
	Bump g-d-u min version to include new db2xhtml
	code
	Remove extra printf I'd forgotten
	
2007-07-10  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c: 
	Handle external URI's
	Beginnings of error support (not complete)
	
2007-07-08  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c: 
	* src/yelp-search.c:
	* src/yelp-search.h:
	* src/yelp-search-parser.c:
	* src/yelp-search-parser.h:
	* src/yelp-utils.c:
	* src/Makefile.am:
	First pass at searching.
	Search still relies on scrollkeeper.  Other
	than that, it seems to all work (with basic search at least)
	
	* src/yelp-db-print.c:
	* src/yelp-db-print.h:
	* src/Makefile.am:
	Make printing (pages and documents) work again.
	Although, the calling xslt needs somewhat cleaned
	up, it doesn't look particularly appealing atm.
	
	* configure.in: 
	Temporarily work around breakage in gnome-doc-utils

	* src/yelp-window.c:
	Add back (empty) print menu items to stop errors
	Add the "Loading..." and watch cursor when we are loading
	Correctly set the sensitivity of relevant menu items for DocBooks
	Make "About this document" work again

	* src/yelp-docbook.c:
	Since the new g-d-u currently has a list of topics on the
	right, don't display the sections pane
	
	* src/yelp-window.c: 
	Make history work again
	Make loading HTML docs work

	* src/yelp-utils.h:
	* src/yelp-utils.c:
	Make a distinction between html and xhtml
	to keep gecko happy
	
2007-07-07  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c: 
	* src/yelp-toc.c:
	Fix info page titles in TOC
	Fix file:// uri's when with too many /'s
	
	* src/Makefile.am:
	* src/yelp-info-parser.c:
	* src/yelp-info.c:
	* src/yelp-info.h:
	* src/yelp-window.c:
	Convert info pages across to new pager system
	Hook up info pages into yelp, new style
	Fix various things in the parser to cope with
	having less available info for resolving frags
	
	* src/yelp-toc.c: 
	Fix the most annoying error message in the world EVER
	Unexpected async xlib errors generally mean threading issues
	except, apparently, when you're trying to parse using libxml
	in which case, they could mean anything.  In this case, it
	meant the params passed in was not NULL terminating.
	Why this resulted in an unexpected xlib async reply is
	left as an exercise to the reader.  I spent 7 days trying to 
	figure it out.
	
2007-07-01  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-toc.c: 
	Now Rarian is fast, don't split out man and info pages.
	Add in params so the TOC looks nice and shiny
	Fix a couple of silly warnings
	
	* src/yelp-base.c:
	Move initialisation of bookmarks and settings to before TOC

2007-06-20  Don Scorgie  <dscorgie@svn.gnome.org>

	* configure.in: 
	* src/test-resolver.c:
	* src/yelp-toc.c:
	* src/yelp-window.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	Spoon is now Rarian.  Bump min version to 0.5.0

2007-06-14  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c:
	Minor fix to recognise man:<filepath>
	
	* src/Makefile.am:
	* src/yelp-window.c: 
	Add support for docbook (yay!) and
	man pages
	Rename silly function names to something slightly
	more sensible
	Update my email address in help dialog (minor)
	
	* src/test-document.c:
	* src/yelp-document.c:
	* src/yelp-document.h:
	* src/yelp-docbook.c:
	Add support for getting the sections GtkTreeModel
	out
	
	* src/yelp-page.c:
	* src/yelp-page.h:
	Add functions to get the length (remaining)
	of page
	
	
2007-06-13  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c:
	Make bookmarks work in the New World Order

	* src/yelp-base.c:
	start loading yelp-toc at start of
	base to take advantage of threading
	and make the toc load even quicker
	(except man pages of course)
	
	* src/yelp-toc.c:
	Make icon work (when the rest of the
	customisations are plumbed in)
	
	* src/yelp-utils.c:
	Fix result for TOC pages
	
	* src/yelp-document.c:
	Fix crash when canceling page request
	
	* src/yelp-window.c: 
	Implement canceling of requests
	Implement location dialog

2007-06-12  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-window.c: 
	* src/yelp-base.c:
	* src/yelp-window.h:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	* src/Makefile.am:
	* stylesheets/toc2html.xsl:
	First pass at making yelp work again
	Very, very broken, but TOC shows up (and is navigatable)
	Thought, nothing else works and is 
	liable to crash if used
	rename YELP_TYPE_* to YELP_SPOON_TYPE_*
	to stop conflict when compiling
	Oh, and introduce hundreds of compiler warnings
	
	* src/yelp-toc.c:
	* src/yelp-toc.h:
	Make TOC doc singleton
	
2007-06-12  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c: 
	Add ghelp resolve support
	Many minor fixes to pass default test suite

	* src/test-resolver.c: 
	Add default tests

	
2007-06-11  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.c: 
	Add man page resolver support.  Make info fall back
	to man pages when not found

2007-06-11  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/test-resolver.c:
	Add gnome-vfs-init() and section (for results section)
	
	* src/yelp-utils.c: 
	Add support for resolving info and full path uri's.

	* src/yelp-utils.h:
	Add long description of resolver function
	
2007-06-02  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/test-resolver.c: 
	Bit more framework

	* src/yelp-utils.c:
	* src/yelp-utils.h:
	Beginnings of testing (sort-of recognises different types)
	Add enum for different types
	Add lots of printfs that should be removed at some point
	
2007-05-31  Don Scorgie  <dscorgie@svn.gnome.org>

	* src/yelp-utils.h:
	* src/yelp-utils.c:
	Beginning (empty) of new utils resolver (masked by DON_UTILS define)
	
	* src/test-resolver.c: 
	* src/Makefile.am:
	Beginnings of resolver test
	
	
2007-04-30  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc.c: 
	Add in man pages
	Do an interesting use of the new stuff to 
	run 3 transforms - main, info and man so
	we quickly get the main page, then get man and info when ready

	* src/yelp-document.h:
	* src/yelp-document.c:
	Add yelp_document_has_page that's used
	in yelp-toc
	
2007-04-26  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc.c:
	Add info page support
	
	* stylesheets/toc2html.xsl: 
	* src/test-document.c:
	* src/yelp-toc.c:
	Make TOC work properly with new document structure	

	* src/yelp-page.c:
	* src/yelp-docbook.c:
	Various misc. changes to make docbook work properly
	Add TODO's

2007-04-24  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc.c:
	* src/yelp-toc.h:
	* src/yelp-db-pager.c:
	* src/test-document.c:
	* src/Makefile.am:
	Initial commit of new yelp-toc (broken)
	Add toc option to test-document (broken)


2007-04-22  Shaun McCance  <shaunm@gnome.org>

	* ChangeLog
	* src/Makefile.am:
	* src/test-man-parser.c:
	* src/yelp-debug.h:
	* src/yelp-error.c:
	* src/yelp-error.h:
	* src/yelp-io-channel.c:
	* src/yelp-man-parser.c:
	* src/yelp-man-parser.h:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	- Merging yelp-document into yelp-spoon

2007-04-14  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc-pager.c: 
	Convert info TOC to use new spoon work
	(slightly later) Convert man TOC to use new spoon work as well

2007-03-25  Don Scorgie  <dscorgie@cvs.gnome.org>

	* stylesheets/toc2html.xsl: 
	* src/yelp-toc-pager.c:
	First pass at spoon integration
	TOC correctly displayed, replacing all sk code
	with spoon_for_each_in_category()

	* src/yelp-toc-pager.c:
	* configure.in:
	First work on Spoon integration
	Search for pkg-config Spoon file
	Run a spoon-for-each, printing doc names

2007-03-12  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* NEWS:
	- Version 2.18.0

2007-02-23  Christian Persch  <chpe@svn.gnome.org>

	* src/Yelper.cpp:
	* src/Yelper.h:
	Fix for mozilla API change on trunk.

2006-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* m4/gecko.m4:
	* src/Makefile.am:
	* src/Yelper.cpp:
	Fix for mozilla API change on trunk.

2006-11-20  Don Scorgie  <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.16.2

2006-11-20  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-utils.c:
	When info:dir contains a link to a subdir,
	but not an info name, work as expected
	 (Really fixes bug #371680)
	
	* src/yelp-io-channel.c: 
	Check the file exists and is valid before trying
	to read it (fixes bug #371680)
	
	* src/yelp-gecko-services.cpp: 
	Fix printing ranges (bug #370618, Christian Persch)
	
	* src/yelp-info-parser.c: 
	When whitespace on new line of a note is < 2,
	don't crash (bug #376861)
	Fix crash on libc info page (bug #367410, Matthias Clasen)
	
2006-11-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-main.c:
	Don't crash when saving session (bug #364790)
	
	* src/yelp-search-pager.c: 
	Replace ':' chars in search strings with ' '
	Stops from crashing (bug #364768)
	Don't chew memory when search string contains
	2 consecutive spaces

2006-10-25  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c:
	Fix double free in stupid link types only used by gdb
	info page (apparently).  Bug #364850
	
	* src/yelp-search-pager.c: 
	Don't crash when searching for empty term.  Bug #363949
	
2006-10-07  Elijah Newren  <newren gmail com>

	* src/yelp-print.c (yelp_print_present_status_dialog): Remove
	markup from translatable messages.  #360450

2006-10-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-utils.c: 
	Don't crash when manpath (prog) || MANPATH (env.)
	is available
	
==================== 2.16.1 ====================
2006-10-02  Don Scorgie  <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.16.1
	
2006-09-29  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-settings.c: 
	* src/yelp-settings.h:
	* src/yelp-window.c:
	Make F7 toggle caret properly
	Set initial state of caret in prefs window

2006-09-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/Yelper.cpp:
	* src/Yelper.h:

	Fix the build with gecko trunk.

2006-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Prefer xulrunner over mozilla.

==================== 2.16.0 ====================
2006-09-04  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.16.0

2006-09-03  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (toc_add_doc_info): check if the document
	category exists, and return if it does not should fix 353554

2006-08-30  Don Scorgie  <don@Madaline>

	* src/yelp-io-channel.c: 
	Don't double free bzip streams
	
2006-08-30  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Move online url to perminant address at gnome.org

2006-08-28  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-io-channel.c:
	Supress critical warning when it isn't actually 
	critical

	* src/yelp-info-parser.c:
	* src/yelp-io-channel.c:
	Don't fall over when part of the info file
	goes missing (bug #353209)

2006-08-16  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Fix crash when apropos goes nuts (bug #347467)
	Patch from Priit Laes

2006-08-10  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c: 
	Fix stupid crash on CVS info file caused by
	fake *Notes, trying to trick yelp into making 
	them hyperlinks when they shouldn't be
	
==================== 2.15.91 ====================
2006-08-07  Don Scorgie  <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.15.91

	* src/yelp-search-pager.c: 
	Remove translation of online URL in anticipation of a
	new script to do the redirection

2006-08-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-pager.c: 
	* src/yelp-toc-pager.c: 
	* src/yelp-window.c: 
	* src/yelp-search-pager.c: 
	Various misc. cleanups.
	- Keep track of idle functions and callbacks
	- don't use depreciated gtk_idle_add function
	Based on patch from Christian Persch
	
	* src/yelp-main.c: 
	Initialise dbus threading before gnome-vfs.  Bug #350079
	
2006-07-25  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Changed "Sound & Vision" to "Sound & Video"

2006-07-25  Don Scorgie  <dscorgie@cvs.gnome.org>

	* stylesheets/search2html.xsl: 
        Remove fixed font sizes from search results
        Remove fixed colours from search results
	Fixes bug #348563 and makes page respect
	theme setting
	

==================== 2.15.5 ====================

2006-07-24  Don Scorgie <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.15.5

2006-07-24  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	* stylesheets/search2html.xsl: 
	Add a new link to the search results to allow
	repeating the search online at the GNOME support forums
	Additionally: Allow better translation of the message
		      Allow translation of the site name
	Additionally (2): Allow online search locations to be
			  translated to point to support sites
			  in a native language
	
	
2006-07-23  Brent Smith  <gnome@nextreality.net>

	* configure.in: Depend on beagle 0.2.4 since that is the first version
	with the beagle_util_daemon_is_running() function.
	* src/yelp-search-pager.c: (search_pager_class_init):
	Use beagle_util_daemon_is_running() to make sure that the daemon is
	actually running, and the socket at ~/.beagle/socket is not stale.
	Fixes #348362

2006-07-23  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Large basic search update:
	 - Common words are ignored (how, do etc.)
	 - Common suffixes and prefixes are checked
	 - Fix problems with searching in some docbook docs
	 - Better scoring mechanism
	 - Slightly improved matching algorithm
	 - Fix searching HTML docs
	 - Better snippet highlighting
	 - Clean sections of code slightly
	Bugs fixed: #341797, #341800, #347819 (work around)
	Partially fixed: #335962
	

	* src/yelp-settings.c: 
	Use a gtk_link_button instead of gnome_href

	* src/yelp-print.c: 
	* src/yelp-print.h: 
	* src/yelp-gecko-services.cpp: 
	* src/yelp-gecko-services.h: 
	* src/Yelper.cpp: 
	* configure.in: 
	Move to GtkPrinting.
	Bump min gtk version to 2.10
	Remove libgnomeprint dependency
	
2006-07-22  Don Scorgie  <dscorgie@cvs.gnome.org>

	* configure.in: 
	Remove additional but not run pkg-config check

	* src/yelp-window.c: 
	Remove a couple of headers that shouldn't be here
	Remove call to gnome_help_display_desktop and
	replace with a much simpler call to create a new window
	and show the relevant section of the user guide, making it 
	much quicker to display help->Contents
	
	* src/yelp-html.cpp: 
	* src/yelp-window.c: 
	Remove libgnomeui dependancy from both.
	Switch to GTK_STOCK_ABOUT instead of libgnome equivalent
	
2006-07-21  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c: 
	* src/yelp-search-pager.c: 
	Clean up some compiler warnings
	(Casts and unused variables)

2006-07-19  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc-pager.c:
	Select the correct translation of the description of sections
	Fixes bug #347816
	Clean up a couple of compiler warnings

==================== 2.15.4 ====================

2006-07-10  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.15.4

2006-07-10  Brent Smith  <gnome@nextreality.net>

	* data/info.xml.in:
	* data/man.xml.in:
	* data/scrollkeeper.xml:
	* data/toc.xml.in:
	- Restructure the table of contents to make most documentation 
	accessible via a single click (except for man pages and info pages)
	- Put descriptions for each section at the top in the right side 
	above the document listing
	- Rename the top level category to 'Desktop' and include the 
	User guide, System Administration Guide, and Accessibility Guide 
	in this section
	* src/yelp-pager.c: (yelp_pager_get_page_from_id):
	* src/yelp-pager.h:
	* src/yelp-toc-pager.c: (toc_pager_resolve_frag),
	(toc_process_pending), (process_mandir_pending),
	(process_info_pending), (process_read_menu), (process_cleanup):
	* src/yelp-window.c: (window_do_load_pager), (pager_finish_cb):
	Load each table of contents page on demand instead of 
	creating all pages at once.
	* stylesheets/toc2html.xsl:
	Maintain a list of categories on the left hand side in the 
	table of contents, that expands subcategories for the currently
	selected category

2006-07-07  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* src/yelp-window.c: (tree_row_expand_cb):
	Expand/collapse on double-click. Really fixes bug
	#346871.

2006-07-07  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c: 
	Expand sections on double-click (bug #346871)

=======
2007-04-12  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-man.c:
	* src/yelp-man.h:
	* src/test-document.c:
	- Made man pages work with YelpDocument

	* src/yelp-docbook.c:
	* src/yelp-document.c:
	- General clean up

2007-04-12  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-document.c:
	* src/yelp-page.c:
	* src/yelp-page.h:
	- Added preliminary support for mime types in yelp-page

2007-04-12  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-man-parser.c:
	* src/Makefile.am:
	- Made yelp-man-parser use yelp-debug

2007-04-11  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-error.c:
	* src/yelp-error.h:
	* src/yelp-io-channel.c:
	- Added back the GError convenience functions

	* src/Makefile.am:
	* src/test-man-parser.c:
	* src/yelp-man-parser.c:
	* src/yelp-man-parser.h:
	- Getting the man stuff to work in the new world order

	* src/yelp-transform.c:
	- Added a cast to shut gcc up

	* src/test-document.c:
	* src/yelp-document.h:
	* src/yelp-docbook.c:
	* src/yelp-docbook.h:
	* src/yelp-page.c:
	* src/yelp-page.h:
	- Moving much of the request-handling to YelpDocument

2007-04-04  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-error.c:
	* src/yelp-error.h:
	- Added yelp_error_copy

	* src/yelp-transform.c:
	- Added a few debug statements

	* src/test-transform.c:
	- Added the --random-timeout option

	* src/yelp-page.c:
	- Don't use g_free with memory slicese.

	* src/yelp-docbook.c:
	* src/yelp-docbook.h:
	* src/yelp-document.c:
	* src/yelp-document.h:
	- Added a more-or-less complete YelpDocument implementation for DocBook

	* src/test-document.c:
	* src/Makefile.am:
	- Added a test program for YelpDocument, currently only using DocBook

2007-03-22  Shaun McCance  <shaunm@gnome.org>

	* src/test-transform.c:
	* src/yelp-transform.c:
	* src/yelp-transform.h:
	- Do not do callbacks if released

	* src/yelp-page.h:
	- Added a comment

	* src/yelp-document.c:
	* src/yelp-document.h:
	- Filled out the abstract functions

	* src/Makefile.am:
	- Some changes to the test programs we build

2007-03-20  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-transform.c:
	- Added some locks

	* src/Makefile.am:
	* src/test-page.c:
	- Adding a test application for YelpPage

	* src/yelp-page.c:
	* src/yelp-page.h:
	- Fairly complete YelpPage for strings

	* src/yelp-document.c:
	* src/yelp-document.h:
	- Big not-yet-done changes, but needed for test-page

2007-03-20  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-transform.c:
	- Fixed concurrency issues when freeing

	* src/test-transform.c:
	- Using GOption to get a --timeout option
	- Don't release a transform twice

2007-03-20  Shaun McCance  <shaunm@gnome.org>

	* src/test-transform.c:
	* src/yelp-error.c:
	* src/yelp-error.h:
	- Making YelpError cleaner and more usable for our purposes

	* src/yelp-transform.c:
	* src/yelp-transform.h:
	- Copyright in 2007 too

	* src/yelp-page.c:
	* src/yelp-page.h:
	- The beginnings of the new read()-able YelpPage

	* src/Makefile.am:
	- yelp-error.h != yelp-transform.h

2007-03-17  Shaun McCance  <shaunm@gnome.org>

	* src/test-transform.c:
	* src/yelp-transform.c:
	* src/yelp-transform.h:
	- Changed the callback API a bit, basically ready

2006-07-03  Brent Smith  <gnome@nextreality.net>

	* src/yelp-document.c: (yelp_document_dispose),
	(yelp_document_finalize), (yelp_document_class_init),
	(yelp_document_init), (document_set_property),
	(document_get_property), (yelp_document_get_page),
	(yelp_document_cancel_get), (yelp_document_get_sections),
	(yelp_document_add_page):
	* src/yelp-document.h:
	* src/yelp-page.c: (yelp_page_new), (yelp_page_set_id),
	(yelp_page_get_id), (yelp_page_set_title), (yelp_page_get_title),
	(yelp_page_set_contents), (yelp_page_get_contents),
	(yelp_page_set_prev_id), (yelp_page_get_prev_id),
	(yelp_page_set_next_id), (yelp_page_get_next_id),
	(yelp_page_set_toc_id), (yelp_page_get_toc_id), (yelp_page_free):
	* src/yelp-page.h:
	- Add these to the correct directory
	* yelp-document.c:
	* yelp-document.h:
	* yelp-page.c:
	* yelp-page.h:
	- Remove these (I put them in the wrong directory in the last commit)

2006-07-03  Brent Smith  <gnome@nextreality.net>

	* src/yelp-debug.h: Put an #ifdef around HAVE_CONFIG_H
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	- Get rid of the unused YelpDocPage type and related function(s)
	- created branch "yelp-document", branchpoint
	YELP_DOCUMENT_BRANCHPOINT for working on the new YelpDocument API; see
	http://live.gnome.org/Yelp
	* yelp-document.c: (yelp_document_dispose),
	(yelp_document_finalize), (yelp_document_class_init),
	(yelp_document_init), (document_set_property),
	(document_get_property), (yelp_document_get_page),
	(yelp_document_cancel_get), (yelp_document_get_sections),
	(yelp_document_add_page):
	* yelp-document.h:
	* yelp-page.c: (yelp_page_new), (yelp_page_set_id),
	(yelp_page_get_id), (yelp_page_set_title), (yelp_page_get_title),
	(yelp_page_set_contents), (yelp_page_get_contents),
	(yelp_page_set_prev_id), (yelp_page_get_prev_id),
	(yelp_page_set_next_id), (yelp_page_get_next_id),
	(yelp_page_set_toc_id), (yelp_page_get_toc_id), (yelp_page_free):
	* yelp-page.h:
	New files yelp-document.[ch] and yelp-page.[ch] for the new API

2006-07-03  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/test-transform.c:
	* src/yelp-transform.c:
	* src/yelp-transform.h:
	* src/yelp-error.c:
	* src/yelp-error.h:
	- Glorious threaded XSLT transformation

== END OF REWORK CHANGES ==


2007-04-20  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* yelp.desktop.in.in:
	Remove invalid category "Application". Fixes #417366.

2007-04-16  Kjartan Maraas  <kmaraas@gnome.org>

	* src/yelp-db-pager.c: (db_pager_params), (node_get_title):
	* src/yelp-db-print-pager.c: (db_print_pager_params):
	* src/yelp-debug.c:
	* src/yelp-info-pager.c: (info_pager_parse):
	* src/yelp-info-parser.c: (open_info_file), (process_indirect_map),
	(get_value_after):
	* src/yelp-main.c: (main_save_session),
	(slowly_and_stupidly_obtain_timestamp):
	* src/yelp-man-pager.c: (man_pager_parse):
	* src/yelp-print.c: (print_jobs_run),
	(yelp_print_load_config_from_file), (yelp_print_get_print_info):
	* src/yelp-search-pager.c: (s_startElement), (s_endElement),
	(s_characters), (s_declEntity), (s_getEntity), (slow_search_setup):
	* src/yelp-toc-pager.c: (toc_process_pending),
	(process_read_scrollkeeper), (process_omf_pending),
	(process_mandir_pending), (toc_add_doc_info):
	* src/yelp-utils.c: (yelp_get_info_paths), (yelp_get_man_paths),
	(convert_info_uri):
	* src/yelp-window.c:
	* src/yelp-xslt-pager.c:
	Cleanups of the following types:
	- correct return values from g_return_*()
	- mark som functions static
	- fix shadowing variables
	- NULL vs. 0
	- ANSIfication of function declarations
	- Constification

==================== 2.18.1 ====================
2007-04-09  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* NEWS:
	- Version 2.18.1

==================== 2.18.0 ====================
2007-03-12  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* NEWS:
	- Version 2.18.0

2007-02-23  Christian Persch  <chpe@svn.gnome.org>

	* src/Yelper.cpp:
	* src/Yelper.h:
	Fix for mozilla API change on trunk.

2006-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* m4/gecko.m4:
	* src/Makefile.am:
	* src/Yelper.cpp:
	Fix for mozilla API change on trunk.

==================== 2.16.2 ====================
2006-11-20  Don Scorgie  <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.16.2

2006-11-20  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-utils.c:
	When info:dir contains a link to a subdir,
	but not an info name, work as expected
	 (Really fixes bug #371680)
	
	* src/yelp-io-channel.c: 
	Check the file exists and is valid before trying
	to read it (fixes bug #371680)
	
	* src/yelp-gecko-services.cpp: 
	Fix printing ranges (bug #370618, Christian Persch)
	
	* src/yelp-info-parser.c: 
	When whitespace on new line of a note is < 2,
	don't crash (bug #376861)
	Fix crash on libc info page (bug #367410, Matthias Clasen)
	
2006-11-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-main.c:
	Don't crash when saving session (bug #364790)
	
	* src/yelp-search-pager.c: 
	Replace ':' chars in search strings with ' '
	Stops from crashing (bug #364768)
	Don't chew memory when search string contains
	2 consecutive spaces

2006-10-25  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c:
	Fix double free in stupid link types only used by gdb
	info page (apparently).  Bug #364850
	
	* src/yelp-search-pager.c: 
	Don't crash when searching for empty term.  Bug #363949
	
2006-10-07  Elijah Newren  <newren gmail com>

	* src/yelp-print.c (yelp_print_present_status_dialog): Remove
	markup from translatable messages.  #360450

2006-10-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-utils.c: 
	Don't crash when manpath (prog) || MANPATH (env.)
	is available
	
==================== 2.16.1 ====================
2006-10-02  Don Scorgie  <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.16.1
	
2006-09-29  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-settings.c: 
	* src/yelp-settings.h:
	* src/yelp-window.c:
	Make F7 toggle caret properly
	Set initial state of caret in prefs window

2006-09-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/Yelper.cpp:
	* src/Yelper.h:

	Fix the build with gecko trunk.

2006-09-12  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Prefer xulrunner over mozilla.

==================== 2.16.0 ====================
2006-09-04  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.16.0

2006-09-03  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (toc_add_doc_info): check if the document
	category exists, and return if it does not should fix 353554

2006-08-30  Don Scorgie  <don@Madaline>

	* src/yelp-io-channel.c: 
	Don't double free bzip streams
	
2006-08-30  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Move online url to perminant address at gnome.org

2006-08-28  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-io-channel.c:
	Supress critical warning when it isn't actually 
	critical

	* src/yelp-info-parser.c:
	* src/yelp-io-channel.c:
	Don't fall over when part of the info file
	goes missing (bug #353209)

2006-08-16  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Fix crash when apropos goes nuts (bug #347467)
	Patch from Priit Laes

2006-08-10  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c: 
	Fix stupid crash on CVS info file caused by
	fake *Notes, trying to trick yelp into making 
	them hyperlinks when they shouldn't be
	
==================== 2.15.91 ====================
2006-08-07  Don Scorgie  <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.15.91

	* src/yelp-search-pager.c: 
	Remove translation of online URL in anticipation of a
	new script to do the redirection

2006-08-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-pager.c: 
	* src/yelp-toc-pager.c: 
	* src/yelp-window.c: 
	* src/yelp-search-pager.c: 
	Various misc. cleanups.
	- Keep track of idle functions and callbacks
	- don't use depreciated gtk_idle_add function
	Based on patch from Christian Persch
	
	* src/yelp-main.c: 
	Initialise dbus threading before gnome-vfs.  Bug #350079
	
2006-07-25  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Changed "Sound & Vision" to "Sound & Video"

2006-07-25  Don Scorgie  <dscorgie@cvs.gnome.org>

	* stylesheets/search2html.xsl: 
        Remove fixed font sizes from search results
        Remove fixed colours from search results
	Fixes bug #348563 and makes page respect
	theme setting
	

==================== 2.15.5 ====================

2006-07-24  Don Scorgie <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.15.5

2006-07-24  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	* stylesheets/search2html.xsl: 
	Add a new link to the search results to allow
	repeating the search online at the GNOME support forums
	Additionally: Allow better translation of the message
		      Allow translation of the site name
	Additionally (2): Allow online search locations to be
			  translated to point to support sites
			  in a native language
	
	
2006-07-23  Brent Smith  <gnome@nextreality.net>

	* configure.in: Depend on beagle 0.2.4 since that is the first version
	with the beagle_util_daemon_is_running() function.
	* src/yelp-search-pager.c: (search_pager_class_init):
	Use beagle_util_daemon_is_running() to make sure that the daemon is
	actually running, and the socket at ~/.beagle/socket is not stale.
	Fixes #348362

2006-07-23  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Large basic search update:
	 - Common words are ignored (how, do etc.)
	 - Common suffixes and prefixes are checked
	 - Fix problems with searching in some docbook docs
	 - Better scoring mechanism
	 - Slightly improved matching algorithm
	 - Fix searching HTML docs
	 - Better snippet highlighting
	 - Clean sections of code slightly
	Bugs fixed: #341797, #341800, #347819 (work around)
	Partially fixed: #335962
	

	* src/yelp-settings.c: 
	Use a gtk_link_button instead of gnome_href

	* src/yelp-print.c: 
	* src/yelp-print.h: 
	* src/yelp-gecko-services.cpp: 
	* src/yelp-gecko-services.h: 
	* src/Yelper.cpp: 
	* configure.in: 
	Move to GtkPrinting.
	Bump min gtk version to 2.10
	Remove libgnomeprint dependency
	
2006-07-22  Don Scorgie  <dscorgie@cvs.gnome.org>

	* configure.in: 
	Remove additional but not run pkg-config check

	* src/yelp-window.c: 
	Remove a couple of headers that shouldn't be here
	Remove call to gnome_help_display_desktop and
	replace with a much simpler call to create a new window
	and show the relevant section of the user guide, making it 
	much quicker to display help->Contents
	
	* src/yelp-html.cpp: 
	* src/yelp-window.c: 
	Remove libgnomeui dependancy from both.
	Switch to GTK_STOCK_ABOUT instead of libgnome equivalent
	
2006-07-21  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c: 
	* src/yelp-search-pager.c: 
	Clean up some compiler warnings
	(Casts and unused variables)

2006-07-19  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc-pager.c:
	Select the correct translation of the description of sections
	Fixes bug #347816
	Clean up a couple of compiler warnings

==================== 2.15.4 ====================

2006-07-10  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.15.4

2006-07-10  Brent Smith  <gnome@nextreality.net>

	* data/info.xml.in:
	* data/man.xml.in:
	* data/scrollkeeper.xml:
	* data/toc.xml.in:
	- Restructure the table of contents to make most documentation 
	accessible via a single click (except for man pages and info pages)
	- Put descriptions for each section at the top in the right side 
	above the document listing
	- Rename the top level category to 'Desktop' and include the 
	User guide, System Administration Guide, and Accessibility Guide 
	in this section
	* src/yelp-pager.c: (yelp_pager_get_page_from_id):
	* src/yelp-pager.h:
	* src/yelp-toc-pager.c: (toc_pager_resolve_frag),
	(toc_process_pending), (process_mandir_pending),
	(process_info_pending), (process_read_menu), (process_cleanup):
	* src/yelp-window.c: (window_do_load_pager), (pager_finish_cb):
	Load each table of contents page on demand instead of 
	creating all pages at once.
	* stylesheets/toc2html.xsl:
	Maintain a list of categories on the left hand side in the 
	table of contents, that expands subcategories for the currently
	selected category

2006-07-07  Wouter Bolsterlee  <uws+gnome@xs4all.nl>

	* src/yelp-window.c: (tree_row_expand_cb):
	Expand/collapse on double-click. Really fixes bug
	#346871.

2006-07-07  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c: 
	Expand sections on double-click (bug #346871)

2006-07-01  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (process_info_pending): Fix to properly escape
	ampersand characters by using xmlNewTextChild, patch from Daniel
	Drake.  Fixes #343372

2006-06-30  Brent Smith  <gnome@nextreality.net>

	* src/yelp-debug.c: (yelp_debug): Print DB_PROFILE message to the
	screen
	* src/yelp-xslt-pager.c: (xslt_pager_process), (xslt_yelp_cache):
	Add support for the yelp:cache extension element; speeds up docbook
	processing for large documents (like gnumeric manual)
	* stylesheets/db2html.xsl.in: Use the yelp:cache extension element in
	the db.number template (overrides the one from gnome-doc-utils)

2006-06-25  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (create_toc_from_index): fix the biggest
	memory leak known to man; was using xmlFree() instead of xmlFreeDoc()

2006-06-22  Christian Persch  <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Fix 'unknown gecko' error output. (Synched from Epiphany).

2006-06-21  Shaun McCance  <shaunm@gnome.org>

	* src/GNOME_Yelp.server.in:
	- Nuking from CVS, since were on DBUS now

2006-06-17  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Use xmlNewTextChild so ampersands don't screw us up

2006-06-13  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c: 
	Don't crash on certian *Note types
	Fix other *Note types to actually pick correct section for url
	Fixes bug #344730
	
==================== 2.15.3 ====================

2006-06-11  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.15.3

2006-06-11  Brent Smith  <gnome@nextreality.net>

	* po/POTFILES.in:
	* src/Makefile.am:
	Some band-aids to get distcheck to not fail.

2006-06-11  Brent Smith  <gnome@nextreality.net>

	* configure.in:
	* src/Yelper.cpp:
	* src/yelp-bookmarks.c:
	* src/yelp-db-pager.c: (db_pager_parse), (db_pager_params),
	(db_pager_cancel):
	* src/yelp-db-print-pager.c: (db_print_pager_parse),
	(db_print_pager_params), (db_print_pager_cancel):
	* src/yelp-debug.c: (yelp_debug):
	* src/yelp-debug.h:
	* src/yelp-html.cpp:
	* src/yelp-info-parser.c: (open_info_file), (process_indirect_map),
	(process_tag_table), (node2iter), (process_page),
	(yelp_info_parser_parse_file), (parse_tree_level),
	(yelp_info_parser_parse_tree):
	* src/yelp-pager.c: (yelp_pager_cancel), (yelp_pager_error):
	* src/yelp-search-pager.c: (search_pager_class_init),
	(search_pager_error), (search_pager_cancel), (search_pager_finish),
	(search_pager_process), (snippet_closed), (snippet_response),
	(snippet_error), (hits_added_cb), (check_lang), (finished_cb),
	(search_pager_process_idle):
	* src/yelp-settings.c: (gconf_system_fonts_cb), (gconf_font_cb),
	(gtk_theme_changed), (settings_update):
	* src/yelp-window.c: (yelp_window_load), (window_do_load),
	(window_handle_page), (pager_start_cb), (pager_page_cb),
	(pager_error_cb), (pager_cancel_cb), (pager_finish_cb),
	(html_uri_selected_cb), (tree_drag_data_get_cb),
	(print_disconnect), (print_pager_page_cb), (print_pager_error_cb),
	(print_pager_cancel_cb), (print_pager_finish_cb),
	(window_print_page_cb), (window_find_cb), (window_reload_cb),
	(window_go_home_cb), (window_go_previous_cb), (window_go_next_cb),
	(window_go_toc_cb), (window_add_bookmark_cb),
	(location_response_cb), (window_find_entry_key_pressed_cb),
	(idle_write):
	* src/yelp-xslt-pager.c: (xslt_pager_process), (xslt_pager_error),
	(xslt_pager_cancel), (xslt_pager_finish), (xslt_yelp_document):
	Ported everything (that I could find) to the new debug infrastructure,
	see #343788

2006-06-11  Brent Smith  <gnome@nextreality.net>

	* src/Makefile.am: 
	add yelp-debug.[ch]
	* src/yelp-debug.c: (yelp_debug):
	* src/yelp-debug.h:
	New debug functions that enable printing of debug statements 
	at runtime when compiled with --enable-debug
	* src/yelp-man-pager.c: (man_pager_parse):
	* src/yelp-toc-pager.c: (yelp_toc_pager_pause),
	(yelp_toc_pager_unpause), (toc_pager_error), (toc_pager_cancel),
	(toc_pager_finish), (toc_pager_process), (create_toc_from_index),
	(process_mandir_pending):
	* src/yelp-utils.c: (yelp_doc_info_new), (yelp_doc_info_get),
	(yelp_doc_info_free), (yelp_doc_info_add_uri):
	Modified to use new debug infrastructure, see #343788

2006-06-11  Brent Smith  <gnome@nextreality.net>

	* src/yelp-man-pager.c: (man_pager_parse):
	* src/yelp-man-parser.c: (yelp_man_parser_parse_file),
	(yelp_man_parser_parse_doc), (parser_parse_line),
	(macro_ignore_handler), (macro_section_header_handler),
	(parser_handle_linetag), (parser_read_until), (parser_append_text):
	* src/yelp-man-parser.h:
	* src/yelp-toc-pager.c: (add_man_page_to_toc),
	(create_toc_from_index), (process_mandir_pending),
	(process_cleanup):
	* stylesheets/man2html.xsl:
	Add support for translated man pages, fixes #343275

2006-06-11  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-main.c: 
	* src/yelp-infos.xml: 
	* src/yelp-base.h: 
	* src/yelp-base.c: 
	* src/Makefile.am: 
	* Makefile.am: 
	* configure.in: 
	Move from bonobo activation to dbus activation
	Add {-p,--private-session} flag to stop from activating
	If dbus isn't running, fallback to private session
	Bug #337540
	
	* data/toc.xml.in: 
	Change 'Multimedia' category to 'Sound & Vision' for consistancy 
	(bug #332182)

	* src/yelp-window.c: 
	Don't auto-expand sections in left pane (bug #167070)

2006-06-11  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* src/Makefile.am:
	* src/Yelper.cpp:
	* src/Yelper.h:
	* src/yelp-gecko-services.cpp:
	* src/yelp-gecko-services.h:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html.cpp:
	* src/yelp-html.h:
	* src/yelp-window.c: (window_find_again):
	Don't use mozilla's internal string API, and drop support for gecko 1.7
	and non-toolkit geckos. Bug #343950.

	* m4/gecko.m4:
	Updated from Epiphany.

2006-06-10  Don Scorgie  <dscorgie@cvs.gnome.org>

	* data/ui/yelp-search-ui.xml: 
	Fix search entry to be on correct toolbar
	
	* src/yelp-window.c: 
	* data/ui/yelp-ui.xml: 
	Add a deep history framework (bug #67966)
	
	* stylesheets/info2html.xsl: 
	* src/yelp-info-parser.c: 
	Make *Notes into hyperlinks (bug #343524)
	
2006-06-06  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-gecko-utils.cpp: 
	Make monospace fonts change size when asked (bug #344003)

2006-05-30  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-utils.c: 
	Fix man page fallback for info pages again
	
        * src/yelp-toc-pager.c:
        Escape & characters when encountered in info processing (fixes #343372)

2006-05-29  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (process_mandir_pending):
	* src/yelp-utils.c: (yelp_doc_info_new):
	fix two small memory leaks.

2006-05-29  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-utils.c: 
	Fix loading of info pages from subdirs in some cases
	
	* src/gtkentryaction.c: 
	Free text after use

	* src/yelp-info-parser.c: 
	Assume the tag tables given in info files are wrong.  They mostly are.
	Instead, we set the tag tables to the correct offsets ourselves
	Also, fix a problem loading certain info sections from menus
	
2006-06-28  Frederic Peters <fpeters@0d.be>

	* src/yelp-search-pager.c:
	* stylesheets/search2html.xsl:
	more helpful message when there are no search results (fixes #341798)
	search results message can be translated (fixes #341689)
	limit search results to 20 items (fixes #341434)

2006-05-26  Brent Smith  <gnome@nextreality.net>

	* src/yelp-man-parser.c: (parser_append_given_text_handle_escapes):
	don't increment ptr, fixes #341827 - Don Scorgie
	* src/yelp-search-pager.c:
	get rid of pointless YelpListing type
	* src/yelp-toc-pager.c: (process_mandir_pending),
	(process_cleanup), (xslt_yelp_document):
	Need to allocate memory for encoding b/c xmlFreeDoc tries to free
	this
	cleanup the man_secthash hash table when finished

2006-05-26  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc-pager.c:
	Free newly created doc when finished (revert of previous change)
	Fix some other memory leaks
	
	* src/yelp-info-parser.c: 
	Fix an invalid write (fix bug #342151, again)
	Fix a bucket-load more memory leaks
	
2006-05-23  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c: 
	NULL checking.  Suppresses critical warnings on some info pages
	
	* src/yelp-utils.c: 
	If an info file doesn't exist, default to showing the man page
	Fixes bug #341627
	
	* src/yelp-info-parser.c:
	Fix loading of info pages from subdirectories (emacs).
	(Stupid info page workaround #3)

	* src/yelp-toc-pager.c: 
	Don't free the newly created doc while still in use
	(should fix bug #342151)
	
2006-05-21  Brent Smith  <gnome@nextreality.net>

	* configure.in: Update intltool requirement to 0.35.0

2006-05-17  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c:
	Reduce strictness of searching for menus in info pages (stupid info 
	page workaround #2)

==================== 2.15.2 ====================

2006-05-15  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.15.2

2006-05-15  Brent Smith  <gnome@nextreality.net>

	* data/yelp.schemas.in: fix the applyto element for the use_caret
	gconf key

2006-05-11  Brent Smith  <gnome@nextreality.net>

	* src/yelp-man-parser.c: (macro_reference_handler):
	When a man page uses the .so macro to include another file, just
	provide a link to the file;  Only works for man pages that have
	.so as the first and only macro; sort of fixes #340173
	* src/yelp-toc-pager.c: (process_omf_pending):
	Don't add OMF entries to the cache file that are missing a url 
	attribute on the identifier element

2006-05-11  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c: 
	If the node isn't found while parsing, adjust the offset and
	try again (stupid broken info page workaround) bug #336838
	
	* src/yelp-info-parser.c: 
	Actually check a directory exists before reading it (bug #339978)
	
	* stylesheets/search2html.xsl: 
	* src/yelp-window.c: 
	* src/yelp-search-pager.c: 
	Improving basic search.  Does several things:
	- Make search box respond to "man <foo>", "man:<foo>" and "info:<foo>"
	by going directly to man / info page (both backends)
	- Only match whole words (basic)
	- when > 1 search term, reduce number of man / info results drastically
	- Tweaked result scoring
	- Results matching > 1 term are given precedence
	- Allow > 1 search at a time (different windows)
	- Fix various bugs
	- New man page result parser that collects more results (bug #331831)
	Closes bug #339595
	
	* src/yelp-window.c: 
	Move all find code into a single function reducing
	lots of duplicate code	

2006-04-27  Brian Pepple  <bdpepple@gmail.com>

	* po/LINGUAS: New file listing all supported languages.
	* configure.in: Use po/LINGUAS instead of including all languages
	directly in this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas

==================== 2.15.1 ====================

2006-04-23  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.15.1

2006-04-23  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (process_mandir_pending):
	Only write a mansect element when we have a non empty linked list of
	directories

2006-04-23  Brent Smith  <gnome@nextreality.net>

	* configure.in:
	Don't print out whether or not beagle is available in the summary
	since there are instances where we don't even check, i.e.
	--with-search=no|basic
	* src/yelp-toc-pager.c: (create_toc_from_index):
	If we are unable to stat a directory in the cache file, remove it.

2006-04-22  Brent Smith  <gnome@nextreality.net>

	* configure.in:
	Fix an issue with auto detect search not setting YELP_SEARCH_CFLAGS
	and YELP_SEARCH_LIBS correctly.
	* src/yelp-toc-pager.c: (get_omf_attributes),
	(create_toc_from_omf_cache_file), (process_omf_pending),
	(process_mandir_pending):
	Fix a crash in create_toc_from_omf_cache_file() when the url element 
	is not present in the omfindex.xml file.
	Fix a crash in process_omf_pending() when the omf file is unable to be 
	opened in get_omf_attributes()
	Refactor some of the man page cache code to reduce nesting

2006-04-20  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	* src/Makefile.am:
	* src/yelp-gecko-utils.cpp:

	Build with xulrunner trunk (gecko 1.9). Bug #329429.

	* m4/gecko.m4:

	Re-sync with Epiphany.

2006-04-19  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/Makefile.am: 
	* src/yelp-html.h: 
	* src/yelp-html.cpp: 
	* src/yelp-gecko-utils.cpp: 
	* src/yelp-gecko-utils.h: 
	* src/yelp-main.c: 
	Change font size for all locales (from Christian Persch)
	Fixes #165678
	
	* configure.in: 
	Clean up configure.in a bit
	Fixes #337437

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-04  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (xslt_yelp_document):
	cosmetic changes (put statements on one line where possible)
	* src/yelp-window.c: (window_do_load):
	Make the "About this Document" menu entry available after loading a
	DocBook XML file, since that is the only time it is relevant.

2006-04-04  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Strip leading and training spaces from search terms
	Fixes #334568
	
2006-04-03  Brent Smith  <gnome@nextreality.net>

	* src/yelp-db-print-pager.c: (db_print_pager_dispose):
	* src/yelp-main.c: (slowly_and_stupidly_obtain_timestamp):
	* src/yelp-man-parser.c:
	* src/yelp-toc-pager.c: (process_mandir_pending),
	(xslt_yelp_document):
	* src/yelp-utils.c: (yelp_get_man_paths):
	* src/yelp-utils.h:
	Fix various compiler warnings, patch by Don Scorgie.  Fixes #326290

2006-04-03  Brent Smith  <gnome@nextreality.net>

	* data/man.xml.in: Add 3perl to the Perl Functions section

2006-04-03  Brent Smith  <gnome@nextreality.net>

	* src/yelp-search-pager.c: (snippet_closed), (snippet_response),
	(snippet_error), (finished_cb): various beagle signal and refcount
	fixes, patch from Joe Shaw.  Fixes #334938

2006-04-02  Gora Mohanty  <gmohanty@cvs.gnome.org>

	* configure.in: Re-added 'or' (Oriya) to ALL_LINGUAS, after
	doing a "cvs add" for po/or.po  

2006-04-02  Brent Smith  <gnome@nextreality.net>

	* configure.in:
	Remove "or" from ALL_LINGUAS since this breaks the build.
	* src/yelp-toc-pager.c: (toc_pager_dispose),
	(process_read_scrollkeeper), (files_are_equivalent),
	(process_omf_pending):
	oops, delete some debugging messages and clean up some compile
	warnings

2006-04-02  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (toc_process_pending), (sk_characters),
	(process_read_scrollkeeper), (files_are_equivalent),
	(get_omf_attributes), (create_toc_from_omf_cache_file),
	(process_omf_pending), (process_read_menu), (xslt_yelp_document):
	Cache information from OMF files to ~/.gnome2/yelp.d/omfindex.xml;
	Please see bug #336699.

2006-04-01  Gora Mohanty  <gmohanty@cvs.gnome.org>

	* configure.in: Added 'or' (Oriya) to ALL_LINGUAS.

2006-04-01  Brent Smith  <gnome@nextreality.net>

	* data/ui/yelp-ui.xml:
	Add "Contents" entry to the Help menu
	* src/yelp-main.c: (main):
	Called gnome_program_init with GNOME_PROGRAM_STANDARD_PROPERTIES
	* src/yelp-window.c: (window_help_contents_cb), (window_about_cb):
	Update the author/copyright lists.  Also provide a callback for
	viewing the yelp documentation in the user guide.

2006-03-30  Don Scorgie  <dscorgie@cvs.gnome.org>

	* configure.in: 
	* src/yelp-main.c: 
	- Move to goption, bug #335874
	
2006-03-25  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (process_info_pending):
	Applied a patch from Robert Harris to fix some memory leaks.

2006-03-23  Brent Smith  <gnome@nextreality.net>

	* stylesheets/search2html.xsl:
	Display a header on the search results which tells the 
	user how many results were returned from the query, fixes #334923		

2006-03-21  Brent Smith  <gnome@nextreality.net>

	* src/gtkentryaction.c: (gtk_entry_action_finalize):
	* src/yelp-db-pager.c: (db_pager_dispose):
	* src/yelp-info-pager.c: (info_pager_dispose):
	* src/yelp-man-pager.c: (man_pager_dispose):
	* src/yelp-pager.c: (pager_dispose):
	* src/yelp-search-pager.c: (search_pager_dispose):
	* src/yelp-toc-pager.c: (toc_pager_dispose):
	* src/yelp-xslt-pager.c: (xslt_pager_dispose):
	Don't free an object's private data since it is de-allocated
	automatically if it is created using g_type_class_add_private()

2006-03-21  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-html.cpp:
	Keep track of timeout and remove when not needed
	Fixes bug #335306

2006-03-16  Jérémy Ar Floc'h <jeremy.lefloch@gmail.com>

	* configure.in: Added Breton translation.
	* po/br.po: Added Breton translation.

==================== 2.14.0 ====================

2006-03-12  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.14.0

2006-02-27  Don Scorgie  <dscorgie@cvs.gnome.org>

	* stylesheets/search2html.xsl: 
	* src/yelp-search-pager.c: 
	While slow searching, sort the results to provide some sanity
	Remove score when searching with Beagle
	
	* src/yelp-search-pager.c: 
	Look for spaces when processing man page search results
	This stops (at least) FreeBSD off-by-1 errors (bug #331828)

==================== 2.13.6 ====================

2006-02-26  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.13.6

2006-02-19  Brent Smith  <gnome@nextreality.net>

	* src/yelp-search-pager.c: (search_pager_process),
	(search_pager_process_idle):
	If the beagle daemon is not running, fall back to basic search support
	and print a warning on the console to the user; Patch from Joe Shaw,
	fixes #331598

2006-02-19  Don Scorgie  <dscorgie@cvs.gnome.org>

	* stylesheets/Makefile.am: 
	Remove search-header.xsl from Makefile.  Allows compilation again

2006-02-18  Brent Smith  <gnome@nextreality.net>

	* stylesheets/search-header.xsl:
	* stylesheets/search2html.xsl:
	Removed redundant search text entry; search-header.xsl no longer
	needed and removed from CVS.  Patch from Joe Shaw, Fixes #331604

2006-02-18  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (create_toc_from_index),
	(process_mandir_pending):
	Fix a few more memory leaks.

2006-02-18  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Escape ' characters when searching
	
2006-02-16  Brent Smith  <gnome@nextreality.net>

	* src/yelp-html.cpp:
	re-applied DonS' a11y patch, see bug #329407, comment #9

2006-02-16  Brent Smith  <gnome@nextreality.net>

	* src/yelp-main.c: (main):
	set MOZ_DISABLE_PANGO in the environment to fix broken rendering of
	certain characters, fixes #329461

2006-02-16  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	Escape characters when searching, fixes #331422

2006-02-15  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-print.c:
	Focus print preview on html widget, fixing funny
	window-not-resizing issues

==================== 2.13.5 ====================

2006-02-12  Brent Smith  <gnome@nextreality.net>

	* NEWS:
	* configure.in:
	- Version 2.13.5

2006-02-12  Brent Smith  <gnome@nextreality.net>

	* src/yelp-html.cpp:
	Reverting DonS' a11y patch as it causes an abort in some cases when it
	can't find the a11y registry.

2006-02-11  Brent Smith  <gnome@nextreality.net>

	* src/yelp-info-parser.c: (open_info_file):
	* src/yelp-man-parser.c: (yelp_man_parser_parse_file),
	(macro_tp_handler), (parser_handle_row_options),
	(parser_parse_table):
	More 64-bit cleanups with gsize

2006-02-11  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (toc_process_pending), (process_xslt),
	(process_cleanup):
	Small speedup achieved by only reading the TOC stylesheet once
	* stylesheets/toc2html.xsl:
	small speedups

2006-02-11  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (process_info_pending):
	Committed a patch from Robert Harris to fix a crash.

2006-02-04  Brent Smith  <gnome@nextreality.net>

	* src/yelp-window.c: (pager_page_cb):
	Fixed a bug with malformed documents which caused a crash.

2006-02-02  Brent Smith  <gnome@nextreality.net>

	* src/yelp-main.c: (main_start):
	call gnome_vfs_make_uri_from_input_with_dirs() to check for a relative
	path and make a absolute uri to pass to an existing yelp process.

2006-02-02  Brent Smith  <gnome@nextreality.net>

	* src/yelp-base.c: (yelp_base_new):
	Remove some references to functions (in comments) that no longer exist.

==================== 2.13.4 ====================

2006-01-30  Shaun McCance  <shaunm@gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.13.4

2006-01-30  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* src/yelp-toc-pager.c:
	* stylesheets/toc2html.xsl:
	- Bury man and info under 'Command Line Help'

2006-01-29  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-html.cpp: 
	Workaround for a11y issues.  Should fix bug #157941

2006-01-29  Brent Smith  <gnome@nextreality.net>

	* data/man.xml.in:
	* src/yelp-man-pager.c: (man_section_process):
	* src/yelp-toc-pager.c: (add_man_page_to_toc),
	(process_mandir_pending):
	add support for mapping several man sections, such as 1,
	1p, etc. to a single TOC section in data/man.xml.in, fixes #328172
	Also added two new sections to data/man.xml.in that need translated,
	"POSIX Headers" and "POSIX Functions"

2006-01-29  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc-pager.c: 
	Fix some memory leaks
	
2006-01-28  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	More robust handling when doing basic search.  Should fix #328464

2006-01-28  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (create_toc_from_index):
	Don't call g_dir_close() unless we successfully opened the dir;
	Also, skip adding a directory to the man page TOC if we can't stat()
	it, fixes #328953

2006-01-26  Brent Smith  <gnome@nextreality.net>

	* README:
	updated the README to reflect the requirement on gnome-doc-utils 0.5.2
	bumped scrollkeeper version to 0.3.14

2006-01-26  Brent Smith  <gnome@nextreality.net>

	* src/yelp-settings.c:
	Use the /desktop/gnome/interface/document_font_name gconf key
	for the default font, instead of font_name

2006-01-25  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-print.c: 
	* src/yelp-toc-pager.c: 
	Patch from Jens Granseuer to fix some C99 initialisations
	bug #328261
	
	* src/yelp-main.c: 
	Fix crash on opening 2nd instance, #328517

2006-01-24  Brent Smith  <gnome@nextreality.net>

	* src/yelp-window.c: (window_dispose), (window_disconnect):
	fixed a critical warning which is triggered when a document
	open fails, and then the user quits yelp

2006-01-23  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c: 
	Set initial focus to html widget, fixes #324190

	* src/yelp-search-pager.c: 
	* configure.in: 
	Make compilation with Beagle search with newer Beagle
	Bump minimum Beagle version to 0.2.0
	
2006-01-22  Brent Smith  <gnome@nextreality.net>

	* src/yelp-gecko-utils.cpp:
	* src/yelp-settings.c: (yelp_settings_get_font):
	Added more robust error handling for gconf related
	issues, fixes #327826

2006-01-22  Brent Smith  <gnome@nextreality.net>

	* yelp.desktop.in.in:
	Add "GTK" to the categories in the .desktop file; fixes
	#328045

2006-01-21  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-io-channel.c: 
	* src/yelp-info-parser.c: 
	Look for multi-part info files in INFOPATH
	Make loading from non-compressed {info,man} files work
	
	* src/yelp-toc-pager.c:
	Change g_str_concat to g_strdup_printf in translated string
	Fixes #327953

2006-01-20  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc-pager.c: 
	Fix crashes on malformed info:dir files

2006-01-19  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/Makefile.am: 
	* configure.in: 
	Patch from Glynn Foster to fix more compilation 
	issues on Solaris
	
==================== 2.13.3 ====================

2006-01-18  Don Scorgie  <dscorgie@cvs.gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.13.3

2006-01-18  Don Scorgie  <dscorgie@cvs.gnome.org>

	* stylesheets/toc2html.xsl: 
	* src/yelp-toc-pager.c: 
	Make TOC pages XHML stric compliant
	
2006-01-17  Don Scorgie  <dscorgie@cvs.gnome.org>

	* configure.in: 
	Add appropriate CFLAGS when using Beagle search

2006-01-16  Brent Smith  <gnome@nextreality.net>

	* configure.in:
	Patch from Glynn Foster to fix compilation issues
	on Sun Studio

2006-01-16  Don Scorgie  <dscorgie@cvs.gnome.org>

	* configure.in:
	* src/yelp-base.h:
	* idl/GNOME_Yelp.idl:
	* src/yelp-main.c:
	* src/yelp-base.c:
	Add startup notification stuff, fixes #310237

2006-01-15 Christian Persch <chpe@cvs.gnome.org>

	* m4/gecko.m4:

	Updated from Epiphany: correct gecko version check
	if mozilla-config.h includes other files (multi-arch).

2006-01-15  Don Scorgie  <dscorgie@cvs.gnome.org>

	* data/ui/yelp.glade: 
	* src/yelp-window.c: 
	* src/gtkentryaction.c: 
	Patch from Dennis Cranston for several HIG issues
	Add mnemonics to find and search labels Fixes #326134
	
	* src/yelp-utils.c: 
	Add /usr/local/info and /usr/local/share/info to default infopaths

	* src/yelp-info-parser.c: 
	* src/yelp-info-pager.c: 
	* src/yelp-search-pager.c: 
	Fix info search results (basic) to go to correct section of info doc
	Stop info pages repeating twice
	Fix crash if info section doesn't exist
	
2006-01-14  Brent Smith  <gnome@nextreality.net>

	* configure.in:
	* src/yelp-man-parser.c:
	* src/yelp-toc-pager.c: (toc_process_pending):
	fixed some more compiler warnings, and added a summary of
	configuration parameters at the end of configure.in;
	Hopefully this will help us track down problems with search
	if people are reporting bugs, but don't know whether they
	are using Beagle or the basic search support.

2006-01-13  Brent Smith  <gnome@nextreality.net>

	* src/yelp-db-print-pager.c: (db_print_pager_parse):
	* src/yelp-man-parser.c: (macro_ignore_handler),
	(parser_handle_linetag), (parser_append_given_text_handle_escapes):
	fix some silly compiler errors with debug enabled

2006-01-12  Don Scorgie  <dscorgie@cvs.gnome.org>

	* Makefile.am: 
	* MAINTAINERS: 
	Add MAINTAINERS file
	
	* configure.in: 
	Enable man and info support by default :)

2006-01-09  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c: 
	Make find menu items insensitive when not available
	
2006-01-09  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-base.c: 
	Actually commit cleanup in file

2006-01-08  Brent Smith  <gnome@nextreality.net>

	* src/yelp-man-parser.c: (yelp_man_parser_parse_file),
	(yelp_man_parser_free), (parser_parse_line), (args_concat_all),
	(macro_ignore_handler), (macro_bold_small_italic_handler),
	(macro_roman_bold_small_italic_handler),
	(macro_new_paragraph_handler), (macro_insert_self_handler),
	(macro_title_header_handler), (macro_section_header_handler),
	(macro_spacing_handler), (macro_define_handler),
	(macro_tp_handler), (macro_ip_handler),
	(macro_hanging_paragraph_handler), (macro_mandoc_handler),
	(macro_url_handler), (macro_rs_re_handler),
	(macro_mandoc_list_handler), (macro_verbatim_handler),
	(is_mandoc_manual_macro_parsed), (is_mandoc_manual_macro_callable),
	(macro_mandoc_utility_handler), (macro_mandoc_listitem_handler),
	(macro_template_handler), (parser_handle_linetag),
	(parser_read_until), (parser_escape_tags),
	(parser_append_given_text_handle_escapes), (parser_append_node),
	(parser_append_node_attr), (parser_parse_table):
	* stylesheets/man2html.xsl:
	man page parser rework, fixes #163404, #321620, #321627, #324750,
	#326058

2006-01-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-utils.c:
	- Fixed query-string-stripping, #301741

2006-01-08  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-io-channel.c: 
	* src/yelp-xslt-pager.c: 
	* src/yelp-window.c: 
	* src/yelp-utils.c: 
	* src/yelp-toc-pager.c: 
	* src/yelp-settings.c: 
	* src/yelp-main.c: 
	* src/yelp-db-pager.c: 
	* src/yelp-bookmarks.c: 
	* src/yelp-base.c: 
	Various bits of cleanup from Kjartan Maraas (bug #323822)

2006-01-08  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/Makefile.am: 
	* src/yelp-base.c: 	
	* src/yelp-cache.c:
	* src/yelp-cache.h:
	Remove yelp-cache.{c,h}
	
2006-01-08  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c: 
	* data/ui/yelp-ui.xml: 
	Patch from Christian Persch to cleanup some code and add
	Find Previous Keybinding - bugs #304421 and #140632
	
2006-01-08  Brent Smith  <gnome@nextreality.net>

	* src/yelp-db-pager.c: (db_pager_parse), (walker_walk_xml):
	Make yelp autogenerate ids when they are missing on 
	chunkable elements, fixes #154934

2006-01-07  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-html.cpp: 
	Cleanup some of the previous HTML frame work

2006-01-07  Brent Smith  <gnome@nextreality.net>

	* src/yelp-bookmarks.c: (yelp_bookmarks_add):
	committed a patch by Christian Neumair to remove
	markup from a string, fixes #162807

2006-01-07  Brent Smith  <gnome@nextreality.net>

	* src/yelp-gecko-utils.cpp:
	committed patch from Christian Persch that should fix
	a gecko crash due to a bad profile; fixes #164689

2006-01-07  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-utils.h: 
	* src/yelp-utils.c: 
	* src/yelp-toc-pager.c: 
	* src/yelp-info-pager.c: 
	* data/info.xml.in: 
	* data/Makefile.am: 
	* src/yelp-window.c: 
	Add info pages to the table of contents
	
2006-01-07  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-marshal.list: 
	* src/yelp-html.h: 
	* src/yelp-html.cpp: 
	* src/yelp-window.c: 
	Make HTML frames work, fixes bug #157337
	
2006-01-07  Brent Smith  <gnome@nextreality.net>

	* src/info2html/data.h:
	* src/info2html/parse.c:
	* src/info2html/parse.h:
	* src/info2html/version.h:
	* src/man2html/yelp-man2html.c:
	* src/test-reader.c:
	* src/yelp-db2html.c:
	* src/yelp-html-gtkhtml1.c:
	* src/yelp-html-gtkhtml2.c:
	* src/yelp-index-model.c:
	* src/yelp-index-model.h:
	* src/yelp-info.c:
	* src/yelp-info.h:
	* src/yelp-man.c:
	* src/yelp-man.h:
	* src/yelp-pregenerate.c:
	* src/yelp-pregenerate.h:
	* src/yelp-uri.c:
	* src/yelp-uri.h:
	removed these lecagy files: fixes #304429

2006-01-07  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Added "zh_HK" to ALL_LINGUAS.

2006-01-06  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-search-pager.c: 
	* configure.in:
	Bump minimum beagle requirement and fix compiler error
	Bug #325049

2006-01-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-print.c: 
	Fix a small typo, bug #325286

2006-01-04  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-db-pager.c: 
	Clean up new get_title code.  
	Prefer titleAbbrev if available
	
2005-12-20  Brent Smith  <gnome@nextreality.net>

	* src/test-man-parser.c: (main):
	* src/yelp-man-parser.c: (yelp_man_parser_parse_doc):
	Fix some issues with critical warnings related to gnomevfs and
	an incorrect expression in the man parser.

2005-12-16  Brent Smith  <gnome@nextreality.net>

	* src/yelp-utils.c: (get_doc_type):
	committed patch to make yelp accept mime-types application/xml
	and application/docbook+xml, courtesy of Dave Malcom.  Fixes
	critical issue, bug #324296

2005-12-14  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-db-pager.c: 
	Remove xslt from node_get_title, making yelp uber-quick

==================== 2.13.2 ====================

2005-12-12  Shaun McCance  <shaunm@gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.13.2

2005-12-11  Don Scorgie  <dscorgie@cvs.gnome.org>

	* configure.in: 
	* data/ui/yelp-ui.xml: 
	* src/Makefile.am: 
	* src/Yelper.h: 
	* src/Yelper.cpp: 
	* src/yelp-db-print-pager.h: 
	* src/yelp-db-print-pager.c: 
	* src/yelp-gecko-services.h: 
	* src/yelp-gecko-services.cpp: 
	* src/yelp-html.cpp: 
	* src/yelp-html.h: 
	* src/yelp-main.c: 
	* src/yelp-print.c: 
	* src/yelp-print.h: 
	* src/yelp-window.c: 
	Add printing support
	
2005-12-11  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (yelp_toc_pager_init),
	(process_omf_pending), (add_man_page_to_toc),
	(create_manindex_file), (create_toc_from_index),
	(process_mandir_pending):
	* src/yelp-utils.c: (yelp_dot_dir), (yelp_doc_info_new),
	(yelp_doc_info_get), (convert_man_uri):
	* src/yelp-utils.h:
	* src/yelp-window.c: (yelp_window_load):
	Added support for an xml index file for man pages, which
	greatly improves startup time when man pages are enabled.

2005-12-11  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-html.cpp: 
	Only print in debug mode
	
2005-12-11  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-parser.c: 
	Fix minor compiler warning
	
2005-12-10  Don Scorgie  <dscorgie@cvs.gnome.org>

       * stylesheets/info2html.xsl:
       * src/yelp-utils.c:
       * src/yelp-io-channel.c:
       * src/yelp-info-parser.c:
       * src/yelp-info-pager.c:
       Improve info page support
       Support info menus
       Only dump output in debug mode
       Fix some leaks in info support


2005-12-08  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-bookmarks.c:
	Fix critical warning when sections don't exist
	
2005-12-08  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c:
	  Remove critical warning when history is null

2005-12-07  Matthias Clasen  <mclasen@redhat.com>

	* src/yelp-window.c (window_populate): Correct a misplaced
	#endif.

2005-11-30  Christian Persch  <chpe@cvs.gnome.org>

	* Makefile.am:
	* autogen.sh:
	* configure.in:
	* data/Makefile.am:
	* m4/gecko.m4:
	* src/Makefile.am: Use gecko.m4 from Epiphany to detect
	gecko and set the various compiler flags etc. Bug #322171.

	* src/Yelper.cpp: Use nsIWebBrowserSetup to turn off the
	global history.	Bug #322170.

==================== 2.13.1 ====================

2005-11-27  Shaun McCance  <shaunm@gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.13.1

2005-11-22  Don Scorgie  <dscorgie@cvs.gnome.org>

	* data/ui/yelp-ui.xml: 
	* src/yelp-window.c: 
	Add Find Next
	
2005-11-21  Don Scorgie  <dscorgie@cvs.gnome.org>

	* stylesheets/man2html.xsl: 
	Make the window display the man page title
	
2005-11-21  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-info-pager.c: 
	* stylesheets/toc2html.xsl: 
	* stylesheets/info2html.xsl: 
	Fix CSS validation errors
	* data/yelp.js: 
	Fix js error (from Stuart Langridge)
	Closes bug #307948
	
2005-11-16  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-xslt-pager.c:
	 Fix invalid read (bug #166715)

2005-11-09  Brent Smith  <gnome@nextreality.net>

	* stylesheets/toc2html.xsl:
	improve toc stylesheet performance. 

2005-11-09  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c:
	Handle xref anchors properly, fixes #93721

2005-11-07  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:	Allow compilation against xulrunner.
	Patch by Robert O'Callahan <rocallahan@novell.com>.

2005-11-07  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-bookmarks.c: 
	Remove warning about non existant bookmark file (from Paolo Borelli)
	Fixes #310097
	
2005-11-02  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-bookmarks.c, src/yelp-db-pager.c, src/yelp-gecko-utils.cpp,
	* src/yelp-info-pager.c, src/yelp-info-parser.c, 
	* src/yelp-man-pager.c, src/yelp-man-parser.c, 
	* src/yelp-search-pager.c, src/yelp-toc-pager.c, 
	* src/yelp-utils.c, src/yelp-window.c, src/yelp-xslt-pager.c
	Cleanup compiler warnings (casts)

2005-11-02  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-window.c: 
	Remove warning about `stock_id != NULL' in new window

2005-11-01  Christopher James Lahey  <clahey@ximian.com>

	* src/yelp-search-pager.c: Set base_title property.  Added
	text/x-docbook-entry to mime types.  Always send the search
	request instead of only in debug mode.

	* stylesheets/search2html.xsl: Use base_title property.  Don't
	sort by score.  The C code handles that now (as well as language.)

2005-11-01  Christopher James Lahey  <clahey@ximian.com>

	* src/yelp-search-pager.c: Fix a crash.  Add language sorting.
	Fix some warnings.

2005-11-01  Christopher James Lahey  <clahey@ximian.com>

	* src/gtkentryaction.c (sync_label): Remove extraneous print statement.

	* src/yelp-search-pager.c (d): Remove extraneous print statements.
	(search_pager_process): Check for a NULL beagle_client to handle
	the case of no running beagle daemon.

2005-10-28  Christopher James Lahey  <clahey@ximian.com>

	* configure.in, data/yelp.js, data/ui/Makefile.am,
	data/ui/yelp-search-ui.xml, data/ui/yelp-ui.xml, src/Makefile.am,
	src/gtkentryaction.c, src/gtkentryaction.h,
	src/yelp-search-pager.c, src/yelp-search-pager.h,
	src/yelp-utils.c, src/yelp-utils.h, src/yelp-window.c,
	stylesheets/Makefile.am, stylesheets/search-header.xsl,
	stylesheets/search2html.xsl: Add optional search framework.

2005-10-28  Simos Xenitellis  <simos@gnome.org>

	* configure.in: Added ky (Kirghiz) to ALL_LINGUAS.

2005-10-22  Brent Smith  <gnome@nextreality.net>

	* src/yelp-bookmarks.c: (yelp_bookmarks_edit):
	- Make the edit bookmarks dialog hide on the delete_event, fixes #319502

2005-10-20  Brent Smith  <gnome@nextreality.net>

	* src/yelp-toc-pager.c: (toc_add_doc_info):
	- applied patch from Matthias Clasen to fix incorrect free, fixes #319096

2005-10-18  Frederic Crozat  <fcrozat@mandriva.com>

	* src/Makefile.am: don't ship generated files.

2005-10-15  Don Scorgie <dscorgie@cvs.gnome.org>
	* data/ui/yelp.glade
	- patch from Gabriel Burt to fix #318485

2005-10-15  Don Scorgie  <dscorgie@cvs.gnome.org>
	*src/yelp-toc-pager.c
	- Replace stderr with stderr_string, fixes #314524

2005-10-15  Don Scorgie  <dscorgie@cvs.gnome.org>
	* src/yelp-window.c:
	* data/ui/yelp-ui.xml:
	- Add "Copy email address" option to popup menu
	
2005-10-14  Brent Smith  <gnome@nextreality.net>

	* src/yelp-window.c: (window_populate_find),
	(window_find_entry_activate_cb),
	(window_find_entry_key_pressed_cb):
	- Allow Enter to find next, based on patch from Jorge Bernal, fixes
	#167420

2005-10-14  Brent Smith  <gnome@nextreality.net>

	* src/yelp-window.c: (window_populate_find),
	(window_find_entry_key_pressed_cb),
	(window_find_buttons_set_sensitive):
	- Allow Esc to close find bar, based on patch from Jorge Bernal,
	fixes #167414

2005-10-13  Brent Smith  <gnome@nextreality.net>

	* src/yelp-settings.c: (yelp_settings_open_preferences):
	- Make the preferences dialog hide on the delete_event, fixes #318736

2005-09-17  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-man-parser.c:
	- Made the man parser ignore macros used by pod2man to reduce garbage (Brent Smith)
	- Handle troff \s+-[N] macros (Brent Smith)
	- Much-needed code comment (Brent Smith)

	* stylesheets/man2html.xsl
	- Handle <br> and <Indent> elements (Brent Smith)
	- Fix the SH, SS, and IP sibling selectors

==================== 2.12.1 ====================

2005-09-17  Shaun McCance  <shaunm@gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.12.1

==================== 2.12.0 ====================

2005-09-10  Erdal Ronahi  <erdal.ronahi@gmail.com>
        * po/ku.po
        - Added Kurdish translation

2005-09-06  Shaun McCance  <shaunm@gnome.org>

	* NEWS:
	- Version 2.12.0

2005-08-29  Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp-ui.xml:
	* src/yelp-window.c:
	- Enabled F7 keybinding, as per #157941

2005-08-24  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-xslt-pager.c:
	- Patch from Brent Smith to fix crasher, #310420

2005-08-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	- post-release bump to 2.12.0

==================== 2.11.92 ====================

2005-08-24  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.11.92

2005-08-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-toc-pager.c:
	* src/yelp-window.c:
	* src/yelp-xslt-pager.c:
	- Patch from Don Scorgie to fix crash, #172227

2005-07-25  Ross Burton  <ross@burtonini.com>

	* src/yelp-db-pager.c:
	Don't crash if a template isn't found when walking.

2005-07-25  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Initialize some variables, from Ross Burton, #311518

2005-07-13  Behdad Esfahbod  <gnome@behdad.org>

	* .cvsignore:
	- Added INSTALL.

	* src/yelp-settings.c (yelp_settings_init):
	- Fixed typo in character code in translator comment.
	  (Bug 310240, Roozbeh Pournader)

2005-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	Downgrade minimal mozilla version to 1.7 again, was accidentally
	not changed when copying the rest of the configure changes
	from Epiphany.

2005-07-12  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	Update gecko configure checks to also detect mozilla trunk
	which is now named 'seamonkey'.

2005-07-12  Shaun McCance  <shaunm@gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.11.1

2005-07-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-toc-pager.c:
	- Fix possible leak

2005-07-05  Don Scorgie  <dscorgie@cvs.gnome.org>

	* src/yelp-bookmarks.c: 
	- Make bookmark headers insensitive
	
2005-05-19  Shaun McCance  <shaunm@gnome.org>

	* data/man.xml.in:
	* src/yelp-man-pager.c:
	* src/yelp-toc-pager.c:
	* stylesheets/db2html.xsl.in:
	* stylesheets/man2html.xsl:
	* stylesheets/yelp-common.xsl:
	- s/Man Pages/Manual Pages/
	- Added a linktrail to man pages

2005-05-16  Christian Persch  <chpe@cvs.gnome.org>

	* src/yelp-base.c: (yelp_base_init), (yelp_base_class_init):
	* src/yelp-db-pager.c: (db_pager_class_init), (db_pager_init):
	* src/yelp-index-model.c: (yim_class_init), (yim_init):
	* src/yelp-info-pager.c: (info_pager_class_init),
	(info_pager_init):
	* src/yelp-man-pager.c: (man_pager_class_init), (man_pager_init):
	* src/yelp-pager.c: (pager_class_init), (pager_init):
	* src/yelp-toc-pager.c: (toc_pager_class_init), (toc_pager_init):
	* src/yelp-xslt-pager.c: (xslt_pager_class_init),
	(xslt_pager_init):
	- Use gobject private data, fixing bug #140632.

2005-05-16  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:
	- Check for toolkit's nsITypeAheadFind.

	* src/Makefile.am:
	* src/Yelper.cpp:
	* src/Yelper.h:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html-gecko.c:
	* src/yelp-html.cpp:
	* src/yelp-html.h:
	- Refactor the Gecko backend, and add typeaheadfind
	support, if available. Plug several mem leaks en passant.

	* src/yelp-settings.h:
	- Add header guards.

	* src/yelp-toc-pager.c: (process_xslt):
	- Don't use C++ comments in C code.

	* src/yelp-window.c: (window_init), (window_finalize),
	(window_class_init), (window_populate), (window_find_action),
	(window_find_again), (window_find_clicked_cb),
	(window_find_entry_changed_cb):
	- Use typeaheadfind, if available. Bug #167536.

2005-05-16  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/Makefile.am:
	* stylesheets/db2html.xsl.in:
	* stylesheets/yelp-common.xsl:
	- Created yelp-common.xsl to hold common styling
	- Position the navbar at the bottom, still quirky

2005-05-11  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-gecko-utils.cpp:
	* src/yelp-html-gecko.c:
	* src/yelp-settings.c:
	* src/yelp-settings.h:
	* stylesheets/db2html.xsl.in:
	* stylesheets/info2html.xsl:
	* stylesheets/man2html.xsl:
	* stylesheets/toc2html.xsl:
	- Changed color parameters around

2005-05-09  Shaun McCance  <shaunm@gnome.org>

	* data/yelp.js:
	- Use an actual ellipsis character
	- Do linktrail magic on DOMContentLoaded

	* stylesheets/db2html.xsl.in:
	- Don't wrap the linktrail while waiting for the resize to trigger
	- Some linktrail and navbar visual improvements

2005-05-07  Shaun McCance  <shaunm@gnome.org>

	* data/Makefile.am:
	* data/yelp.js:
	* src/yelp-db-pager.c:
	* stylesheets/db2html.xsl.in:
	- Added yelp.js, magic courtesy of Stuart Langridge
	- Cleaned up some margins and padding with the linktrail

2005-05-06  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Depend on gdu 0.3.1

	* src/yelp-gecko-utils.cpp:
	- Set a minimum font size of 8pt

	* stylesheets/db2html.xsl.in:
	- Played with navbar and linktrail

2005-05-01  Shaun McCance  <shaunm@gnome.org>

	* NEWS
	* configure.in:
	- Version 2.10.0

	* po/ChangeLog:
	- Removed stray CVS conflict marker

2005-04-30  Paolo Borelli  <pborelli@katamail.com>

	yelp-bookmarks.c: constify some vars.
	yelp-settings.c: ditto.
	yelp-window.c: ditto.

2005-04-14  Abduxukur Abdurixit <abduxukur.abdurixit@t-systems.ch>

	* configure.in: Added "ug" to ALL_LINGUAS.

2005-04-08  Christian Persch  <chpe@cvs.gnome.org>

	* configure.in:  Define MOZILLA_INTERNAL_API, which is necessary since
	mozilla 1.8b2, because Yelp uses internal strings.
	* src/yelp-gecko-utils.cpp: Include config.h here.
	Fixes bug #173053.

2005-04-01  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-10  Christian Persch  <chpe@cvs.gnome.org>

	* src/yelp-db-pager.c: (walker_walk_xml):
	* src/yelp-io-channel.c:
	* src/yelp-man-parser.c: (parser_escape_tags):
	* src/yelp-toc-pager.c: (toc_process_pending):
	* src/yelp-window.c: (window_populate), (window_do_load_pager),
	(pager_finish_cb):
	* src/yelp-xslt-pager.c: (xslt_yelp_cache):

	Don't use C++ comments in C files. Fixes the build with
	--enable-debug.

2005-03-10  Christian Persch  <chpe@cvs.gnome.org>

	* .cvsignore:
	R INSTALL:
	* autogen.sh:
	* configure.in:
	* data/.cvsignore:
	* po/POTFILES.in:
	* src/.cvsignore:
	* src/Makefile.am:
	* stylesheets/.cvsignore:

	Update the build system, and add missing files to .cvsignore:s.
	Remove not distributed file from POTFILES.in. From bug #169316.

2005-04-06  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	- yelp-uri has been dead for a while, no need to link it in

	* src/yelp-main.c:
	- Reverted #168262, fixing #169160

2005-02-23  Paolo Borelli  <pborelli@katamail.com>

	* src/yelp-main.c (main): do not leak display_name.

2005-02-23  Kjartan Maraas  <kmaraas@gnome.org>

	* src/yelp-db-pager.c: (node_get_title):
	* src/yelp-error.c:
	* src/yelp-html-gtkhtml1.c:
	* src/yelp-html-gtkhtml2.c:
	* src/yelp-index-model.c:
	* src/yelp-info-pager.c:
	* src/yelp-main.c:
	* src/yelp-man-pager.c:
	* src/yelp-man-parser.c:
	* src/yelp-pager.c:
	* src/yelp-pregenerate.c:
	* src/yelp-settings.c:
	* src/yelp-toc-pager.c: (process_xslt):
	* src/yelp-uri.c: (uri_locate_file), (uri_locate_file_lang):
	* src/yelp-utils.c: (locate_file_lang), (convert_ghelp_uri):
	* src/yelp-window.c: (yelp_window_load),
	(window_find_entry_changed_cb):
	* src/yelp-xslt-pager.c: Fix a bunch of warnings, port
	from gnome_i18n_* to the glib equivalents. Remove deprecated
	headers.

2005-02-22  Ross Burton  <ross@burtonini.com>

	* src/yelp-window.c:
	Add some casts.

2005-02-22  Ross Burton  <ross@burtonini.com>

	* src/yelp-utils.h:
	Add YELP_DOC_TYPE_XHTML.
	
	* src/yelp-utils.c:
	Handle application/xml+html as HTML.

	* src/yelp-window.c:
	Pass a MIME type to window_do_load_html.

2005-02-06  Kjartan Maraas  <kmaraas@gnome.org>

	* src/yelp-gecko-utils.cpp: Fix leak
	* src/yelp-utils.c: (yelp_doc_info_new): Don't free
	memory until you're finished using it. 
	* src/yelp-xslt-pager.c: (xslt_yelp_document): Fix leaks.
	GetPropInfo already allocates a new string so there's no
	need to g_strdup it again.

2005-02-04  Davyd Madeley  <davyd@madeley.id.au>

	* src/yelp-bookmarks.c: Add a missing t.

2005-02-04  Kjartan Maraas  <kmaraas@gnome.org>

	* src/yelp-bookmarks.c: (bookmarks_read): Fix leak and remove
	confusing goto:
	* src/yelp-toc-pager.c: (process_omf_pending), (process_read_menu):
	Fix leaks.
	* src/yelp-utils.c: (yelp_doc_info_new): Fix leak

2005-02-03  Shaun McCance  <shaunm@gnome.org>

	* data/scrollkeeper.xml:
	* data/toc.xml.in:
	- Added Preferences and Administration, per panel changes
	- Renamed Applets to Panel Applets

	* src/yelp-settings.c:
	* stylesheets/db2html.xsl.in:
	* stylesheets/toc2html.xsl:
	- Rendering improvements

2005-02-04  Kjartan Maraas  <kmaraas@gnome.org>

	* src/yelp-db-pager.c: (db_pager_params):  Fix a leak.

2005-02-02  Chris Lahey  <clahey@clahey.net>

	* src/yelp-pager.c (yelp_pager_get_page): Check for a NULL page_id
	here.  Fixes a crash if you go to a non-existing link in an
	existing page.

2005-02-01  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-bookmarks.c:
	- Desensitivify buttons when nothing is selected (Don Scorgie)

2005-02-01  Shaun McCance  <shaunm@gnome.org>

	* data/icons/Makefile.am:
	* src/yelp-toc-pager.c:
	- Adding nice large yelpish icon from Human

	* src/yelp-settings.c:
	* src/yelp-settings.h:
	* stylesheets/db2html.xsl.in:
	- A nice yellow color for admonitions

	* stylesheets/toc2html.xsl:
	- Fixed document sorting problem

2005-01-25  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-bookmarks.c:
	- Fix #164858 (Don Scorgie)

	* src/yelp-main.c:
	- Fix #152852 (Don Scorgie, Kjartan Marass)

2005-01-25  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Changed copyright statement and a comment

	* stylesheets/toc2html.xsl:
	- Some design prettification

2005-01-21  Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp.glade:
	* src/yelp-bookmarks.c:
	- More bookmark love from Don Scorgie

	* src/yelp-xslt-pager.c:
	- Fixed a typo in a string

2005-01-20  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-gecko-utils.cpp:
	- Explicitly tell Gecko not to use the system colors

2005-01-20  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Pass the max_depth parameter

2005-01-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	* src/yelp-xslt-pager.c:
	* stylesheets/db2html.xsl.in:
	- Fix up prev/next stuff

2005-01-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-html-gecko.c:
	* src/yelp-html.h:
	* src/yelp-window.c:
	- Fix display of plain ol' HTML files, from Don Scorgie

2005-01-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-bookmarks.c:
	- More bookmark love from Don Scorgie

	* src/yelp-info-pager.c:
	* src/yelp-man-pager.c:
	- Fixed build failures from renamed #defines

2005-01-17  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* src/yelp-db-pager.c:
	* stylesheets/Makefile.am:
	* stylesheets/db-title.xsl.in:
	- Get titles from the db.titleabbrev XSLT template

	* data/toc.xml.in:
	- Changed 'Sound & Video' to be 'Multimedia', for upstream compliance

	* src/yelp-info-pager.c:
	* src/yelp-man-pager.c:
	* src/yelp-toc-pager.c:
	- Some #define naming changes

2005-01-13  Shaun McCance  <shaunm@gnome.org>

	* NEWS:
	* configure.in:
	- Version 2.9.3

2005-01-13  Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp.glade:
	* src/yelp-bookmarks.c:
	- Bookmarks improvements

2005-01-10  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	* src/yelp-window.c:
	- Calling the fromt page Help Topics

	* src/yelp-settings.c:
	* src/yelp-settings.h:
	- Added prev/next page icons

	* src/yelp-window.c:
	- Did some work on the Find toolbar

	* stylesheets/db2html.xsl.in:
	- Some navigation bar work

2005-01-09  Shaun McCance  <shaunm@gnome.org>

	* data/yelp.schemas.in:
	- Cleaned up string, #161777

2005-01-09  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-xslt-pager.c:
	- Fixed messy string, #162808

2005-01-09  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Put the current URI in the Ctrl+L dialog

2005-01-03  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Use xsltSaveResultToString here, fixes #162796

2005-01-02  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-bookmarks.c:
	- Use GTK_MESSAGE_INFO when bookmark exists

	* src/yelp-window.c:
	- s/Page/Section/ as it makes more sense

2005-01-02  Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp.glade:
	* src/yelp-bookmarks.c:
	* src/yelp-bookmarks.h:
	* src/yelp-window.c;
	- More bookmarks work

2005-01-02  Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp-ui.xml:
	* src/yelp-db-pager.c:
	* src/yelp-window.c:
	- Set the params correct for current stylesheets
	- Removed 'Titlepage' from the sidebar
	- Added 'About This Document' menu item
	- Got titles working correctly for DocBook

	* src/yelp-bookmarks.c:
	- Got the tree view working correctly for bookmarks

2005-01-02  Davyd Madeley  <davyd@madeley.id.au>

	* src/yelp-info-pager.c:
	* src/yelp-info-parser.c: Add appropriate copyright information.

	* src/yelp-info-parser.c: Bring children of Top in line with Top in
	  the tree to make the interface more consistent with the docbook
	  pages.

2005-01-02  Davyd Madeley  <davyd@madeley.id.au>

	* src/yelp-info-parser.c:
	* src/yelp-info-pager.c: Use page numbers as the section id, not page
	  names.

2005-01-02  Davyd Madeley  <davyd@madeley.id.au>

	* src/yelp-info-parser.c: Chained info support, parser fixes, and free
	  some memory we'll never need again a little earlier to save space.

2005-01-01  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-error.c:
	* src/yelp-error.h:
	* src/yelp-io-channel.c:
	* src/yelp-man-pager.c:
	* src/yelp-toc-pager.c:
	* src/yelp-window.c:
	* src/yelp-xslt-pager.c:
	- HIGified the error dialogs

	* src/yelp-utils.c:
	* src/yelp-window.c:
	- Handle man: and info: URIs with errors when --disable-(man|info)

	* stylesheets/info2html.xsl:
	- Set the title of info pages

2004-12-31  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-utils.c:
	- Strip off frags when doing doc_info_table lookups

2004-12-31  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-info-pager.c:
	- Make a hash of section ids and do resolve_frag properly

2004-12-31  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-info-pager.c:
	- Put the GtkTreeStore in the YelpInfoPagerPriv
	- Return "Top" in resolve_frag, just so something will show up

	* src/yelp-window.c:
	- Set sections in the "start" callback

	* stylesheets/info2html.xsl:
	- s/Document/Section/

2004-12-31  Davyd Madeley  <davyd@madeley.id.au>

	* src/yelp-info-pager.c:
	* src/yelp-info-parser.c:
	* src/yelp-info-parser.h: Generate simple XML for GNU Info support. No
	  markup yet.

2004-12-31  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/info2html.xsl:
	- Very basic info stylesheet

2004-12-31  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-pager.h:
	* src/yelp-window.c:
	- Added an enum for document outline columns

	* stylesheets/toc2html.xsl:
	- Some CSS work

2004-12-31  Davyd Madeley  <davyd@madeley.id.au>

	* src/yelp-info-parser.c (add):
	* src/yelp-info-parser.h (add):
	* src/yelp-info-pager.c: Start of GNU Info support
	* src/Makefile.am: Compile added files

2004-12-31  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-info-pager.c:
	* src/yelp-info-pager.h:
	* src/yelp-window.c:
	- Adding yelp-info-pager.[ch]

	* src/yelp-man-pager.c:
	- Some cleanups

	* stylesheets/Makefile.am:
	* stylesheets/info2html.xsl:
	- Adding info2html.xsl

	* stylesheets/db2html.xsl.in:
	* stylesheets/man2html.xsl:
	- Minor stylistic stuff

2004-12-31  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Put in a NULL check to fix a crahser for Davyd

2004-12-29  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-settings.c:
	* src/yelp-settings.h:
	* stylesheets/db2html.xsl.in:
	- Themed rule color for alternating rows in a table

2004-12-29  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html.xsl.in:
	- Change chunk behavior to new gnome-doc-utils behavior
	- Various color and style things that I managed not to commit

	* stylesheets/toc2html.xsl:
	- Formatting improvements

2004-12-27  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-settings.c:
	* src/yelp-settings.h:
	* src/yelp-toc-pager.c:
	- Added yelp_settings_params to set icon and color params
	- Added colors selected[0-3] and base[0-3]

	* src/yelp-html-gecko.c:
	* stylesheets/man2html.xsl:
	* stylesheets/toc2html.xsl:
	- Switched to XHTML

2004-12-22  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-bookmarks.c:
	- Put the comment write after the attribute writes

2004-12-22  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-bookmarks.c:
	* src/yelp-bookmarks.h:
	* src/yelp-window.c:
	- More bookmarks work from Don Scorgie

2004-12-22  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-base.c:
	* src/yelp-db-pager.c:
	* src/yelp-toc-pager.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	* src/yelp-window.c:
	* src/yelp-window.h:
	- Various bits of cleanup from Don Scorgie

2004-12-22  Shaun McCance  <shaunm@gnome.org>

	* data/icons/Makefile.am:
	* data/icons/yelp-watermark-blockquote.xcf
	* data/icons/yelp-watermark-blockquote-00AB.png
	* data/icons/yelp-watermark-blockquote-00BB.png
	* data/icons/yelp-watermark-blockquote-201C.png
	* data/icons/yelp-watermark-blockquote-201D.png
	* data/icons/yelp-watermark-blockquote-201E.png
	- Added a single XCF to store the blockquote watermarks
	- Added watermark for U+201D

2004-12-15  Shaun McCance  <shaunm@gnome.org>

	* data/scrollkeeper.xml:
	- Put a11y stuff in Accessibility (duh)

	* data/ui/yelp-ui.xml:
	* data/ui/yelp.glade:
	* src/Makefile.am:
	* src/yelp-bookmarks.c:
	* src/yelp-bookmarks.h:
	* src/yelp-base.c:
	* src/yelp-utils.h:
	* src/yelp-window.c:
	* src/yelp-window.h:
	- First pass at bookmarks

2004-12-11  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-man-pager.c:
	* src/yelp-man-pager.h:
	- Made yelp-man-pager use yelp-xslt-pager

2004-12-11  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-db-pager.c:
	* src/yelp-db-pager.h:
	* src/yelp-window.c:
	* src/yelp-xslt-pager.c:
	* src/yelp-xslt-pager.h:
	- Added yelp-xslt-pager.[ch] to abstract out common pager stuff

2004-12-09  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-base.c:
	* src/yelp-toc-pager.c:
	* src/yelp-utils.c:
	- More robust URI-ish input handling, fixes #160635

2004-12-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-pager.c:
	* src/yelp-utils.c:
	* src/yelp-window.c:
	- Hooked up reload, at least for DocBook

2004-12-05  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- About dialog work from Luca Ferretti

2004-12-05  Shaun McCance  <shaunm@gnome.org>

	* data/man.xml.in:
	- Added sections: 3f 3pm 3qt 3x

2004-12-05  Shaun McCance  <shaunm@gnome.org>

	* data/Makefile.am:
	* data/man.xml.in:
	* data/toc.xml.in:
	* po/POTFILES.in:
	* po/wa.po:
	* src/yelp-toc-pager.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	* stylesheets/toc2html.xsl:
	- Got the man pages listed in the TOC

2004-12-02  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "zu" to ALL_LINGUAS.

2004-11-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-utils.c:
	- Make convert_man_uri look up stuff in locales

2004-11-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-utils.c:
	- Allow gnome-help: URI scheme (Don Scorgie)
	- Make external links actually work (Don Scorgie)

	* src/yelp-window.c:
	- Fix 'Open Link in New Window' (Don Scorgie)

	* stylesheets/toc2html.xsl:
	- More TOC work

2004-11-29  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Leak less memory

	* src/yelp-toc-pager.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	* stylesheets/toc2html.xsl:
	- More TOC improvements

2004-11-28  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* data/Makefile.am
	* data/scrollkeeper.xml:
	* data/toc.xml.in:
	* src/Makefile.am:
	* src/yelp-toc-pager.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	* src/yelp-window.c:
	* stylesheets/Makefile.am:
	* stylesheets/toc2html.xsl:
	- Added --enable-man and --enable-info
	- Revamped TOC code

2004-11-27  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "nso" to ALL_LINGUAS.

2004-11-21  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Patch from Quinn Kronifontes to add logo to about dialog

2004-11-21  Christoffer Olsen  <co@deworks.net>

	* po/POTFILES.in: Replaced yelp.desktop.in with yelp.desktop.in.in
	* yelp.desktop.in: Moved to yelp.desktop.in.in
	* yelp.desktop.in.in: Added X-GNOME-Bugzilla-Version
	* configure.in: Added yelp.desktop.in.in to AC_OUTPUT

2004-11-21  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/man2html.xsl:
	- Various man xslt additions

2004-11-17  Marco Pesenti Gritti  <marco@gnome.org>

	* data/Makefile.am:

	Fix build out of src directory. Bug #158328	

2004-11-16  James Bowes  <bowes@cs.dal.ca>

	reviewed by: Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp-ui.xml:
	* src/Makefile.am:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html-gecko.c: (yelp_html_select_all):
	* src/yelp-html.h:
	* src/yelp-window.c: (window_copy_cb), (window_select_all_cb): 
	Add 'select all' to the edit menu, along with supporting 
	functions. Ensure that 'copy' will copy from the correct widget.
	
2004-11-14  James Bowes  <bowes@cs.dal.ca>

	* src/yelp-man-pager.c: (xslt_yelp_document): Dump html
	rather than xml, so gecko can parse it correctly.
	* src/yelp-man-parser.c: (parser_handle_linetag),
	(parser_ensure_P), (parser_handle_inline), 
	(parser_stack_pop_node): Man page fixes for paragraphs,
	inline tags, and line tags with arguments.

2004-11-13  James Bowes  <bowes@cs.dal.ca>

	* src/yelp-man-parser.c: (parser_handle_linetag):
	More hanging tag (IP, TP) fixes.
	
2004-11-13  James Bowes  <bowes@cs.dal.ca>

	* src/yelp-man-parser.c: (yelp_man_parser_parse_file),
	(parser_parse_line), (parser_handle_linetag): More 
	manpage fixing, including better handling of using 
	hanging tag paragraphs as list items.

2004-11-13  James Bowes  <bowes@cs.dal.ca>

	* src/yelp-man-parser.c: (yelp_man_parser_parse_file),
	(parser_handle_linetag), (parser_handle_row_options),
	(parser_parse_table): More manpage fixes.

2004-11-13  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html.xsl.in:
	- Override db.xref.target

	* stylesheets/man2html.xsl:
	- Don't <pre> paragraphs, maybe

2004-11-13  Shaun McCance  <shaunm@gnome.org>

	* src/test-pager.c:
	* src/yelp-man-pager.c:
	* stylesheets/man2html.xsl:
	- More manpage work

2004-11-13  James Bowes  <bowes@cs.dal.ca>

	* src/yelp-man-parser.c: (parser_read_until), 
	(parser_parse_table), (parser_make_link): Add in 
	detection of page_name(section_num) style man page 
	references, and create the appropriate link.

2004-11-08  Sebastien Bacher  <seb128@debian.org>

	* configure.in:
	* src/Makefile.am:
	* src/yelp-main.c: (main):
	patch by Christian Persch <chpe@gnome.org> to enable the compilation 
	against firefox' gtkmozembed.

2004-11-01  Shaun McCance  <shaunm@gnome.org>

	* NEWS:
	* configure.in:
	* po/*.po:
	- Version 2.9.1

	* src/Makefile.am:
	- Remove debug for release

2004-11-01  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* src/Makefile.am:
	- Do the -fno-rtti thing the way epiphany does it

	* data/ui/yelp-ui.xml:
	* src/yelp-base.c:
	* src/yelp-db-pager.c:
	* src/yelp-utils.c:
	* src/yelp-window.c:
	- Added stub for reload.  Don't use it unless you like things to crash
	- Cancellation is somewhat working

	* po/POTFILES.in:
	- Added data/yelp.schemas.in and src/yelp-settings.c

2004-10-28  James Henstridge  <james@jamesh.id.au>

	* src/Makefile.am: fix up handling of built sources for
	srcdir!=builddir builds.

	* po/POTFILES.in: remove some files that have been removed.

	* data/Makefile.am: add some files to the clean list.

	* Makefile.am: add intltool files to the distclean list.

	* configure.in: clean up a bit, removing obsolete macro usage.

	* autogen.sh: use the gnome-common autogen.sh script.  Request a
	Automake 1.7.

2004-10-26  Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp-ui.xml:
	* src/Makefile.am:
	* src/yelp-base.c:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html-gecko.c:
	* src/yelp-html.h:
	* src/yelp-window.c:
	* src/yelp-window.h:
	- Patch from Don Scorgie for popup menus on links

2004-10-26  Shaun McCance  <shaunm@gnome.org>

	* data/yelp.schemas.in:
	* data/ui/yelp.glade:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html-gecko.c:
	* src/yelp-html.h:
	* src/yelp-settings.c:
	* src/yelp-settings.h:
	- Browse with caret
	- Color fixes

	* src/yelp-window.c:
	- Proper history handling for errors

2004-10-20  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html.xsl.in:
	- Actually select the variable for admon graphics

2004-10-20  Shaun McCance  <shaunm@gnome.org>

	* data/icons/Makefile.am:
	* data/yelp-icon-caution.png:
	* data/yelp-icon-important.png:
	* data/yelp-icon-note.png:
	* data/yelp-icon-tip.png:
	* data/yelp-icon-warning.png:
	* data/yelp-watermark-blockquote-00AB.png:
	* data/yelp-watermark-blockquote-00BB.png:
	* data/yelp-watermark-blockquote-201C.png:
	* data/yelp-watermark-blockquote-201E.png:
	* src/yelp-db-pager.c:
	* src/yelp-settings.c:
	* src/yelp-settings.h:
	* stylesheets/db2html.xsl.in:
	- Themeable icons and watermarks

	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html-gecko.c:
	* src/yelp-html.h:
	* src/yelp-settings.c:
	* src/yelp-settings.h:
	- Color settings

	* src/yelp-utils.c:
	- Fixed a very stupid crasher

	* src/yelp-window.c:
	- Pop the history stack on errors

2004-10-19  James Bowes  <bowes@cs.dal.ca>

	* src/yelp-man-parser.c: (yelp_man_parser_parse_file),
	(parser_handle_linetag), (parser_handle_inline): Add more tags 
	to the parser, including the inline comment tag, some bsd mandoc 
	macros, and hypertext macros.

2004-10-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Declare i at top of db_pager_process

2004-10-18  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* src/yelp-main.c:
	* src/yelp-window.c:
	- Using gtk_window_set_default_icon_name
	- Using GtkAboutDialog

2004-10-18  Shaun McCance  <shaunm@gnome.org>

	* data/yelp.schemas.in:
	- Forgot to add this to CVS

2004-10-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-man-parser.c:
	- Small fix for TP tag from Don Scorgie

2004-10-18  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html-gecko.c:
	* src/yelp-html.h:
	* src/yelp-window.c:
	- Patch from Don Scorgie to make Copy work.  Yay!

2004-10-18  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Minor changes

	* data/default.css:
	- Some CSS changes

	* data/Makefile.am:
	* data/ui/yelp-ui.xml:
	* data/ui/yelp.glade:
	* src/Makefile.am:
	* src/yelp-base.c:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html-gecko.c:
	* src/yelp-html.h:
	* src/yelp-window.c:
	- Added font preference and all the Gecko wonder that goes with
	- Moved theme stuff to settings

	* src/yelp-man-pager.c:
	* src/yelp-toc-pager.c:
	* src/yelp-window.c:
	- Moved theme stuff to settings

	* src/yelp-db-pager.c:
	* src/yelp-pager.c:
	* src/yelp-utils.c:
	- Changed debug statements to use g_print

2004-10-12  Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp-ui.xml:
	* src/yelp-window.c:
	- Added Copy, breaking Copy
	- DND from the tree view

	* src/Makefile.am:
	* src/yelp-cache.h:
	- Removed yelp-uri

	* src/test-uri.c:
	* src/yelp-base.c:
	* src/yelp-pager.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	* src/yelp-window.c:
	- Privatized YelpDocInfo
	- Added multiple URI support to YelpDocInfo

2004-10-10  Shaun McCance  <shaunm@gnome.org>

	* data/ui/yelp.glade:
	* src/yelp-window.c:
	- Open Location dialog

2004-10-10  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-history.c:
	* src/yelp-history.h:
	* src/yelp-window.c:
	- Removed yelp-history, using a simple stack in yelp-window

2004-10-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Fixed compilation problem

2004-10-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-utils.c:
	- A NULL check, and re-enabling the pager unreffing

	* src/yelp-window.c:
	- Fix for bug #146935: Previous, Next, and Contents were sensitive when
	  they shouldn't have been

2004-10-07  Shaun McCance  <shaunm@gnome.org>

	* data/ui/Makefile.am:
	* data/ui/yelp-ui.xml:
	* src/yelp-window.c:
	- Use the new menu API

2004-10-07  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-utils.c:
	- Using the toc.xml file as the base URI for x-yelp-toc, to please Gecko

2004-10-07  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* src/Makefile.am:
	* src/test-man-parser.c:
	* src/test-pager.c:
	* src/test-uri.c:
	* src/yelp-base.c:
	* src/yelp-base.h:
	* src/yelp-db-pager.c:
	* src/yelp-db-pager.h:
	* src/yelp-error.h:
	* src/yelp-history.c:
	* src/yelp-history.h:
	* src/yelp-html-gecko.c:
	* src/yelp-html.h:
	* src/yelp-man-pager.c:
	* src/yelp-man-pager.h:
	* src/yelp-man-parser.c:
	* src/yelp-man-parser.h:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	* src/yelp-toc-pager.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	* src/yelp-window.c:
	* src/yelp-window.h:
	- Switched most of the stuff over to YelpDocInfo
	- Reworked parser semantics to make it simpler
	- Broke lots of stuff

2004-09-30  James Bowes  <bowes@cs.dal.ca>

	* src/yelp-man-parser.c: (parser_handle_linetag),
	(parser_handle_inline), (parser_append_text), (parser_append_node),
	(parser_stack_push_node), (parser_stack_pop_node),
	(parser_handle_table_options), (parser_handle_row_options),
	(parser_parse_table): Added more tags (from the gnu man macro 
	package) to the parser. Added basic parsing for the table (tbl) 
	macro package. Stopped parser from adding <P>'s holding only 
	newlines.

2004-09-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-theme.c:
	* src/yelp-theme.h:
	* src/yelp-window.c:
	- Hooked up notifications for theme changes
	- Hooked up the window icon to use said notifications

2004-09-29  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/test-man-parser.c:
	* src/test-uri.c:
	* src/yelp-man-parser.c:
	* src/yelp-man-parser.h:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	- Added yelp_document_info_get_filename
	- Made yelp-man-parser use YelpDocument

2004-09-29  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-man-parser.c:
	- DIE STRCMP DIE

2004-09-29  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/test-uri.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	- Removed the yelp-uri dependancy from yelp-utils
	- Removed all the init and mutex stuff

Wed Sep 29 00:53:03 2004  Jonathan Blandford  <jrb@gnome.org>

	* src/Makefile.am: Make the Gecko stuff build.

2004-09-28  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-utils.c:
	- Support for info URIs, and some clean-up

2004-09-28  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/test-uri.c:
	* src/yelp-utils.c:
	* src/yelp-utils.h:
	- Added yelp-utils.[ch], which will simplify things eventually

2004-09-24  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* src/Makefile.am:
	* src/yelp-html-gecko.c:
	* src/yelp-gecko-utils.cpp:
	* src/yelp-gecko-utils.h:
	* src/yelp-html.h:
	* src/yelp-window.c:
	- GEKCO!  Big thanks to Marco for the patch.

	* src/yelp-base.c:
	* src/yelp-window.c:
	- Initial work on the Firefox-esque Find toolbar.

	* src/yelp-db-pager.c:
	* src/yelp-error.c:
	* src/yelp-error.h:
	- Fixed a crasher.

	* stylesheets/man2html.xsl:
	- Fixed a type in the templates.

2004-09-22  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html.xsl
	- Removed; it's generated from db2html.xsl.in

2004-09-03  Shaun McCance  <shaunm@gnome.org>

	* po/ga.po:
	- Changed &8221; to &#8221;

2004-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added «nb» to ALL_LINGUAS.

2004-08-16  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "bs" to ALL_LINGUAS.

2004-08-10  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-history.c:
	- Make history_finalize chain up to parent's finalize, #140663

2004-08-07  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- (tree_model_iter_following) Don't leak old_iter, #140757

2004-08-07  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-html-gtkhtml2.c:
	- Part of a patch from Kirti Sinha for #139739

2004-06-04  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html.xsl:
	* stylesheets/db2html.xsl.in:
	- Fixed the XPath on the db.chunk.toc_basename select

2004-06-04  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- s/scrollkeeper\//scrollkeeper./ just for fun

	* src/yelp-window.c:
	- s/frag/frag_id/ for consistency

	* stylesheets/db2html.xsl:
	* stylesheets/db2html.xsl.in:
	- s/db.chunk.top/db.chunk.chunk_top/ so it'll work

2004-06-03  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Calling scrollkeeper-get-content-list, because nothing else will be right

2004-06-01  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* stylesheets/db2html.xsl:
	* stylesheets/db2html.xsl.in:
	- Switched to the stylesheets from gnome-doc-utils

	* src/yelp-io-channel.c:
	- Moved #include <stdio.h> above the other #includes

	* src/test-pager.c:
	* src/yelp-db-pager.c:
	* src/yelp-man-pager.c:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	* src/yelp-toc-pager.c:
	* src/yelp-window.c:
	- Made some changes to frag resolving that I've been wanting to do

2004-05-24  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Tajik (tg) to ALL_LINGUAS.

2004-05-07  Arvind Samptur  <arvind.samptur@wipro.com>

	* src/yelp-main.c (main_save_session): Get the open_urls
	in the right index of argv
	(main_restore_session): Need get rid of "\"" before passing
	the url to main_open_new_window ().  (#142081)

2004-04-27  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Basque (eu) to ALL_LINGUAS.

2004-04-26  Morten Welinder  <terra@gnome.org>

	* src/yelp-window.c (window_handle_page): Fix the rest of #140595.

	* src/yelp-db-pager.c (db_pager_process): Free path, free walker,
	and free the transformed document.  (#140630)

2004-04-24  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Georgian (ka) to ALL_LINGUAS.

2004-04-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Fixed leak in window_handle_pager_uri, #140597  (Morten Welinder)
	- Fixed leak in window_handle_page, #140595  (Morten Welinder)

2004-04-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-io-channel.c:
	- #include <stdio.h>, as per #134886

2004-04-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Fix leak with gtk_tree_store_set, #140546  (Morten Welinder)

2004-04-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-theme.c:
	- Don't g_object_ref after gtk_style_new, #140525  (Morten Welinder)

2004-04-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- s/g_free/g_strfreev/ on **paths, fixes #140524 (Morten Welinder)

2004-04-16  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- NULL check on priv->pager before g_object_unref, fixes #140300

2004-04-16  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Better handling of category_hash, as per #128914

2004-04-10  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-22  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Version 2.6.0

	* po/*.po:
	- Stuff distcheck likes to do

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-21  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Patch from Laszlo Peter for #134534, portable sed usage

2004-03-20  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-16  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Version 2.5.91

	* po/*.po:
	- Stuff distcheck likes to do

2004-03-15  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Fix for #137216, infinite loop in tree traversal.

2004-03-10  Alexander Winston  <alexander.winston@comcast.net>

	* configure.in: Added en_CA to ALL_LINGUAS.

2004-03-09  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Version 2.5.90

	* po/*.po:
	- Various distcheck stuff

2004-03-07  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Updated to reflect latest SK categories.

2004-03-03  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Added me to the copyrights on About.


	* stylesheets/db2html-html.xsl:
	- Stylistic changes that should hopefully benefit documents with deeper
	  list nesting.  I've added margins on li elements, because it's really
	  needed.  Unfortunately, gtkhtml doesn't seem to understand that it
	  should also pad down the leading bullet/number.  We'll just have to
	  suffer it.

2004-03-03  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Require libxml2-2.6.5 and libxslt-1.1.4 for the dictionary stuff.

	* src/yelp-toc-pager.c:
	- Remove work-around for #131745, since we now require libxml2-2.6.5.

2004-02-24  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Version 2.5.6

	* po/*.po:
	- Various distcheck stuff

2004-02-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Adding dictionary to the new xmlDoc for each chunk.  This works around
	  the libxslt bug in 1.1.3 and in principle makes the transformation faster.
	- Another NULL check.

2004-02-18  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-titlepage.xsl:
	* test/testdoc1/testdoc1.xml:
	- Added support address/email in titlepage, per #134769.  Also don't
	  duplicate then name of othercredit.
	- Merged templates for author | editor | othercredit, since they're
	  all the same.

2004-02-17  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Another NULL test before an xmlFree, suggested by William Brack.

2004-02-16  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-toc.xsl:
	- Changed $cols to {$cols}, so that it'll actually work. :/

2004-02-16  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Patch from DV to stop mixing malloc and free wrappers from glib and
	  libxml2.  Fixes a crash with latest libxslt.

2004-02-16  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Patch from Julio M. Merino Vidal for portable sed usage (#134534)

2004-02-15  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Fixed memory leak.

2004-02-12  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Disconnect idle_write when closing a window or switching to a different
	  page, because some people apparently don't like Yelp to crash.

2004-02-12  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Don't crash when the window is closed before the transformation is
	  finished, from Jan Arne Petersen.  (#134266)

2004-02-11  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-synopsis.xsl:
	* test/testdoc1/testdoc1.xml:
	- More cmdsynopsis work.

2004-02-10  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-header.xsl:
	* stylesheets/db2html-synopsis.xsl:
	- Some work on cmdsynopsis.

2004-02-10  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Version 2.5.5

	* po/*.po
	- distcheck stuff

2004-02-09  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-navbar.xsl:
	- Fixed theoretical bug which never gets triggered in navbar.next.

2004-02-09  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-header.xsl:
	- Speed improvements of about 0.1s on the UG.

2004-02-08  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-toc.xsl:
	- Rather smallish speed improvement.

2004-02-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-html-gtkhtml2.c:
	* src/yelp-window.c:
	- Don't always grab focus on the gtkhtml2 widget.  I did this as part of
	  my efforts to lay smack-down on gtkhtml2's scrolling weirdness, but it
	  isn't needed with the solution I have, and it's annoying.

	* stylesheets/db2html-html.xsl:
	* stylesheets/db2html-toc.xsl:
	- Stylistic TOC changes, and only print Contents header when there are.

	* test/testdoc1/testdoc1.xml:
	- Chunk two levels deep.

2004-02-07  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-titlepage.xsl:
	* stylesheets/l10n.xml.in:
	- Handle releaseinfo element.

2004-02-06  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* stylesheets/db2html-header.xsl:
	- Free the transformation context.
	- The cache extension element isn't working, but I hooked it in so I have
	  more oppurtunity to let GTK+ update itself.

	* stylesheets/db2html-navbar.xsl:
	- Speed improvement to navbar.prev.

2004-02-06  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-division.xsl:
	- Fixed blatently wrong chunking in refentry.

	* stylesheets/db2html-xref.xsl:
	- Fixed blatently wrong grabbing of text content for ulink.

2004-02-05  Tomasz Kłoczko <kloczek@pld.org.pl>

	* configure.in: Trivial cleanup: remove AC_SUBST(CFLAGS)
	  and AC_SUBST(LDFLAGS). This variables are substed by default.

2004-02-04  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Version 2.5.4

	* README:
	- Updated README information regarding XSLT.

	* po/*.po:
	- Various distcheck changes.

2004-02-03  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Tweak to the idle writer that squeezes out a few more scroll problems.

	* test/testdoc1/testdoc1.xml:
	- Added indexterms

2004-02-03  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-pager.c:
	- s/FALSE/NULL/ for return value for a function that returns a pointer.

2004-02-03  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-html-gtkhtml2.c:
	- Introduced a timeout function for scrolling to anchor/top, since gtkhtml2
	  also has a timeout that likes to scroll to the first link.  This timeout
	  checks if gtkhtml2's timeout is still pending, and readds itself if so.

	* src/yelp-window.c:
	- Do the writing of the page in an idle, which produces better renderings
	  and helps me to beat idle and timeout functions that mess with scrolling.
	- Fix problem where Previous/Next/TOC menu items stayed active when they
	  shouldn't have.

2004-01-23  Mikael Hallendal  <micke@imendio.com>

	* src/yelp-window.h: include gtkwindow.h instead of gnome-app.h

2004-01-22  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-uri.c:
	* src/yelp-uri.h:
	- Handle mailto: URIs.
	- Make file: URIs be _TYPE_UNKNOWN for formats we don't know.

	* src/yelp-window.c:
	- Handle mailto: URIs.
	- Some NULL checking.

2004-01-22  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Handling another category that doesn't exist.  ~sigh~

	* stylesheets/db2html-html.xsl:
	- Modification to variablelist rendering.

	* stylesheets/db2html-xref.xsl:
	- Pull content of ulink from url when there's no content.

	* test/testdoc1/testdoc1.xml:
	- Test ulink.

2004-01-22  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Implemented destroy callback to unref stuff I ref.

2004-01-21  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.h:
	- Fixed ugly but benign typo.

	* test/testdoc1/testdoc1.xml:
	- Implemented test for xref.

2004-01-21  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Fixed annoying double-history thing with first page.  Again.
	- Fixed history problem when loading anything external.

2004-01-21  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/gettext.xsl:
	* stylesheets/l10n.xml.in:
	- Added string 'About This Article'.
	- Made gettext behave more nicely when a string isn't found.

2004-01-19  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-division.xsl:
	* stylesheets/db2html-html.xsl:
	* stylesheets/db2html-toc.xsl:
	- Stylistic changes to the TOC.

2004-01-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* stylesheets/db2html-param.xsl:
	- Nicer chunk depth determination.  Works decently well.

2004-01-17  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-titlepage.xsl:
	* stylesheets/gettext.xsl:
	- Small changes to pluralized headers in titlepage.

2004-01-16  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Updated comment about bug #131745, now that I've filed the bug.

2004-01-15  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-base.c:
	- Relative path handling broke absolute-sans-scheme path handling.
	  Now fixed.

	* src/yelp-db-pager.c:
	- Handle XInclude.

	* src/yelp-toc-pager.c:
	- The parser context seems to fail on all files after a single bad XML
	  file, which I think is a bug in libxml2.  This caused a single bad
	  OMF file to bomb the whole TOC.  I've worked around the problem for
	  now by creating a new parser context after errors.

2004-01-14  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-base.c:
	- Don't require absolute path for a file given on the command line.

	* test/testdoc1/testdoc1.xml:
	- That really isn't my email address.  Really.

2004-01-12  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Changed Previous and Next to Previous Page and Next Page, per UI review.

2004-01-12  Richard Hult  <richard@imendio.com>

	* src/yelp-toc-pager.c (menu_write_page): Set encoding to utf-8 in
	the generated html. Fixes bug #131186.

2004-01-11  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/test-pager.c:
	* src/yelp-db-pager.c:
	* src/yelp-io-channel.c:
	* src/yelp-man-pager.c:
	* src/yelp-man-pager.h:
	* src/yelp-uri.c:
	* src/yelp-window.c:
	* stylesheets/Makefile.am:
	- Oh man(1), this is the start of a beautiful relationship.

2004-01-11  Shaun McCance  <shaunm@gnome.org>

	* src/test-pager.c:
	* src/yelp-base.c:
	* src/yelp-db-pager.c:
	* src/yelp-db-pager.h:
	* src/yelp-history.c:
	* src/yelp-history.h:
	* src/yelp-html-gtkhtml2.c:
	* src/yelp-html.h:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	* src/yelp-toc-pager.c:
	* src/yelp-uri.c:
	* src/yelp-uri.h:
	* src/yelp-window.c:
	* src/yelp-window.h:
	- ... in which I change YelpURI around.  Again.

2004-01-10  Shaun McCance  <shaunm@gnome.org>

	* src/.cvsignore: Added test-man-parser to .cvsignore

	* src/Makefile.am:
	* src/yelp-error.c:
	* src/yelp-error.h:
	* src/yelp-io-channel.c:
	* src/yelp-io-channel.h:
	* src/yelp-man-parser.c:
	- Kick-ass custom GIOChannel that automatically uses zlib and libbz2.

	* stylesheets/.cvsignore: Added l10n.xml to .cvsignore

2004-01-10  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/l10n.xml.in:
	- Added lots of comments.

	* test/testdoc1/testdoc1.xml:
	- Made my email address correct.

2004-01-10  Eric Baudais  <drake@gnome.org

	* test/testdoc1/testdoc1.xml
	- Added some more glossary tests.

2004-01-09  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/l10n.xml.in
	- s/Bigliography/Bibliography/

2004-01-09  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-xref.xsl:
	- More link fixes, making endterm cases look right.

	* test/Makefile.am:
	* test/autogen.sh:
	* test/configure.in:
	* test/omf.make:
	* test/xmldocs.xml:
	- Making test/ independantly buildable.

2004-01-09  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-xref.xsl:
	- Revert link back to the correct behavior.

2004-01-09  Eric Baudais  <drake@gnome.org>

	* test/testdoc1/testdoc1.xml: 
	- Fixed the test doc so everything is valid DocBook.

2004-01-09  Shaun McCance  <shaunm@gnome.org>

	* stylesheets/db2html-chunk.xsl:
	- Some glossary work.

	* stylesheets/gettext.xsl:
	- Strip trailing space from number-less headers.

	* test/testdoc1/testdoc1.xml:
	- Some glossary test stuff.

2004-01-08  Shaun McCance  <shaunm@gnome.org>
See stylesheets/ChangeLog for previous stylesheet changes

2004-01-08  Shaun McCance  <shaunm@gnome.org>

	* po/POTFILES.in:
	- Made translations work in XSLT, still need to do plurals.

2004-01-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-man-parser.c:
	- Gobs more work on the man page parser.

2004-01-07  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Error dialog for invalid ghelp: URI.

2004-01-07  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-error.c:
	* src/yelp-error.h:
	* src/yelp-toc-pager.c:
	* src/yelp-window.c:
	- Consolidated all the GError-making in yelp-error.c.

2004-01-05  Shaun McCance  <shaunm@gnome.org>

	* data/Makefile.am:
	* data/default.css:
	* src/yelp-theme.c:
	* src/yelp-theme.h:
	- Added default CSS file.

	* src/yelp-toc-pager.c:
	- Switched to using GString for writing the page.
	- Put content writing in a separate function, to make inlining easier.

2004-01-03  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/test-pager.c:
	- Make test-pager work again.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" in ALL_LINGUAS.

2004-01-02  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-html-gtkhtml2.c:
	* src/yelp-html.h:
	* src/yelp-window.c:
	- Started working on the jump-to-anchor thing.

2004-01-02  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Implement yelp:chunk-depth PI.

	* src/yelp-toc-pager.c:
	- Started preparing to read man dirs.

	* src/yelp-uri.c:
	- Handle absolute ghelp: URIs.

	* src/yelp-window.c:
	- Handle HTML pages.  Not done yet.

2004-01-01  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- A quick comment, to remind me.

	* src/yelp-html-gtkhtml2.c:
	- Don't let the html view shrink to nothing.

	* src/yelp-window.c:
	- Handle external URIs, like web sites and stuff.

	* test/testdoc1/testdoc1.xml:
	- Put in tests for some inline elements.

2003-12-31  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	- Temporarily removed test programs from the build.
	- Removed yelp-util from the yelp build.

	* src/test-uri.c:
	- Some changes for GnomeVFSURI, but not enough.

	* src/yelp-base.c:
	* src/yelp-cache.h:
	* src/yelp-db-pager.c:
	* src/yelp-db-pager.h:
	* src/yelp-history.c:
	* src/yelp-history.h:
	* src/yelp-html-gtkhtml2.c
	* src/yelp-html.h:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	* src/yelp-toc-pager.c:
	* src/yelp-uri.c:
	* src/yelp-uri.h:
	* src/yelp-window.c:
	* src/yelp-window.h:
	- Switching to GnomeVFSURI.

	* src/yelp-db-pager.c:
	- Remove leading/trailing whitespace from titles.

2003-12-30  Shaun McCance  <shaunm@gnome.org>

	* configure.in: Version 2.5.2.

2003-12-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-theme.c:
	- Grab the default style if gtk_rc_get_style_by_paths returns NULL.

2003-12-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- doc_name and doc_path were reversed for some reason.

2003-12-29  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Move Applets into Applications.
	- Accomodote non-standard GNOME|Applications|Accessories.

	* src/yelp-theme.c:
	- Don't be an idiot.  Use snprintf.

	* src/yelp-window.c:
	- Make the busy cursor go away when erroring out.

2003-12-29  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-uri.c:
	- Consider #index to be equal to no fragment.

	* src/yelp-window.c:
	- Some improvement to the history mechanism.

2003-12-29  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Transpose Titlepage and Contents.

	* src/yelp-main.c:
	- Handle startup notification.

	* test/testdoc1/testdoc1.xml:
	- Change to 4.1.2.  I need to fix this fiasco.  ~sigh~

2003-12-29  Shaun McCance  <shaunm@gnome.org>

	* test/testdoc1/testdoc1.xml:
	- Put in a test for classsynopsis.

2003-12-26  Shaun McCance  <shaunm@gnome.org>

	* configure.in
	* src/Makefile.am
	- Updates dependencies.

	* data/Makefile.am:
	* data/icons/Makefile.am:
	* data/icons/caution.png:
	* data/icons/important.png:
	* data/icons/note.png:
	* data/icons/tip.png:
	* data/icons/warning.png:
	- Adding icons here.

	* src/yelp-db-pager.c:
	- Changed params around a bit.

	* test/testdoc1/testdoc1.xml:
	- Changes to admonition samples.

2003-12-26  Shaun McCance  <shaunm@gnome.org>

	* AUTHORS:
	- Added myself to AUTHORS.

	* src/yelp-db-pager.c:
	- Fixed memory leak in params.

	* src/yelp-uri.c:
	* src/yelp-uri.h:
	* src/yelp-window.c:
	- Re-added Hallski's copyright statements.

	* test/testdoc1/testdoc1.xml:
	- Put actual content in, including admonition section.

2003-12-26  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* test/testdoc1/Makefile.am:
	* test/testdoc1/legal.xml:
	* test/testdoc1/testdoc1.omf:
	* test/testdoc1/testdoc1.xml:
	- Added test documents.

	* data/toc.xml.in:
	- Handling System|... stuff from SK.

2003-12-24  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	- Add yelp-theme to test_pager_SOURCES

	* src/yelp-db-pager.c:
	* src/yelp-theme.c:
	* src/yelp-theme.h:
	- Theme the gray color of screen, programlisting, etc.

	* src/yelp-window.c:
	- Change keybindings up, for fun.

	* stylesheets/Makefile.am:
	* stylesheets/db2html-formal.xsl:
	* stylesheets/db2html-lists.xsl:
	- Removing db2html-formal and db2html-lists

2003-12-22  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Changed things around to accomodate more stuff.

2003-12-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Crash fix from Chee Bin HOH.

2003-12-18  Shaun McCance  <shaunm@gnome.org>

	All from Chee Bin HOH:

	* data/ui/yelp.glade:
	- A new 'Find dialog which has same GUI as epiphany's Find dialog.

	* src/yelp-html-gtkhtml2.c:
	- Add automatically 'wrap around' if finding reaches the end of an
	  html page (but avoid searching twice).
	- Searching from where the previous finding stops.
	- Clean up the yelp-html-gtkhtml2.c source a bit.

	* src/yelp-html.c:
	- Change yelp_html_find to return a boolean value to indicate the
	  success or failure of findiing.

	* src/yelp-window.c:
	- Change 'Find in page... Ctrl+F' to 'Find... Ctrl+F'
	- Change 'Find again  Ctrl+G' to 'Find Next  Ctrl+G'
	- Add 'Find Previous  Shift+Ctrl+G' to 'Edit' menu.
	- Disable the 'Next' button if finding next fails or 'Previous'
	  button if finding previous fails.
	- Disable 'Next' and 'Previous' buttons if no text being entered
	  into the 'Find' text entry, else enable the both buttons.
	- Hitting 'Alt-N' or 'Alt+P' will only activate the 'Next' button or
	  'Previous' button, NOT pulling down the 'Find' combobox entry list.

2003-12-17  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-base.c:
	* src/yelp-main.c:
	* src/yelp-window.c:
	- Attempts at working with GtkIconTheme.

	* src/yelp-window.c:
	- Check for model != NULL, to avoid ugly warnings.

2003-12-16  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-base.c:
	* src/yelp-history.h:
	* src/yelp-html.h:
	* src/yelp-util.c:
	* src/yelp-window.c:
	- Removing yelp-scrollkeeper and yelp-sections.

2003-12-16  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Made sidebar selection follow the page loeded.

2003-12-16  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	* src/yelp-toc-pager.c:
	* src/yelp-window.c:
	- Add prev, next, and toc to YelpPage.
	- Create menu items for Previous, Next, and Contents.

2003-12-15  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	* src/yelp-window.c:
	- Changed state to a bitfield, easier to extend.
	- Re-added the "contents" signal for faster page-existence checking.

2003-12-13  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Make the page titles work.

	* src/yelp-toc-pager.c:
	- Emit a finish signal.

2003-12-12  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-html-gtkhtml2.c:
	- Possible fix problem with Find (#128905) (Chee Bin HOH)
	- Fix crasher with Find (#128784) (Chee Bin HOH)

	* src/yelp-window.c:
	- Select existing text in Find dialog (Shaun McCance)

2003-12-08  Shaun McCance  <shaunm@gnome.org>

	* configure.in: Version 2.5.1.

2003-12-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Fixed a crasher with gnome_vfs_directory_close.

	* src/yelp-window.c:
	- Moved a declaration to the beginning for ANSI C.

2003-12-06  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-pager.c:
	- Checking for NULL in pager_set_property before g_object_ref'ing.

2003-12-06  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Patch from Diego González to fix crashing bug in g_object_new.

2003-12-05  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c
	- Patch from Chee Bin HOH to add Back, Forward, and Find in Page

2003-12-03  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Patch from Joe Markus Clarke not to free un-malloc'd memory.

	* src/yelp-toc-pager.c:
	- Fixed problem with un-malloc'd memory being free found by
	  Joe Markus Clarke.

2003-12-02  Shaun McCance  <shaunm@gnome.org>

	* src/.cvsignore:
	- It's test-pager, not yelp-pager.

2003-12-02  Shaun McCance  <shaunm@gnome.org>

	* data/.cvsignore:
	* src/.cvsignore:
	- Adding data/toc.xml and src/test-pager to .cvsignore

2003-12-02  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Change to the way toc pages are pruned so that we don't get orphaned
	  Categories headers.

2003-12-02  Shaun McCance  <shaunm@gnome.org>

	* configure.in: Version 2.5.0.

2003-12-02  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Removed the DOCTYPE, because it was passing straight through intltool
	  and the resultant toc.xml had an incorrent DOCTYPE.
	- Rearranged the menu a bit.

2003-12-02  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Don't require top element id to be index.

2003-12-01  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Changed the way toc nodes are processed to give a depth-first,
	  post-order traversal.  This way I can prune empty toc pages.

2003-12-01  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Handling all SK categories, from mariano.

	* src/yelp-window.c:
	- Start with Loading..., so the titlebar doesn't look like ass.

2003-12-01  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Make the Loading message kind of animated, for better feedback.

2003-12-01  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Switched to using a single pending function that calls the appropriate
	  function on each iteration.  Makes the code nicer.

2003-11-30  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Make no-sidebar the default, to avoid momentary flicker.

2003-11-30  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Some work on the TOC.

	* src/yelp-db-pager.c:
	- Actually use the parser options.

2003-11-30  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Implementing more of the TOC.

	* src/yelp-toc-pager.c:
	- Don't reverse the subcategories in a TOC.

	* src/yelp-window.c:
	- Make the sidebar actually appear.

2003-11-30  Shaun McCance  <shaunm@gnome.org>

	- Some changes I forgot to commit on transformation-playground before merging.

	* src/yelp-db-pager.c:
	- Some changes to how the XML parser is called.

	* src/yelp-toc-pager.c:
	- Actually creating the TOC pages.

2003-11-30  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	* data/Makefile.am:
	* po/POTFILES.in:
	* src/Makefile.am:
	* src/test-uri.c:
	* src/yelp-base.c:
	* src/yelp-cache.c:
	* src/yelp-cache.c:
	* src/yelp-cache.h:
	* src/yelp-db2html.c:
	* src/yelp-error.h:
	* src/yelp-history.c:
	* src/yelp-html-gtkhtml2.c:
	* src/yelp-info.c:
	* src/yelp-main.c:
	* src/yelp-man.c:
	* src/yelp-scrollkeeper.c:
	* src/yelp-section.c:
	* src/yelp-uri.c:
	* src/yelp-uri.h:
	* src/yelp-view-content.c:
	* src/yelp-window.c:
	* src/yelp-window.h:
	- Merging transformation-playground

2003-11-29  Shaun McCance  <shaunm@gnome.org>

	* data/toc.xml.in:
	- Filled in just a little more to show how it works, so that I can
	  get somebody else to write this file for me.

2003-11-29  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Make the sidebar disappear for no-sidebar pages.

2003-11-29  Shaun McCance  <shaunm@gnome.org>

	* data/Makefile.am:
	* data/toc.xml:
	* po/POTFILES.in:
	- Added the TOC XML file.

2003-11-29  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c:
	- Don't leak GErrors.
	- Report an error in the error signal callback.

2003-11-28  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Switched to a different bit of the libxml2 API to parse the document.
	- Made page_id default to "index" when frag_id == NULL.

	* src/yelp-pager.c:
	* src/yelp-pager.h:
	- Implemented yelp_uri_is_page.

	* src/yelp-toc-pager.c:
	- Implemented resolve_uri.
	- Finished parsing of TOC, just need to write the pages.
	- Began work on indexing stuff.

	* src/yelp-uri.c:
	- Fixed memory corruption.

	* src/yelp-window.c:
	- Added callbacks for error and finish signals.
	- Made the TOC go through window_handle_pager_uri.
	- Switched to yelp_pager_uri_is_page in page callback.

2003-11-12  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	- Add yelp-error.[ch] to SOURCES for test-pager.

	* src/yelp-error.h:
	- Add YELP_ERROR_FAILED_TOC.

	* src/yelp-pager.c:
	- Don't free memory you're not supposed to, dummy.

	* src/yelp-toc-pager.c:
	- More work on the toc generation.

	* src/yelp-window.c:
	- Make sidebar selection work.
	- Remove huge block of commented-out code.

2003-11-19  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Prepare to work around seriesid madness.
	- Prepare to read the actual toc file in.

2003-11-18  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	- Add yelp-toc-pager.[ch] to test-pager build.

	* src/yelp-toc-pager.c:
	- Make the hashing of OMF files work completely.

2003-11-18  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-reader.c:
	* src/yelp-reader.h:
	- Removing YelpReader

2003-11-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- Only read files ending in .omf

2003-11-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Pass $mediaobject_path as a param

2003-11-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	- Implement pausing of the TocPager.
	- Add default handlers for error, cancel, and finish.

	* src/yelp-toc-pager.c:
	* src/yelp-toc-pager.h:
	- Implement pausing of the TocPager.
	- More work on reading OMF files.

	* src/yelp-window.c:
	- Implement pausing of the TocPager.

2003-11-17  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-toc-pager.c:
	- More work on the TOC pager.

2003-11-16  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	- Make the titles for sidebars actually work.  That was stupid.

	* src/yelp-window.c:
	- Make the titles for sidebars actually work.
	- Keep a reference to the scrolling areas, so I can reparent.

2003-11-16  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-base.c:
	* src/yelp-toc-pager.c:
	* src/yelp-toc-pager.h:
	- Adding YelpTocPager

	* src/yelp-db-pager.c:
	* src/yelp-db-pager.h:
	- Whitespace changes

2003-11-15  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	- Change resolve_uri to return a non-const gchar *
	- Remove sections event, as it's not necessary using the
	  GtkTreeModel without all that threading crap.

	* src/yelp-db-pager.c:
	- Remove sections event.

2003-11-15  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db-pager.c:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	- Use a YelpPage struct rather than just a gchar, so a page can
	  hold the id and title and well as the contents.

	* src/yelp-error.h:
	- Add an error code for no-longer-supported SGML.

	* src/yelp-window.c:
	- Prepare to work TOC back in.
	- Use YelpPage.
	- Some more error-handling.
	- Make "Loading..." actually work.
	- Set window title.

2003-11-15  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-cache.c:
	* src/yelp-cache.h:
	* src/yelp-html-gtkhtml2.c:
	* src/yelp-info.c:
	* src/yelp-main.c:
	* src/yelp-main.c:
	* src/yelp-scrollkeeper.c:
	* src/yelp-section.c:
	* src/yelp-window.c:
	- Changes for GObjectified YelpURI
	- Using new transformation code

	* src/yelp-db-pager.c:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	- Dethreadifying

	* src/yelp-uri.c:
	* src/yelp-uri.h:
	- Work on relative URI resolver

2003-11-11  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	* src/yelp-base.c:
	* src/yelp-history.c:
	* src/yelp-window.c:
	* src/yelp-window.h:
	- Breaking things more for the new transformations

2003-11-10  Shaun McCance  <shaunm@gnome.org>

	* src/info2html/main.c:
	- Fix silliness with g_strdup_printf
	  (Joe Marcus Clarke and Roderich Schupp)

2003-11-06  Shaun McCance  <shaunm@gnome.org>

	* configure.in:
	- Require libxml-2.0 2.6.0, because I do

2003-11-06  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-uri.h:
	- #include <glib-object.h>

2003-11-06  Shaun McCance  <shaunm@gnome.org>

	* src/Makefile.am:
	- Changes for new URI and Pager code

2003-11-06  Shaun McCance  <shaunm@gnome.org>

	* src/test-uri:
	* src/yelp-uri.c:
	* src/yelp-uri.h:
	- New GObjectified URI code

	* src/test-pager.c:
	* src/yelp-db-pager.c:
	* src/yelp-db-pager.h:
	* src/yelp-pager.c:
	* src/yelp-pager.h:
	- New transformation code

2003-10-12  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-cache.c:
	* src/yelp-cache.h:
	* src/yelp-db2html.c:
	* src/yelp-reader.c:
	* src/yelp-scrollkeeper.c:
	* src/yelp-view-content.c:
	- Revert change for making navbars in C.  Should not be necessary
	  with new stylesheets.
	- Use new stylesheets

2003-10-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mr" to ALL_LINGUAS.

2003-10-06  Žygimantas Beručka  <uid0@tuxfamily.org>

	* configure.in: Added "lt" to ALL_LINGUAS

2003-09-08  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c: Added self to About

2003-08-27  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-main.c
	- Fix from alexl for rather nasty problem when DISPLAY is set.

2003-08-26  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-cache.c
	* src/yelp-cache.h
	* src/yelp-db2html.c
	* src/yelp-reader.c
	* src/yelp-scrollkeeper.c
	* src/yelp-view-content.c
	- Big speedup to transformation of large DocBook documents
	  by generating navigation links in C from ScrollKeeper info.

2003-08-26  Shaun McCance  <shaunm@gnome.org>

	* README: Updated README so it's correct

2003-08-18  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-window.c: declare variables at top of block

2003-08-18  Jakub Steiner <jimmac@ximian.com>

	* stylesheets/docbook/*.png: provide nicer, gnome2-styled images

2003-08-15  Mikael Hallendal  <micke@imendio.com>

        * src/GNOME_Yelp.server.in: Replaced yelp-base for yelp. Not sure what
          should be in there really... Might fix bug #119764

	* src/yelp-window.c: (window_init), (window_configure_cb):
        - Save size from last window. Patch by Shaun McCance.
        - Fixes bug #90451

	* configure.in: 
        - Applied patch from Steve Chaplin that fixes the CFLAGS.
        - Fixes bug #118984

	* src/yelp-main.c: 
        (main_restore_session): Return FALSE, otherwise we'll try to start Yelp
          from the session over and over again. Reported by Jody earlier.

2003-08-14  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ne" to ALL_LINGUAS.

2003-08-13  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-view-toc.c
	- Re-added a closing ul tag that was accidentally removed

2003-08-12  Mikael Hallendal  <micke@imendio.com>

        * Release 2.3.6

	* NEWS: Updated for 2.3.6
	* configure.in: Bumped to 2.3.6

	* data/images/bcg.png: 
	- Replace image for one with transparent background.
	* src/yelp-view-toc.c: 
	- Remove the spacer padding image
	- Both these should finally fix bug #89838. Patches from Shaun McCance.

2003-07-30 John Fleck <jfleck@inkstain.net>

	* src/info2html/html.c
	- patch from Shaun re bug #89838

2003-07-24  Shaun McCance  <shaunm@gnome.org>

	* src/yelp-db2html.c:
	- Change parameters passed to stylesheets.

2003-07-15 John Fleck <jfleck@inkstain.net>

	* configure.in: version 2.3.4

2003-07-08  Anders Carlsson  <andersca@codefactory.se>

	* configure.in:
	* src/Makefile.am:
	* src/info2html/Makefile.am:
	* src/man2html/Makefile.am:
	* src/yelp-reader.c: (reader_convert_start):
	Move help readers over from libgnome.
	
2003-07-02  Jordi Mallach  <jordi@sindominio.net>

	* yelp.desktop.in: Add StartupNotify support.

2003-06-25  Glynn Foster  <glynn.foster@sun.com>

	* stylesheets/l10n.xml: Add some new languages from 
	Mike Lei - merging patches from sun-patches.

2003-06-25  Glynn Foster  <glynn.foster@sun.com>

	* stylesheets/l10n.xml: Update correct italian translation
	for Next/Previous/Contents.

2003-06-16  Alex Duggan  <aldug@astrolinux.com>
 
 	* src/yelp-main.c: s/dir/directory/  Fixes #111818
 
2003-06-16  Mikael Hallendal  <micke@imendio.com>

	* src/yelp-db2html.c: 
	(main): Exit with a warning if file doesn't exist. Fixes #104478.

2003-06-13  Mikael Hallendal  <micke@imendio.com>

        * *: Updated my contact information
	
2003-06-10 John Fleck <jfleck@inkstain.net>

	* src/Makefile.am
	* src/yelp-db2html.c
	* src/yelp-scrollkeeper.c
	* stylesheets/Makefile.am
	* stylesheets/yelp-custom.xsl
	* stylesheets/yelp-customization.xsl
	  added
	* stylesheets/yelp-functions.xsl
	  patch from Shaun McCance to address bug #114117

2003-06-04  Mikael Hallendal  <micke@codefactory.se>

        * Release 2.3.3

        * configure.in: Updated to 2.3.3
	
	* NEWS: Updated for 2.3.3

        * src/yelp-scrollkeeper.c: (scrollkeeper_parse_toc_section):
	- fixed leak found by Kjartan.

	* src/yelp-reader.c: 
	- style fixes
	- fixes memory leaks found and patched by Narayana Pattipati
	- fixes #110572  
	
2003-06-03  Mikael Hallendal  <micke@codefactory.se>

        * src/yelp-window.c: (window_about_cb): 
	- If About window is already showing, don't create another one.
	  Patch by Steve Chaplin, fixes #113906

2003-06-03  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-content.c: (content_reader_finished_cb):
	- Use gtp_tree_view_expand_to_path to expand the tree instead of callin
	  gtk_tree_view_expand_path on all parents. Fixes #113977

2003-06-03  Kenneth Rohde Christiansen  <kenneth@gnu.org>

	* configure.in: Added "li" (Limburgish) to ALL_LINGUAS.

2003-05-26  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

	* configure.in: Added "cy" to ALL_LINGUAS

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-01  Paul Duffy <dubhthach@frink.nuigalway.ie>

        * configure.in: Added "ga" to ALL_LINGUAS.

2003-04-24  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-04-15  Alex Duggan  <aldug@astrolinux.com>

	* src/yelp-window.c: Change string in about box

2003-04-07  Mikael Hallendal  <micke@codefactory.se>

        * Release 2.3.0

        * NEWS: Updated for 2.3.0
	
2003-04-05 John Fleck <jfleck@inkstain.net>

	* stylesheets/yelp-customization.xsl
	More from Shaun McCance, fixes #100415

2003-04-05 John Fleck <jfleck@inkstain.net>

	* stylesheets/yelp-customization.xsl
	More from Shaun McCance, fixes #100477

2003-04-01 John Fleck <jfleck@inkstain.net>

	* stylesheets/yelp-customization.xsl
	More from Shaun McCance, fixes #82760

2003-04-01 John Fleck <jfleck@inkstain.net>

	* stylesheets/yelp-customization.xsl
	Patch from Shaun McCance fixing #91611

2003-03-31  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-main.c: 
	- Added --with-cache-dir (not used yet).
	- Cleaned up popt mess
	- Changed the session stuff a bit (it now uses --open-urls instead
	  of multiple --url)
	- Removed support for 'gman', fixes #103750
	
	* src/Makefile.am:
	- removed Gtkhtml1 support.
	- Removed support for 'gman', fixes #103750

	* configure.in: 
	- bumped version.
	- removed gtkhtml1 support.

	* src/yelp-scrollkeeper.c (scrollkeeper_get_xml_docpath): 
	- fixed #109599

	* src/yelp-info.c (yelp_info_init): some cleanups.

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-10  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "eo" to ALL_LINGUAS.

2003-02-25  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: added "is" to ALL_LINGUAS

2003-02-21  Paisa Seeluangsawat  <paisa@colorado.edu>

	* configure.in (ALL_LINGUAS): Added "th".

2003-02-18  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "kn" to ALL_LINGUAS.

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-20  Mikael Hallendal  <micke@codefactory.se>

	* Release 2.2.0

	* configure.in: Bumped version to 2.2.0

	* NEWS: Update for 2.2.0
	
2003-01-15  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Vietnamese (vi), Arabic (ar),
	Finnish (fi) and Macedonian (mk) to ALL_LINGUAS.

2003-01-13  Richard Hult  <rhult@codefactory.se>

	* Release 2.1.5.

	* NEWS: Update for 2.1.5.
	
	* configure.in: Bump version to 2.1.5.

2003-01-10  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" (Tamil) to the languages' list.

2002-01-09  Richard Hult  <rhult@codefactory.se>

	* data/ui/yelp.glade: Hide unimplemented options in the find
	dialog for now.
	
2002-01-09  Padraig O'Briain  <padraig.obriain@sun.com>

	* stylesheets/yelp-customization.xsl:
	Add entry for body tag attributes so that the colour of the text is 
	obtained from the GTK theme. Addresses issue raised in bug #95190.

2002-01-07  Naba Kumar  <naba@gnome.org>

	* configure.in: Added hi (hindi) in ALL_LINGUAS
	
2003-01-06  Richard Hult  <rhult@codefactory.se>

	* Release 2.1.4.

	* NEWS: Updated for 2.1.4.

	* configure.in: Bumped to 2.1.4.

2002-12-16  Richard Hult  <rhult@codefactory.se>

	* Release 2.1.3
	
	* NEWS: Updated for 2.1.3
	
	* configure.in: Bumped to 2.1.3

	* src/yelp-main.c: Fix warning.

2002-11-18  Fernando Herrera <fherrera@onirica.com>

	* yelp.desktop.in: add X-GNOME-BUGZILLA stuff

2002-11-08  Mark McLoughlin  <mark@skynet.ie>

	* src/yelp-main.c: (main): register yelp with
	bonobo-activation server on a per-display basis
	so that we get a new instace per display/screen.
	Fixes #91983.

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-11-01  Mikael Hallendal  <micke@codefactory.se>

	* Release 2.1.2

	* NEWS: Updated for 2.1.2

	* configure.in: 
	- Bumped to 2.1.2
	- Require gtkhtml2 2.1.2

2002-10-29  Richard Hult  <rhult@codefactory.se>

	* src/yelp-html-gtkhtml2.c (yelp_html_find): Implement find
	backward.

	* src/yelp-window.c (window_find_response_cb)
	(window_find_delete_event_cb, window_find_cb): Use the find
	dialog.
	(window_find_again_cb): Implement.

	* src/yelp-html-gtkhtml2.c (yelp_html_find): Implement find
	forward.

	* data/ui/yelp.glade: Steal galeons find dialog.

	* configure.in: Add libglade dependency.

2002-10-27  Richard Hult  <rhult@codefactory.se>

	* src/yelp-pregenerate.c (main): Don't create GNodes with g_new,
	use g_node_new. Fixes a crash.
	(parse_section): Initialize variables and break out of loop when
	we have a match.

2002-10-26  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-base.c: removed unused struct type.

2002-10-21  Mikael Hallendal  <micke@codefactory.se>

	* Released 2.1.1

	* NEWS: updated for 2.1.1

	* configure.in: 
	- bumped version to 2.1.1
	- depend on gtkhtml2 2.1.1

2002-10-21  Richard Hult  <rhult@codefactory.se>

	* src/yelp-view-content.c (content_show_uri): Ditto.

	* src/yelp-view-index.c (index_show_uri): Put head tag around meta
	and title tags.

	* src/yelp-main.c (main): Remove unused variable.
	Include string.h to avoid warnings.

	* src/yelp-view-content.c (content_show_uri): Don't try to set
	focus on view, use view->widget.

	* src/yelp-view-toc.c (toc_get_html):
	* src/yelp-view-index.c (index_get_html):
	* src/yelp-view.c (yelp_view_get_html): Implement
	YelpView::get_html.

	* src/yelp-view.h: Add virtual function get_html that returns the
	YelpHtml used by the view.

	* src/yelp-html-gtkhtml2.c (yelp_html_find_next): Implement.

	* src/yelp-html.h (yelp_html_find_next): Add virtual function
	find_next.

	* src/yelp-window.c (window_find_cb): The start of find
	functionality, needs more work.
	(window_init): Remove unused view_current variable.

2002-10-19  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-db2html.c (main): trying to fix #93814 by checking the
	  return value from g_path_get_dirname.

	* src/Makefile.am (yelp_LDADD): link with POPT_LIBS. 

	* configure.in: Check for popt, fixes #96168

	* src/yelp-uri.c (yelp_uri_no_path): added, support to easy check
	  if URI is of type 'index:' without any path.

	* src/yelp-view-index.c (index_show_uri): Don't try loading if URI
	  is just 'index:'. Fixes #95877

2002-10-19  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-reader.c:
	(reader_start): no need to check for YELP_URI_TYPE_GHELP_OTHER
	  since it will never get here with that URI type.
	(yelp_reader_start): Check for file, unknown and ghelp_other and
	  display it with gnome_uri_show, fixes #95181, thanks Paolo for
	  investigating this.

2002-10-08  Paolo Maggi <maggi@athena.polito.it>

	* src/yelp-window.[ch]: YelpWindow is now inherited from GnomeApp.
	  The window title is now "title - Help Browser", instead of  
	  "Help Browser:title", in this way you can see in the tasklist
	  applet the name of the loaded page. Removed the gconf stuff
	  since is no more needed. Note that Yelp still does not monitor
	  menus_have_icons gconf key 

	* src/yelp-view-content.c (content_show_uri): set the loading page
	  title to "Loading...", instead of ".."

	* src/yelp-view-index.c:
	(index_show_uri): ditto
	(set_relation): removed since no more needed
	(yelp_view_index_new): add an accellerator to "Search for:"

2002-10-04  Marius Andreiana <mandreiana@yahoo.com>

	* stylesheets/yelp-customization.xsl: made translatable the
	  following strings: Next,Previous,Contents,About This Document
	* stylesheets/l10n.xml: added strings Next,Previous,Contents
	
2002-10-04  Mikael Hallendal  <micke@codefactory.se>

	* NEWS: updated for 2.1.0

	* configure.in: bumped version to 2.1.0, did a large jump here to
	  reach GNOME version numbers.

	* autogen.sh: don't use gnome-common

2002-09-23  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-db2html.c: Don't include libgnome and gnome-vfs stuff.

	* configure.in: Added DB2HTML_* variables.

	* src/Makefile.am (test_uri_LDADD): use special LIBS for
	  yelp-db2html.

2002-09-23  Sander Vesik <sander.vesik@sun.com>

	* stylesheets/yelp-customization.xsl:
	- fix some cases of 'next' not leading anywhere on the TOC page
	- fix user guide documents occasionaly having the 'Previous' link
	  point to nowhere in the chunk "following" TOC

2002-09-20  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c: changed to reflect changes in the views.

	* src/yelp-view.[ch]:
	- added
	- new super class of the views.
	
	* src/yelp-view-content.[ch]: 
	* src/yelp-view-index.[ch]: 
	* src/yelp-view-toc.[ch]: 
	- removed signals
	- cleaning up and making it a YelpView subclass.

	* src/yelp-view-content.c: 
	- removed signals
	- cleaning up and making it a YelpView subclass.

	* src/Makefile.am (yelp_SOURCES): added yelp-view.[ch]

2002-09-03  Padraig O'Briain  <padraig.obriain@sun.com>
 
	* src/yelp-view-content.c (content_reader_finished_cb):
 	- Remove redundant call to gtk_tree_path_copy(). 
 	- Add casts to fix compiler warnings on Solaris.
 	- Do not focus HtmlView widget if we have a row in the content
	  tree. (Fixes #91708)

2002-09-17  Narayana Pattipati  <narayana.pattipati@wipro.com>

	* src/yelp-pregenerate.c (main): added an error message.

2002-09-16  Sander Vesik <sander.vesik@sun.com>

	* stylesheets/yelp-customization.xsl:
	- initial support for <appendix>

2002-09-16  Sander Vesik <sander.vesik@sun.com>

	* stylesheets/yelp-customization.xsl:
	- unindent copyright
	- leave space inbetween the 'Copyright' header and copyright
	  holders
	- emulate 'fine print' on licence text
	- make <TT> use monospaced font (should go into gtkhtml2)
	- give <variablelist>-s back internal spacing that was
	  originaly lost due to both <variablelist> and table of
	  contents resulting in the same html tags
	- change nested ordered lists to use "lower-alpha" instead of
	  "lower-roman" 
	- yet more fighting with table borders
	- make tables be consistently top aligned
	- leave space before figures and figure titles inside lists

	* stylesheets/yelp-custom.xsl:
	- wrap legalnotice in <div class="legalnotice">...</div>

2002-09-04  Mikael Hallendal  <micke@codefactory.se>

	* Release 1.0.6

	* NEWS: udpated for 1.0.6

	* configure.in: 1.0.6

2002-09-01  Marius Andreiana <mandreiana@yahoo.com>

	* configure.in: added 'ro' to ALL_LINGUAS

2002-08-29  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c: removed trailing comma in the enum. Fixes
	  #91789

2002-08-28  Mikael Hallendal  <micke@codefactory.se>

	* Release 1.0.5

	* configure.in: 1.0.5

	* NEWS: Updated for 1.0.5

2002-08-27  Kristian Rietveld  <kris@gtk.org>

	* src/yelp-view-content.c (content_reader_finished_cb): don't just
	  select that path, but set the cursor at that path (fixes
	  #91609).

2002-08-23  Mikael Hallendal  <micke@codefactory.se>

	* Release 1.0.4

	* configure.in: 1.0.4, updated gtkhtml2 reqs to 2.0.2

	* NEWS: Updated for 1.0.4
	
	* src/yelp-view-content.c:
	(yelp_view_content_show_uri): Applied patch from Padraig to fix
	focus handling. Fixes #90010.

2002-08-22  Kristian Rietveld  <kris@gtk.org>
 
	* src/yelp-man.c:
	(yelp_man_free_initial_tree): also free the node itself
	(yelp_man_cleaup_initial_tree): free the initial tree structure of
	  the nodes we're freeing here. 

2002-08-21  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-html-gtkhtml2.c (html_url_requested_cb): 
	- Don't use the full base-uri for resolving relative
	links. Instead use the path part of the base-uri. Fixes #91199

2002-08-20  Ross Burton  <ross@burtonini.com>
 
	* yelp.desktop.in: 
	- Fix the desktop file so that it validates correctly.
	
2002-08-16  Padraig O'Briain  <padraig.obriain@sun.com>

	* src/yelp-html-gtkhtml1.c
	* src/yelp-html-gtkhtml2.c
	* src/yelp-view-content.c
	* src/yelp-view-index.c
	* stylesheets/docbook/html/docdbook.xsl
	Remove reference to bgcolor being set to white (bug #89838)

2002-08-13  Mikael Hallendal  <micke@codefactory.se>

	* Release 1.0.3

	* configure.in: Bumped to 1.0.3

	* NEWS: Updated for 1.0.3

2002-08-13  Mikael Hallendal  <micke@codefactory.se>
 
	* src/yelp-man.c:
	(yelp_man_remove_duplicates_from_manpath): 
	- return a GSList instead
 	- Hopefully fixed #90385
	(yelp_man_init): using a GSList for manpathes instead of gchar **.
	
2002-08-07  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-toc.c: 
	- Removed the GNOME icon in the bottom
	- Removed the text in the bottom.
	- Removed the blue sidebar.

2002-08-07  Narayana Pattipati <narayana.pattipati@wipro.com>

	* src/yelp-reader.c (yelp_reader_start): Made changes to make yelp
          read the cached HTML files. Fixes #85258
	* src/yelp-pregenerate.c: new file. Creates yelp-pregenerate utility
          which pre-generates HTML files from XML files.
	* src/yelp-pregenerate.h: new file
	* src/yelp-reader.h: Added prototype for look_for_html_help_file

2002-08-05  Sander Vesik <sander.vesik@sun.com>
	* stylesheets/yelp-customization.xsl:
	- apply bold formating to guibuttons
	- apply mono formating to commands
	- fix left-margin instead of margin-left
	- relief from table formating quirks
	- leave space after inline media objects

2002-08-05  Mikael Hallendal  <micke@codefactory.se>

	* Release 1.0.2

	* NEWS: updated for 1.0.2

	* configure.in: 
	- Version updated to 1.0.2
	- Requirement on libgnome to 2.0.2
	- Requirement on gtkhtml2 to 1.99.10

2002-08-05  Sander Vesik <sander.vesik@sun.com>
	* src/yelp-db2html.c:
	- include quotes around stylesheet path so its correctly passed in

	* stylesheets/yelp-custom.xsl:
	- move parameterisation of admonition graphics to
	  yelp-customization.xsl 

	* stylesheets/yelp-customization.xsl:
	- make <b> create a consistent result
	- make bulleted and numbered list items align consistently

2002-08-04  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-scrollkeeper.c (scrollkeeper_parse_index): 
	- Will probably solve #89431.

2002-08-04  Padraig O'Briain  <padraig.obriain@sun.com>
	
	* src/yelp-reader.c (yelp_reader_start): Fixes #89038
	
2002-08-04  Mikael Hallendal  <micke@codefactory.se>


	* src/yelp-info.c (yelp_info_read_info_dir): 
	- support info files that is named name.gz. Fixes #85324.
	- Remove duplicates.

	* src/yelp-window.c:
	(window_init): don't automatically go to uri "toc:" in history. 
	(yelp_window_new): don't open "toc:", this is now done from
	  yelp_base_new_window 
	(yelp_window_open_uri): goto the uri in history, Fixes #86538.

	* src/yelp-base.c:
	(impl_Yelp_newWindow): don't show window and open_uri here. Do it in
	  yelp_base_new_window instead.
	(yelp_base_new_window): added a uri argument. If it's passed it's
	  opened, otherwise "toc:" is opened.

2002-08-04  Yogeesh MB <yogeeshappa.mathighatta@wipro.com> 

	* src/yelp-man.c: added function which removes multiple 
 	man pathes, fixes bug #75728
 
2002-08-02  Sander Vesik <sander.vesik@sun.com>
	* stylesheets/yelp-customization.xsl:
	- make list items have some space around them
	- make sublists have more consistent spacing
	- change list styles inside sublists

2002-08-01  Szabolcs Ban  <shooby@gnome.hu>

	* configure.in: Added "hu" to ALL_LINGUAS. Finally :)

2002-07-15  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-toc.c (toc_start): Print with %% instead of % to
	  printf, I'm stupid :) Fixes 87972, thanks
	  mathew@fugue.jpl.nasa.gov for finding this.

2002-07-11  Brian Cameron  <Brian.Cameron@sun.com>

	* yelp/configure.in
	* yelp/src/Makefile.am
	* yelp/src/yelp-reader.c
	Now support libgnome installing gnome2-man2html and gnome2-info2html
	to libexec.

2002-07-09  Mark McLoughlin  <mark@skynet.ie>

	* yelp.desktop.in: use X-GNOME-DocPath instead of DocPath.

2002-07-08  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-info.c:
	(yelp_info_read_info_dir): Removed possibility of buffer overflow
	  by using g_strdup_printf instead of strcpy. Fixes #87127. Thanks
	  to Laavanya K R for finding and proposing a solution.

2002-07-07  Glynn Foster  <glynn.foster@sun.com>

	* yelp.desktop.in (X-GNOME-DocPath): 

2002-07-06  Sander Vesik <sander.vesik@sun.com>
	* stylesheets/yelp-customization.xsl
	- make <part> and <chapter> have plain unstyled toc-s
	  until yelp.render.toc is sufficently advanced
	- correctly pass in a string parameter when matching /book
	- call correct titlepage template for <book>

2002-07-05  Sander Vesik <sander.vesik@sun.com>
	* stylesheets/yelp-customization.xsl
	- make <book> support somewhat work

2002-07-05  Sander Vesik <sander.vesik@sun.com>
	* stylesheets/yelp-customization.xsl
	- rationalize heading styles
	- don't center title
	- tweak list indenting

2002-06-28  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-info.c (yelp_info_init): sort info pages.

2002-06-27  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c: added patch from Kang Jeong-Hee to support
	  toolbar style "both_horiz". Fixes #85529

	* src/yelp-view-toc.c (toc_page_end): 
	- don't scale the gnome-button.
	- mark some strings for translation. Fixes #84020

2002-06-26  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c:
	- Fixes #84713
	(yelp_window_new): set icon on window.
	(window_load_icon): added, loads the gnome-help.png icon.
	(window_about_cb): set the icon in the about box.

	* README: removed old information

	* src/yelp-main.c: follow yelp style.

2002-06-19  Mikael Hallendal  <micke@codefactory.se>

	* Release 1.0.1

	* NEWS: updated for 1.0.1

	* configure.in: updated to 1.0.1

2002-06-10  Mikael Hallendal  <micke@codefactory.se>

	* Release 1.0

	* configure.in: updated to 1.0

2002-06-03  Mikael Hallendal  <micke@codefactory.se>

	* Release 0.10

	* NEWS: updated for 0.10

	* configure.in: 0.10

	* configure.in: bumped gtkhtml2 deps.

	* src/yelp-window.c (window_handle_uri): 
	- let the index view handle it's own uri's

	* src/yelp-view-content.c (content_reader_finished_cb): 
	- fixed a possible crash

	* src/yelp-view-index.c:
	- updated to the YelpReader stuff.
	- reenable showing docs in the html view here instead of content
	  view.

	* src/yelp-uri.c: 
	(yelp_uri_to_index): added, special treatment of index URI's.
	(yelp_uri_from_index): same.
	(yelp_uri_exists): handle index uri's correctly.

	* src/yelp-db2html.c (main): load the DTD so that enteties works.

	* src/yelp-view-content.c: 
	(content_find_path_from_uri): added, used to find the path to a
	  certain URI.
	(content_tree_model_foreach): added, used by above function.
	(content_reader_finished_cb): expand tree and select the correct
	  node. Fixes #80518

	* src/yelp-reader.h: finish signal includes the URI which finished
	  loading.

	* src/yelp-db2html.c: send path to the docbook stylesheets as a
          parameter. Still doesn't seem to fix the path problem with the
	  images.

2002-06-02  Mikael Hallendal  <micke@codefactory.se>

	* Fixes #69047

	* src/yelp-window.c (yelp_window_new): connect to title_changed
	  signal on content and TOC views.
	(window_title_changed_cb): set the new title.

	* src/yelp-view-toc.c: added title_changed signal. I soooo want
	  the views to inherit from the same base :) Will fix after 2.0.0
	(toc_html_title_changed_cb): emit title changed signal.
	(toc_page_start): take extra argument so that you can set title
	  and page header.

	* src/yelp-view-content.c: added signal title_changed. 
	(content_html_title_changed_cb): emit title changed signal.

	* src/yelp-html-gtkhtml2.c:
	(html_title_changed_cb): emit title changed signal.

	* src/yelp-html.h: added title_changed signal.

	* src/yelp-html-gtkhtml1.c: 
	- started on emit title changed	code. WIP.

	* src/yelp-uri.c:
	(uri_get_doc_type): set info:dir to be toc:info
	(uri_get_doc_path): same

	* src/yelp-db2html.c (main): use the shipped catalog file.

2002-06-01  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-uri.c (uri_get_path_from_relative): if URI can't get
	  resolved, set path to in-string.

	* src/yelp-window.c (window_handle_uri): show error dialog if URI
	  doesn't exist.
	(yelp_window_open_uri): don't return if URI doesn't exist.

	* src/yelp-uri.c: 
	- Added a type YELP_URI_TYPE_GHELP_OTHER so that I can recreate a
	  URI for error messaging.
	(yelp_uri_exists): do a check rather then just a look at the type.
	(uri_get_doc_type): don't check if URI exists here.
	(yelp_uri_to_string): handle GHELP_OTHER.

	* src/yelp-reader.c (reader_start): return if URI doesn't exists,
	  shouldn't happen.

	* src/yelp-uri.h: removed YELP_URI_TYPE_NON_EXIST, use
	  yelp_uri_exists.

	* stylesheets/docbook/Makefile.am: Install the images

	* stylesheets/docbook/images/*: Added some of the images from XSL
	  stylesheets. 

	* Fixes #83156

	* src/yelp-index-model.c:
	(yim_finalize): free the index list.
	(yelp_index_model_set_words): copy the list and don't sort.

	* src/yelp-base.c (yelp_base_new): sort the index list here.

	* src/yelp-view-toc.c (toc_page_start): removed all of the CSS
	  used to get it to not render huge fonts, now handled by
	  Gtkhtml2.

	* stylesheets/yelp-customization.xsl: 
	- don't hard code font size to 10pt. Use the font set by Gtkhtml2
	  (which is taken from the theme)

	* src/yelp-db2html.c (main): don't load the DTD from the net.

	* src/yelp-reader.c (reader_file_start): Fixed #83668

2002-06-01  James Henstridge  <james@daa.com.au>

	* src/yelp-db2html.c (main): perform XInclude processing on
	  Docbook/XML documents we load.

2002-06-01  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in: Added "gl" (Galician) to ALL_LINGUAS

2002-05-29  Radek Doulik  <rodo@ximian.com>

	* src/yelp-html-gtkhtml1.c: 
	- removed #include "yelp-db2html.h"
	(html_url_requested_cb): close gtkhtml stream

2002-05-31  Mikael Hallendal  <micke@codefactory.se>

	* configure.in (yelp): define yelplocaledir, Fixes #83639

	* src/Makefile.am (INCLUDES): use yelplocaledir

2002-05-31  Ross Burton  <ross@burtonini.com>

	* src/yelp-window.c (window_about_cb): Tell the about dialog who
	  its parent is, so that it appears at the right location.

2002-05-31  Yogeesh MB <yogeeshappa.mathighatta@wipro.com> 

	* src/yelp-main.c: fixes save session bug, #82605 

2002-05-31  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-reader.c (reader_get_chunk):
	- return the full document if finding the chunk comments
	  fail. This is better than just returning NULL. Also silence the
	  warnings for now.

	* Release 0.9.1

	* configure.in: bumped version to 0.9.1

	* NEWS: updated for 0.9.1

	* stylesheets/docbook/*: 
	- Added the 1.48 stylesheets until the stylesheet issues have been 
	  sorted out. Norm has said that in the 1.50+ the changes between
	  the different versions will not cause breakage and we can then
	  use current instead of a certain version of these. Lots of
	  distributions don't ship 1.48 and this will cause lots of
	  troubles for the users.

	* stylesheets/yelp-customization.xsl: use a relative link to
	  reference to the stylesheets.

	* stylesheets/Makefile.am (SUBDIRS): added docbook

	* configure.in: output stylesheet/docbook/Makefile

2002-05-27  Mikael Hallendal  <micke@codefactory.se> 

	* Release 0.9

	* src/Makefile.am: build fix for marshallers.

	* NEWS: updated for 0.9

	* configure.in: 
	- Bumped version to 0.9
	- Updated libgnome deps to 1.117.2
	- Updated gtkhtml2 deps to 1.99.8

	* src/yelp-reader.c: 
	- removed old code.
	- fixed a couple of warnings

	* stylesheets/yelp-customization.xsl: don't include section names
	  on toc and title-page.

	* src/yelp-view-content.c (yelp_view_content_show_uri): 
	- don't set "Loading..." if the doc is cached. It will only result
	  in flicker.

	* src/yelp-reader.c:
	(reader_man_info_start):
	- make sure that section is not an empty string.
	(yelp_reader_start): 
	- make sure that section is not an empty string.
	- return a boolean to say if the document was cached or not.
	
	* src/yelp-reader.c:
	(reader_get_chunk): added, used to get a chunk from a multi
	  chunked document.
	(reader_man_info_start): 
	- now handles docbook too. will be renamed later.
	- add docbook results in cache.
	- get chunk from document if docbook.
	(yelp_reader_start): 
	- check in cache if document is there, if so, just get the chunk 
	  and signal. 
	- if not in cache, use g_timeout_add instead of idle.

	* src/yelp-db2html.c: 
	- this is now it's own binary
	- use multichunk
	- don't use YelpURI so that we don't need to init gnome vfs

	* src/yelp-db2html.h: removed
	
	* src/yelp-cache.c: first dummy implementation of cache.

	* src/yelp-base.c (yelp_base_init): init the cache.

	* src/Makefile.am:
	(yelp_db2html_LDADD): added binary for db2html.
	(yelp_SOURCES): added yelp-cache.[ch] and removed 
	  yelp-db2html.[ch]

2002-05-26  Mikael Hallendal  <micke@codefactory.se>

	* stylesheets/yelp-customization.xsl: 
	- Don't include section name in end comment.
	- put [] around the section name in start tag.
	
2002-05-26  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.in: added "it" to ALL_LINGUAS

2002-05-23  Jacob Berkman  <jacob@ximian.com>

	* src/Makefile.am (yelp-marshal-main.c): add explicit dependency
	on yelp-marshal.c to make automake work

2002-05-23  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-content.c:
	(yelp_view_content_new): shrink TOC-tree width

	* src/yelp-html-gtkhtml1.c (html_link_clicked_cb): 
	- don't shortcut info

2002-05-22  Sander Vesik <sander.vesik@sun.com>

	* stylesheets/yelp/customization.xsl:
	- fix whitespace around 'About This Document'
	- whitespace reduction for headers
	- try to fix table of contents links not showing up for Hallski
	- the 'previous' link on a first sect2 of a sect1 
	- work on indirect previous links
	- display the document title as a H1 on the TOC page instead of
	  having it in the navbar

2002-05-23  Mikael Hallendal  <micke@codefactory.se>

	* src/Makefile.am (yelp_SOURCES): use yelp-marshal-main.c instead
	  of yelp-marshal.c and yelp-marshal.h

	* src/yelp-marshal-main.c: added to get rid of warnings in
	  yelp-marshal.c

2002-05-22  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-db2html.c (yelp_db2html_convert): 
	- use the new stylesheet parameter gdb_stylesheet_path.

	* src/yelp-reader.c (reader_man_info_start): support chunked info.

	* src/yelp-html-gtkhtml2.c
	(html_link_clicked_cb): don't shortcut if info. it's now chunked.

	* src/yelp-reader.c: use yelp-db2html again.

	* src/yelp-db2html.c: use #define for stylesheet location instead
	  of creating a string with it.

	* src/Makefile.am (yelp_SOURCES): don't include yelp-db2html.

	* src/yelp-reader.c (reader_db_start): 
	- try to do the docbook-stuff here instead.

	* src/yelp-view-toc.c (toc_page_end): updated footer some.

2002-05-22  Richard Hult  <rhult@codefactory.se>

	* src/yelp-view-toc.c:
	(toc_man_emit): free return from yelp_uri_to_string.

	* src/yelp-util.c (yelp_util_compose_path_url): free path

	* src/yelp-man.c (yelp_man_init): free manpathes

2002-05-22  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-db2html.c: 
	- cleaning up
	- made to use YelpURI instead of copying parts from it
	- plugged leaks.

	* src/test-reader.c (main): create reader without an argument.
	* src/yelp-view-content.c (content_init): same

	* src/yelp-reader.c: always be async, don't be optional.

	* src/yelp-view-toc.c (toc_page_end): added a space, thanks rhult.

	* src/yelp-window.c (window_about_cb): 
	- fixed copyright notice in about dialog. Thanks menthos.

	* src/test-reader.c:
	(main): call yelp_reader_new with TRUE for async.
	(data_cb): swapped buffer and len arguments.

2002-05-21  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-reader.c:
	(reader_db_write): don't return -1
	(reader_db_close): same.

	* Release 0.8

	* NEWS: updated for 0.8

	* configure.in: bumped version to 0.8

	* src/yelp-reader.c: fixed compile warning.

	* src/yelp-uri.c: fixed so that external links are working too.

	* src/yelp-view-toc.c: implemented jimmac's mockups.

	* src/yelp-uri.c: added support for file:

	* src/Makefile.am (INCLUDES): added IMAGEDIR

	* data/images/*: new files

	* data/Makefile.am: new file

	* configure.in: 
	- added data/Makefile, data/images/Makefile to AC_OUTPUT.

	* Makefile.am (SUBDIRS): added data

2002-05-20  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-content.c: 
	- use YelpURI instead of docpath for current_uri. 
	(yelp_view_content_show_uri): 
	- Fixed a problem that if you viewed a man page and then switched
 	  to a docbook with TOC you didn't get the TOC.
	- Change cursor here.
	- Write out "Loading..." to the html-view instead of showing old
	  data while reading.
	(content_reader_data_cb): clear the "Loading..."-message first
	  time this is called.
	(content_reader_finished_cb): 
	- Fixes #82363
	- Give focus to html widget.

	* src/yelp-man.c (yelp_man_populate_tree_for_subdir): 
	- Set the link to be page.secnum instead of page.section.
	  For example pages with foo.3pm should have the link foo.3, this
	  solves the problem where you get the error that page is not
	  found. Might fix #82346.

2002-05-20  Sander Vesik <sander.vesik@sun.com>

	* stylesheets/yelp-customization.xsl:
	- render formal tables just like informal tables
	- always leave some space between the bottom navbar and the text
	- make notes and other admonitions to be unindented
	- add whitespace for tables appearing within lists
	- improve looks of complex tables

2002-05-20  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-reader.c: be ASYNC! :) and handle cancels. Starting to
	  be nice now.

	* src/yelp-marshal.list: VOID:INT,STRING -> VOID:STRING,INT

	* src/yelp-reader.c (yelp_reader_start): renamed from reader_read.

2002-05-20  Sander Vesik <sander.vesik@sun.com

	* stylesheets/yelp-custom.xsl, stylesheets/yelp-customization.xsl:
	  introduce a new parameter and use it so images distributed
	  with the stylesheet get picked up correctly

2002-05-18  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-info.c (yelp_info_init): 
	- Fixes #80981 (hopefully)
	- Thanks to StÃ©phane DÃ©murget for notifying where the error was.

	* src/yelp-view-toc.c (toc_info): fixed mem leak.

	* configure.in (YELP_IDL_INCLUDES): readded bzip2 check, doh!

	* src/yelp-view-toc.c: 
	(toc_start): fixed mem leak
	(toc_scrollkeeper): fixed mem leak

	* src/yelp-view-toc.h: don't include gtkhtml2 headers.

	* src/yelp-view-toc.c: 
	- include libxml/parser.h now that we don't include gtkhtml2
	  headers here any more.

	* src/yelp-html-gtkhtml1: 
	- Added
	- Makes yelp use GtkHTML1 for HTML rendering instead of GtkHTML2.
	
	* src/yelp-html-gtkhtml2: Renamed from yelp-html.c

	* src/yelp-html.c: Moved to yelp-html-gtkhtml2.c

	* src/Makefile.am (html_widget_impl): check for the correct
	  html-widget implementation.

	* configure.in: 
	- added --with-html-widget switch which controls if GtkHTML1 or
	  GtkHTML2 should be used. Default is GtkHTML2
	- Check for gtkhtml1 libraries and headers if that library should
	  be used.
	- Removed bzip2-check, left over from when I tried to merge
	  man2html into yelp.

2002-05-18  Richard Hult  <rhult@codefactory.se>

	* src/yelp-window.c: Use stock item for about menu item. 

2002-05-18  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c: 
	- don't handle YelpViewTOC as a html view any more. 
	- use yelp_view_toc_get_widget when you need the widget.

	* src/yelp-view-toc.c: 
	- don't inherit HtmlView, instead be a GObject (make all the views
	  a common base class).
	- Removed html view stuff and use YelpHtml instead.
	(toc_link_clicked_cb): removed
	(toc_open): removed, use yelp_html_clear
	(toc_close): removed, use yelp_html_close
	(toc_write): removed, use yelp_html_write
	(toc_printf): removed, use yelp_html_printf
	(yelp_view_toc_open_uri): don't try to set adjustment, not a html
	  view any more
	(toc_uri_selected_cb): added, signal from YelpHtml, just proxy.

	* src/yelp-html.c 
	(yelp_html_new): 
	- Just set the view to be white
	- Use the yelp_html_* functions instead of html_* directly.
	(yelp_html_write): 
	- Swapped len and data arguments.
	- If len = -1, assume NULL terminated string and use strlen.
	(yelp_html_printf): added from yelp-view-toc.

	* src/yelp-view-toc.c: conform with style.
	* src/yelp-window.c: same.
	* src/yelp-history.c: same.
	* src/yelp-scrollkeeper.c: same.

	* src/yelp-view-index.c (yelp_view_index_show_uri): 
	- commented out call to yelp_html_open_uri since it's been
	  removed.

	* src/yelp-view-content.c: 
	- changed name on internal functions to conform with style.
	- moved functions from yelp-html.c
	- use the YelpReader to read the data instead of letting YelpHtml
	  handle it.
	(yelp_view_content_stop): removed.

	* src/yelp-html.c: 
	(html_reader_start_cb): moved to yelp-view-content.c
	(html_reader_data_cb): same
	(html_reader_finished_cb): same
	(html_reader_error_cb): same
	(yelp_html_clear): added/impl.
	(yelp_html_write): added/impl.
	(yelp_html_close): added/impl.
	(yelp_html_cancel_loading): removed
	(yelp_html_open_uri): removed
	(yelp_html_set_base_uri): added/impl.

	* src/yelp-reader.c:
	(reader_man_info_start): emit "start"-signal.
	(reader_io_watch_cb): do the right thing (hopefully) :)

	* src/yelp-html.c: 
	(html_do_write): removed
	(html_do_close): removed
	(html_do_docbook): removed
	(html_io_watch_cb): removed
	(html_reader_start_cb): added/implemented, temporary
	(html_reader_data_cb): added/implemented, temporary
	(html_reader_finished_cb): added/implemented, temporary
	(html_reader_error_cb): added/implemented, temporary
	(html_do_maninfo): removed
	(html_do_html): removed
	(html_init): connect to reader signals.
	(yelp_html_open_uri): removed lots of code and use YelpReader
	  instead. This should be removed entirely later on.

	* src/yelp-html.c: 
	- renamed static functions to correspond to style.

	* src/yelp-reader.h: 
	- removed YelpReaderStatus.

	* src/yelp-reader.c: 
	- Now handles docbook, man, info, plain files, and external URI's.
	(reader_class_init): 
	- added signals "start", "data", "finished" and "error".
	(reader_db_start): added/impl.
	(reader_db_write): added/impl.
	(reader_db_close): added/impl.
	(reader_man_info_start): added/impl.
	(reader_io_watch_cb): added/impl.
	(reader_file_start): added/impl.
	(yelp_reader_read): take reader as argument and implemented.

	* src/yelp-marshal.list: added marshal needed by YelpReader.

	* src/yelp-html.c (yelp_html_do_docbook): 
	- take URI instead of text doc path and section.

	* src/yelp-db2html.c (yelp_db2html_convert): 
	- take a URI instead of text doc path and section.
	- don't close OutputBuffer here.

	* src/test-reader.c:
	(start_cb): added
	(data_cb): added
	(finished_cb): added
	(main): start using the yelp-reader for testing.

	* src/Makefile.am (test_reader_SOURCES): 
	- added files needed for this test program.

2002-05-08  Mikael Hallendal  <micke@codefactory.se>

	* src/test-reader.c: added, test file for the YelpReader.

	* src/Makefile.am (yelp_SOURCES): 
	(test_reader_SOURCES): added test-reader
	- added yelp-reader.[ch]

	* src/yelp-uri.[ch]: 
	- removed the YelpReader-stuff from here.

	* src/yelp-reader.[ch]: 
	- starting on this class that will take care of reading any given
	  YelpURI *uri and signalling when there is something to read.

2002-05-07  Christophe Merlet  <christophe@merlet.net>

	* src/Makefile.am: Really add ??!! $(DESTDIR) variable.

2002-05-07  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-section.c:
	(yelp_section_new): check if name == NULL, hopefully fixes #80981.

	* src/yelp-scrollkeeper.c:
	(ys_parse_index_item): reverted my own stupidity.

2002-05-06  Sander Vesik  <sander.vesik@sun.com>

	* stylesheet/yelp-customization.xsl: 
	- initial support for <part>
	- fix informaltable display
	- fix revhistory display
	- fix non-centering of 'Contents' in the footer navbar
	- fix display of copyright holders on title page
	- improvements to the Table of Contents page

2002-05-06  Mikael Hallendal  <micke@codefactory.se>

	* NEWS: fixup

	* configure.in (GNOMELOCALEDIR): updated libgtkhtml2 deps.

	* Release 0.7
	
	* NEWS: updated for 0.7

	* configure.in: bumped version to 0.7

	* src/yelp-scrollkeeper.c:
	- Fixes #80800
	(ys_parse_index): silenced warning.

	* src/yelp-window.c: 
	- use YelpURI.
	(yw_handle_uri): somewhat cleaned up after YelpURI.

	* src/yelp-view-toc.c: 
	- use YelpURI.
	- Changed url_selected signal to uri_selected.
	- Send the links as man:... instead of path:..

	* src/yelp-view-index.c: 
	- use YelpURI.
	- Changed url_selected signal to uri_selected.
	- thinking about removing the html-view from this and only have it
	  as a entry + list for now. Later on we can add full text search
	  or more sofisticated searching.

	* src/yelp-view-content.c: 
	- use YelpURI.
	- Changed url_selected signal to uri_selected.
	(yelp_view_content_show_uri): 
	- cleaned up A LOT since this became much much easier with
	  YelpURI.

	* src/yelp-util.c (yelp_util_is_url_relative): 
	- made external and changed name from is_uri_relative.
	(yelp_util_resolve_relative_url): 
	- chagned name from yelp_util_resolve_relative_url.
	(tree_find_node_uri): use YelpURI.
	(yelp_util_find_node_from_uri): same.

	* src/yelp-uri.c:
	- Thinking of making the YelpURIType a bit mask so that I can add
	  yelp_uri_is_type (YELP_URI_TYPE_MAN | YELP_URI_TYPE_INF) since 
	  that kind of usage is all over.
	- Support index: and path: (not sure if we need path:)
	(yelp_uri_copy): added/impl
	(yelp_uri_get_relative): added/impl
	(yelp_uri_equal): added/impl.
	(yelp_uri_equal_path): added/impl.
	(yelp_uri_equal_section): added/impl.
	(yelp_uri_to_string): added/impl.

	* src/yelp-section.c: 
	- use YelpURI.
	- Removed reference, scheme.

	* src/yelp-scrollkeeper.c: 
	- use YelpURI.
	- Don't create specific index:-uri's
	(ys_parse_index_item): this was actually broken and only inputed
	  the last indexitem in the index-file. fixed.

	* src/yelp-marshal.list (VOID:POINTER,BOOLEAN): 
	- replaced VOID:STRING,STRING,BOOLEAN (the old
 	  url_selected-marshal).

	* src/yelp-man.c: 
	- use YelpURI
	- Don't create specific index:-uri's
	(yelp_info_init): don't translate string 'man' which we are
	  trying to find with strcmp in yelp-view-toc.

	* src/yelp-info.c: 
	- use YelpURI
	- Don't create specific index:-uri's
	(yelp_info_init): don't translate string 'info' which we are
	trying to find with strcmp in yelp-view-toc.

	* src/yelp-html.c: 
	- Updated to use YelpURI.
	- changed signal from url_selected to uri_selected (emits YelpURI
	  instead of base_uri + rel_uri).
	(yelp_html_do_maninfo): take a YelpURI instead of text uri + doc
	  type.
	(yelp_html_open_uri):
	- take YelpURI instead of text uri.
	- this should later be moved into yelp_uri_{read,read_async}.

	* src/yelp-history.c: Updated to use YelpURI.

	* src/yelp-base.c (impl_Yelp_getWindows): use YelpURI.

	* src/test-uri.c: test yelp_uri_to_string.

2002-05-06  Sander Vesik <sander.vesik@sun.com>

        * stylesheets/yelp-customization.xsl: Initial multichunking code

2002-05-05  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-uri.c (uri_get_doc_type): 
	- Also handle toc:-uri's
	(yelp_uri_exists): return correct answer :)

	- Now implements jrb's ghelp-uri scheme.
	- added doc_path-argument so that it doesn't have to be calculated
	  twice when creating a YelpURI.
	(uri_get_path_from_relative): added/impl.
	(uri_locate_help_file): added/impl.
	(uri_locate_help_file_with_lang): added/impl.
	(yelp_uri_new): removed the GError-argument.

	* src/test-uri.c (main): 
	- be a GnomeProgram so that it can actually test something :)

	* src/yelp-error.h: added YELP_ERROR_URI_NOT_EXIST

	* src/yelp-uri.[ch]: 
	- Added, this is functions for manipulating and working with the
	  different uri-schemes possible.

	* src/Makefile.am:
	- added test-uri.
	- added yelp-uri.[ch]

2002-05-04  Sander Vesik <sander.vesik@sun.com>

	* stylesheets/yelp-customization.xsl: remove non-linking Next >>>
	  and change the codition that triggers table of contents in hopes
	  it fixes the bug where it is not displayed

2002-05-02  Sander Vesik <sander.vesik@sun.com>

	* stylesheets/yelp-customization.xsl: add 'About This Document' link,
	  change toc to contents, change prev to previous, fix whitespace in
	  itemized lists and variable lists

2002-05-02  Jacob Berkman  <jacob@ximian.com>

	* configure.in: bump version back to 0.6.99

2002-05-01  Sander Vesik <sander.vesik@sun.com>

	* stylesheets/yelp-customization.xsl:	introduce css

2002-05-01  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-toc.c (yelp_view_toc_start): translation fix
	  reported by Jordi Mallach.

2002-04-29  Christophe Merlet  <christophe@merlet.net>

	* src/Makefile.am: Added $(DESTDIR) variable.

2002-04-29  Mikael Hallendal  <micke@codefactory.se>

	* Release 0.6.1

	* configure.in: bumped version to 0.6.1

	* NEWS: updated for 0.6.1

2002-04-28  Mikael Hallendal  <micke@codefactory.se>

	* src/Makefile.am (INCLUDES): removed -I$(includedir).

2002-04-28  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added "vi" entry to ALL_LINGUAS.

2002-04-27 John Fleck <jfleck@inkstain.net>

	* yelp-db2html.c
	  load/parse the DTD

2002-04-05 Jonathan Blandford  <jrb@redhat.com>

	* src/yelp-info.c (yelp_info_read_info_dir): remove unneeded
	  special case.

2002-04-23  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-util.c (yelp_util_extract_docpath_from_uri): 
	- some more fixes.

	* src/yelp-view-toc.c: added lots of \n to the outputed html,
	  makes it easier to read it.

	* src/yelp-util.c (yelp_util_extract_docpath_from_uri): 
	- make this return a string with all duplicate // printed as /.
	- This solves some IMPORTANT issues.
	- Though I did this in a lazy way (by calling gnome_vfs_uri_new
	  and then back to string with gnome_vfs_uri_to_string. Should 
	  probably look into if there is a function in gnome-vfs that does
	  this.

	* src/yelp-html.c (yelp_html_io_watch_cb): 
	- made this actually work as expected. 
	- don't use g_io_channel_read, use g_io_channel_read_chars
	  instead.

2002-04-22  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-content.c (yelp_view_content_show_uri): 
	- split the url and send the section in the correct way to
	  yelp_html_open_uri.

	* src/yelp-util.c (yelp_util_extract_docpath_from_uri): 
	- don't include the section/anchor/reference in the returned
	  string.
	(yelp_util_resolve_relative_uri): handle #-sections too (html).

	* src/yelp-html.c:
	(yelp_html_do_html): added.
	(yelp_html_do_docbook): get the section too.
	(yelp_html_io_watch_cb): 
	- also finish if we couldn't read as much as we wanted.
	- if section exists, jump to anchor.
	(yh_url_requested_cb): correctly handle relative url's.
	(yh_link_clicked_cb): don't shortcut if section is specified with
	  '?' which means it's docbook (which are chunked, not one big
	  document with anchors). 
	(yelp_html_open_uri): handle html, fixes: 79015

2002-04-19  Sander Vesik <sander.vesik@sun.com>
	* stylesheets/yelp-customization.xsl: make "indirect" links work
	  and make several beautification changes

2002-04-18  Sander Vesik <sander.vesik@sun.com>
	* stylesheets/yelp-customization.xsl: include yelp-custom.xsl
	  instead of gnome-custom.xsl, "fix" whitespace, collect link
	  cell drawing into their own templates, fix alignment of
	  links in the navbars

2002-04-18  Changwoo Ryu  <cwryu@debian.org>

	* configure.in (ALL_LINGUAS): Added ko (Korean).

2002-04-18  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-html.c: 
	- Use g_spawn_async_with_pipes and then io_watch to read the data
	  in asynchronous.

	* src/yelp-man.c (yelp_man_populate_tree_for_subdir): set the uri
	  for man-pages to be man:name.section instead of full path. Seems 
	  to work much much better this way.

	* src/yelp-html.c: 
	- removed is_doc from read_data-struct, not used anymore
	- Don't use the GnomeVFS module, instead call the external
	  programs directly with g_spawn.
	(yelp_html_do_non_docbook): removed, replaced by do_maninfo.
	(yelp_html_do_maninf): added. This will soon be rewritten to use
	  g_spawn_async_with_pipes.
	
2002-04-16  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "zh_TW" to ALL_LINGUAS.

2002-04-15  Mikael Hallendal  <micke@codefactory.se>

	* configure.in: bumped version to 0.6.99

	* Release 0.6

	* configure.in: bumped version to 0.6

	* src/yelp-window.c: fixed a couple of warnings.
	(yw_handle_url): send the error correctly to gnome_url_show,
	  thanks rhult :)

	* configure.in: bumped gtkhtml2 requirements.

	* src/yelp-html.c (yelp_html_do_non_docbook): 
	- show error dialog if open fails.

	* src/yelp-error.h (YELP_ERROR): added error for non-docbook
	  documents.

	* src/yelp-db2html.c (yelp_db2html_convert): use stylesheet from
	  stylesheets/.
	(yelp_db2html_convert): updated to reflect changes in the
	  stylesheet.

	* stylesheets/*: Added, includs patch from sander to
	  gnome-doc-list.
	
	* configure.in (AC_OUTPUT): added stylesheets/Makefile.

	* Makefile.am (SUBDIRS): added stylesheets

2002-04-14  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-toc.c: pretty-fied the sub-pages too.

	* src/yelp-window.c (yw_handle_url): pass the error to
	  gnome_url_show.

	* src/yelp-db2html.c (yelp_db2html_convert): better
	  error-handling.

	* src/yelp-html.c:
	(yelp_html_idle_read_end): don't free the handle twice.
	(yelp_html_idle_read_end): reset pointer to normal.
	(yelp_html_open_uri): set cursor to watch.

	* src/yelp-window.c (yw_handle_url): If error is set during
	  set_uri, popup an error-dialog describing the error.

	* src/yelp-html.c: 
	- Added support for GError's
	* src/yelp-view-index.c: same.
	* src/yelp-view-content.c: same.

	* src/yelp-db2html.c: 
	- Include gnome-i18n.h
	- Mark the error messages for translation.
	
	(yelp_db2html_convert): revert a little, in wait for sanders new
	  stylesheets.
	- use GError to signal errors while parsing document. Still needs
	  to be added to above layers. 
	- don't leek the stylesheet name.

	* src/yelp-error.[ch]: added.

	* src/yelp-view-content.c: added includes to fix warnings.

	* src/yelp-view-index.c: same.

	* src/yelp-util.c (yelp_util_extract_docpath_from_uri): 
	- added support for man and info pages too.

	* src/yelp-html.c: 
	- loads of changes :)
	- don't use GnomeVFS Async calls.
	- Read non-docbook data in an idle
	- Shortcut the gnome vfs help module and call internal
	  docbook2html code instead if document is xml/sgml docbook.
	- Needs more cleaning up and breaking out into another file/class.
	- Don't inherit HtmlView, instead inherit GObject and have a
	  get_widget function.

	* src/yelp-db2html.[ch]: added from libgnome. Use this in-proc
	  instead of calling as external scripts.

	* src/Makefile.am (yelp_SOURCES): added yelp-db2html.[ch]

	* configure.in (GNOMELOCALEDIR): depend on libxslt for the
	  docbook->html conversion.

2002-04-12  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-toc.c (TOC_BLOCK_SEPARATOR): fixed string, thanks
	  menthos.

2002-04-11  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-toc.c (yelp_view_toc_start): changed the string
	  "Get Help on..." to "Help Contents" by suggestion from Calum.

	* configure.in (GETTEXT_PACKAGE): added ja to ALL_LINGUAS

	* src/yelp-view-toc.c:
	- did some cleanups
	- make output in first page look nicer.
	- Changed a few strings, SORRY!! Fixes: #73439

	* src/yelp-view-content.c (yelp_view_content_stop): added/impl.

	* src/yelp-util.c:
	(tree_find_node_uri): renamed from tree_find_node.
	(yelp_util_find_node_from_name): added/impl.
	(tree_find_node_name): added/impl.

	* src/yelp-html.c:
	(yh_init): set content-type to utf8 on the loading document.
	(yelp_html_cancel_loading): added, doesn't do anything yet.

2002-04-10  Richard Hult  <rhult@codefactory.se>

	* src/yelp-view-index.c (yelp_view_index_new): Add a bit of
	padding around the search label.
	Put the index list in a frame with IN shadow.

2002-04-10  Padraig O'Briain  <padraig.obriain@sun.com>

	* src/yelp-scrollkeeper.c (ys_parse_index):
	Fix small memory leak (#77733)

2002-04-04  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c: use GConf for the toolbar style.

	* src/yelp-html.c: added a "Loading..." while loading the
	  document. New string, sorry about that. This also needs a new
	  change in gtkhtml2 so I'll update the reqs after the next
	  release of gtkhtml2.

	* configure.in (GNOMELOCALEDIR): added gconf-2.0

2002-04-03  Gustavo Maciel Dias Vieira  <gdvieira@zaz.com.br>

	* configure.in (ALL_LINGUAS): Added pt_BR.

2002-03-25  Mikael Hallendal  <micke@codefactory.se>

	* NEWS: updated (oops, missed 0.5 release).

	* configure.in: bumped version to 0.5

2002-03-24  Zbigniew Chyla  <cyba@gnome.pl>

	Fixes #72583

	* src/yelp-view-toc.c (yelp_view_toc_write_header):
	Put <meta http-equiv="Content-Type" ...> _before_ <title> tag
	so that document's encoding is known before we encounter localized
	title (UTF-8 string).

2002-03-23  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-info.c (yelp_info_init): 
	- Fixed #75218
	- Read INFOPATH to locate path to info files.

	* src/yelp-util.c:
	(yelp_util_extract_docpath_from_uri): reverted this to it's
	  initial behaviour.
	(yelp_util_split_uri): added this instead which supports
	  ghelp/man/info uri's. It also always have the type of uri 
	  prepended in the return uri.

	* src/yelp-html.c (yelp_html_open_uri): this function is getting
	  ugly, have to clean it up.
	(yelp_html_open_uri): use yelp_util_split_uri intead to get the
	  docpath and the anchor (it supports man and info too, not just
	  ghelp:-uri's. Fixes #72637).

	* src/yelp-window.c: commented out the Quit-option, we might not
	  want to have it around because you often use Yelp in another way
	  (ie. klicking Help in an application). Fixes #75081

	* src/yelp-view-toc.c (yelp_view_toc_open_url): scroll to the
	  beginning of the document after reading it. Fixes #72965

	* src/yelp-util.c:
	(yelp_util_extract_docpath_from_uri): added an argument if we want
	  the return docpath to be prepended with "ghelp:" or not.
	(yelp_util_find_anchor_in_uri): added/impl.

	* src/yelp-scrollkeeper.c (ys_parse_toc_section): use strstrip
	  instead of strchomp to clean up the name.

	* src/yelp-html.c:
	(yh_link_clicked_cb): also jump if the relative reference is ?foo
	(yelp_html_open_uri): don't reload the page if it's the same as
	  already showing.

2002-03-20  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-index.c (set_relation): style-fixes.

2002-03-20  Jagadeesh B. G  <jagadeesh.bana@wipro.com>

	* src/yelp-view-index.c: Set atk relation for search entry and
	  label as part of accessibility changes

2002-03-20  Padraig O'Briain  <padraig.obriain@sun.com>

	* src/yelp-window.c (yw_handle_url): Call yelp_view-content)show_uri()
	before gtk_notebook_set_current_page() (#75570)

2002-03-20  Christophe Merlet  <redfox@eikonex.org>

	* configure.in: Added fr to $ALL_LINGUAS.

2002-03-19  Mikael Hallendal  <micke@codefactory.se>

	* configure.in: bumped version to 0.4.99

	* Release 0.4
	
	* configure.in: updated to 0.4

2002-03-19  Sandeep V Honde  <sandeep.honde@wipro.com>

	* src/yelp-main.c:
	- Session management support for multiple
	  windows added.
	  (yelp_save_session)    :modified.
	  (yelp_restore_session) :added/impl.

2002-03-04  Mikael Hallendal  <micke@codefactory.se>

	* configure.in: bumped version to 0.3.99

	* Release 0.3

	* configure.in: 
	- updated version to 0.3
	- updated deps of libgnome and gtkhtml2

	* NEWS: updated for 0.3

2002-03-05  Wang Jian  <lark@linux.net.cn>

	* configure.in: Added "zh_CN" to ALL_LINGUAS.

2002-03-04  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* src/yelp-window.c: add a comment for translators

2002-03-03  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-man.c:
	- Fixes #73292
	(yelp_man_populate_tree_for_subdir): add to section index list.
	(yelp_man_init): concat the man index list with the global.

	* src/yelp-info.c (yelp_info_init): call strdown on the names
	  before adding to index.

	* src/yelp-index-model.c (yelp_index_model_filter): don't show all
	  index-words by default. Only show the words matching the
	  query. Not sure what is the best way to do this, but with all
	  man and info pages in the index it got pretty crowded.

	* src/yelp-base.c (yelp_base_new): pass index to man_init.

	* src/yelp-window.c (yelp_window_new): fixed an error if you don't
	  have an index installed (thanks rhult).

	* src/yelp-index-model.c: use the new YELP_SECTION-macro.
	* src/yelp-view-toc.c: same.
	* src/yelp-util.c: same.
	* src/yelp-scrollkeeper.c: same.

	* src/yelp-section.h: added casting macro YELP_SECTION.

	* src/yelp-base.c (yelp_base_new): pass index-list to info init.

	* src/yelp-info.c (yelp_info_init): 
	- Fixes #73291
	- added index-list to argument.
	- add info pages to index-list.

	* src/yelp-view-toc.c (yelp_view_toc_start): 
	- Fixes #72146
	- Don't show "Other documents" if neither man or info are
	  installed.
	- Don't show "Manual pages" link if no man pages are installed
	- Don't show "Info pages" link of no info pages are installed.

	* src/yelp-man.c (yelp_man_init): 
	- return FALSE and don't create a topnode 'man' in the content
	  tree if there weren't any man pages installed.

	* src/yelp-info.c (yelp_info_init): 
	- return FALSE if no info pages was found. Also don't create the
	  topnode 'info' in the content-tree if there weren't any pages.

	* src/yelp-html.c: removed commeted code.

	* src/yelp-base.c (yelp_base_new): don't care about the result for
	  now.

	* src/yelp-info.c:
	- Fixes #73270
	(yelp_info_read_info_dir): renamed from
	  yelp_info_populate_tree_for_subdir. It not takes a list instead.
	(yelp_info_init): First read the sections into a list, sort it and
	  append it to the GNode.

	* src/yelp-info.c: conform with the Yelp coding style.
	* src/yelp-man.c: same

	* configure.in (GNOMELOCALEDIR): depend on a certain number of
	  libgnome, will update this when new libgnome get's released.

	* src/yelp-window.c:
	- Fixes #73056
	(yelp_window_new): don't create index view if no index is
	  available.  
	(yw_create_toolbar): don't add index-button if index is not
	  available. 
	(yw_populate): don't insert index page in notebook if index is not
	  present.

	* src/yelp-base.c:
	(impl_Yelp_getWindows): added/impl.
	(yelp_base_class_init): use getWindows.

	* idl/GNOME_Yelp.idl (GNOME): 
	- Added getWindows which returns a sequence of strings with the
	  URL's of all open windows. This is needed to save the
	  session-state. (Fixes #73184).

	* src/yelp-window.c:
	(yelp_window_get_current_uri): added, needed for session
	  management.

	* src/yelp-html.c (yh_free_stream_data): removed debug printout.

	* src/yelp-view-index.c:
	- Fixed #67954
	(yvi_html_url_selected_cb): implemented.
	(yelp_view_index_show_uri): fixed compile warning.

	* src/yelp-window.c:
	(yw_handle_url): check if url starts with index:, if so, let
	  YelpViewIndex handle it.
	(yelp_window_new): connect to url_selected on YelpViewIndex.

	* src/yelp-view-index.c:
	- added URL_SELECTED signal.
	(yvi_index_selection_changed_cb): emit url_selected.
	(yvi_entry_activated_cb): fixed warning.
	(yvi_filter_idle): same.
	(yelp_view_index_show_uri): added/impl.

	* src/yelp-view-content.c: removed the title-changed signal for
	  now. I should really make all views derive from the same
	  object. Lots of things are similar. (at least for YelpViewIndex
	  and YelpViewContent.

	* src/yelp-scrollkeeper.c:
	(ys_parse_index_item): 
	- add a ? before the link.
	- add a index: before the uri
	  The uri will now be index:ghelp:... (not soo nice but it's to
	  make the window know which view it is).

2002-03-02  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-index.c:
	- removed lots of debug output.
	(yvi_entry_changed_cb): implemented. call filter from idle.
	(yvi_filter_idle): added/impl.
	(yvi_search): removed.

	* src/yelp-section.c:
	(yelp_section_compare): take the arguments as gconstpointer so the
	  function doesn't have to be cast everytime used.

	* src/yelp-scrollkeeper.c:
	(ys_parse_index_item): 
	- don't add title if it's not valid utf8. Is this check needed?
	- call strdown on all title's in the index-terms.

	* src/yelp-index-model.c:
	(yelp_index_model_filter): added/impl.

	* src/yelp-view-index.c:
	(yvi_index_selection_changed_cb): use the column-enum to specify
	  columns.

	* src/yelp-index-model.c:
	(yim_init): initially set index_words to NULL.
	(yim_get_column_type): return the correct type.
	(yim_get_value): add support for the extra hidden section column.
	(yelp_index_model_set_words): inform that new lines have been
	  added to the model.

	* src/yelp-index-model.h: added a column-enum

	* src/Makefile.am: removed gtktreemodelfilter

	* src/gtktreemodelfilter.[ch]: removed, not used and _kris_ is
	  doing the development in libegg now.

	* src/yelp-view-index.c: 
	- replaced the old ListStore with the new YelpIndexModel.
	(yvi_index_term_add): removed, not needed when using own model.
	(yvi_setup_index_view): removed.
	
	* src/yelp-index-model.[ch]: missed some copy&paste-changes when
	  copying the model from MrProject :)
	(yelp_index_model_set_words): added.

	* src/yelp-view-index.c: 
	- in-the-middle-commit on index search stuff.
	(yvi_entry_changed_cb): added
	(yvi_entry_activated_cb): added
	(yvi_entry_text_inserted_cb): added
	(yvi_search): added
	(yvi_complete_idle): added
	(yvi_complete_func): added
	(yelp_view_index_new): connect to signals in the entry.

	* src/yelp-scrollkeeper.c: removed debug variable.

	* src/yelp-index-model.[ch]: added model for the index.

	* configure.in: added compile warnings.

2002-02-28  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c:
	(yw_about_cb): added translator-credits to about-box.
	- #72636 fixed.
	- added GtkItemFactory to priv-struct.
	- added a Go-menu with the actions from the toolbar in it.
	- removed accelerators from toolbar items.
	- renamed some functions that made it easier to add the Go-menu.

2002-02-28  Sandeep V Honde <sandeep.honde@wipro.com>

	* src/yelp-main.c :
	- Basic support for Session Management.
	(yelp_save_session): added/impl.
	(yelp_client_die)  : added/impl.  

2002-02-28  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-index.c:
	(yelp_view_index_new): Added "Search for:" label in fron of the
	  search entry. Fixes #72643

	* src/yelp-window.c:
	(yw_create_toolbar): 
	- Update string, fixes #72634
	- Update string, fixes #72635

	* src/yelp-view-toc.c:
	(yelp_view_toc_man_1): Update string, fixes #72638
	(yelp_view_toc_start): Update string, fixes #72632

2002-02-25  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-index.c:
	(yvi_index_term_add): added/impl.
	(yvi_setup_index_view): added/impl.
	(yelp_view_index_new): call yvi_setup_index_view.

	* src/yelp-scrollkeeper.c: removed some debug printouts.

	* src/yelp-window.c:
	(yelp_window_new): added index-list to arguments.

	* src/yelp-view-index.c: started to fix (was a copy&paste from
	  yelp-view-content.

	* src/yelp-section.h: added YELP_SECTION_INDEX to YelpSectionType.

	* src/yelp-section.c: include string.h, fixes compile warning.

	* src/yelp-scrollkeeper.c:
	- Basic support for ScrollKeeper index added
	- use g_ascii_strcasecmp instead of depricated g_strcasecmp.
	  Thanks to the wipro guys for notifying.
	(ys_parse_index): added/impl.
	(ys_parse_index_file): added/impl.
	(ys_parse_index_item): added/impl.
	(yelp_scrollkeeper_init): 
	- added GList **index to arguments.

	* src/yelp-main.c:
	(yelp_main_open_new_window): use g_error
	(yelp_main_start): same.

	* src/yelp-history.c: include string.h, fixes compile warning.

	* src/yelp-base.c: added index-list to priv-struct
	(yelp_base_new): call scrollkeeper_init with index-list
	(yelp_base_new_window): send the index-list to the new window.

2002-02-22  Kjartan Maraas  <kmaraas@gnome.org>

	* src/yelp-main.c: Remove unsupported #ifdef ENABLE_NLS stuff.
	
2002-02-20  Simos Xenitellis  <simos@hellug.gr>

	* configure.in: Added "el" to ALL_LINGUAS.

2002-02-18  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-history.c (yelp_history_goto): don't add entry to
	  history list if it's the same as the current.

	* src/yelp-window.c (yw_home_button_clicked): Notify the history
	  list that we have moved.

	* src/yelp-view-index.c (yvi_tree_selection_changed_cb): call
	  yelp_html_open_uri instead of yelp_html_open_section.

	* src/yelp-html.[ch] (yelp_html_open_uri): renamed from
	  yelp_html_open_sectoin. It now takes an uri and a reference 
	  instead of a YelpSection.

	* src/yelp-view-content.c (yelp_view_content_show_uri): call
	  yelp_html_open_uri instead of creating a temporary YelpSection.

	* src/yelp-view-toc.c (yelp_view_toc_man_2): don't send html for
	  translations, reported by Christian Rose

	* src/yelp-window.c (yw_init): make the default size smaller.

	* src/yelp-view-toc.c: typedef the YelpImportantDocsSection struct
	(yelp_view_toc_start): only write section topic for important
	  documents if there is any documents installed in that section.

	* src/yelp-util.c (yelp_util_extract_docpath_from_uri): 
	- Also work for sgml documents.

2002-02-18  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in: remove GNOME_COMMON_INIT, GNOME_PLATFORM_GNOME_2

2002-02-17  TÃµivo LeedjÃ¤rv  <leedjarv@interest.ee>

	* configure.in: Added et to ALL_LINGUAS.

2002-02-13  jacob berkman  <jacob@ximian.com>

	* src/Makefile.am (install-exec-local): rename install-local since
	automake doesn't like it

2002-02-13  Alex Larsson  <alexl@redhat.com>

	* src/yelp-view-toc.c (yelp_view_toc_write, yelp_view_toc_close,
	yelp_view_toc_open): 
	Implement buffering writes for generated html.

2002-02-13  Alex Larsson  <alexl@redhat.com>

	* src/Makefile.am (install-local):
	Remove old gnome-help binary, if any.
	
2002-02-13  Alex Larsson  <alexl@redhat.com>

	* src/Makefile.am (install-local):
	Install a gnome-help symlink

2002-02-13  Mikael Hallendal  <micke@codefactory.se>
	
	* configure.in: release 0.2.1

	* reverted binary name change.

	* src/yelp-main.c (main): initiate url to empty string instead of
	  NULL. Fixed #71350
	
	* src/yelp-base.c (impl_Yelp_newWindow): check if url is empty
	  before trying to open it.

2002-02-12  Alex Larsson  <alexl@redhat.com>

	* important_docs.xml:
	* src/yelp-view-toc.c:
	Add sections to the important docs file
	Consistently call it "Manual pages" instead of "Man pages".
	Add link back to toc:man from the secondary level man page indexes.

2002-02-10  Mikael Hallendal  <micke@codefactory.se>

	* src/*.c: cleaned up includes
		
	* src/yelp-util.c (yelp_util_extract_docpath_from_uri): remove
	  warning.
	
	* src/yelp-window.c (yw_handle_url): show external URL's in
	  external viewer. #67962

2002-02-06  Alex Larsson  <alexl@redhat.com>

	* src/yelp-util.c (yelp_util_extract_docpath_from_uri):
	Correctly handle the case when gnome_vfs_uri_new() fails.

2002-01-31  Satan  <snickell@stanford.edu>

	* Makefile.am:
	* gnome-help.desktop.in:
	* src/Makefile.am:
	* yelp.desktop.in:

	Renname stuff to "gnome-help".

	Because I'm a boring kind of guy.
	
2002-01-31  Roy-Magne Mo  <rmo@sunnmore.net>

	* configure.in: Added nn to ALL_LINGUAS.

2002-01-30  Zbigniew Chyla  <cyba@gnome.pl>

	* configure.in (ALL_LINGUAS): Added pl (Polish).

2002-01-30  Mikael Hallendal  <micke@codefactory.se>

	* configure.in: bumped version to 0.2.99

	* Release 0.2

	* src/yelp-view-toc.c (yelp_view_toc_write_header): added encoding
	  utf-8 to html header.

	* README: updated

	* configure.in: bumped version.
	
	* src/yelp-util.c: removed debug printouts.

	* src/yelp-html.c: hide debug printouts.

	* src/yelp-view-content.c: same.

	* src/yelp-window.c: same.
	
	* src/yelp-window.c (yw_populate): translate strings from item
	  factory.

	* src/yelp-view-toc.c 
	(yelp_view_toc_start): marked strings for translation.
	(yelp_view_toc_start): same.
	(yelp_view_toc_man_2): same.
	(yelp_view_toc_man_1): same.
	(yelp_view_toc_info): same.
	(yelp_view_toc_scrollkeeper): same.

	* src/yelp-window.c:
	(yw_url_selected_cb): 
	- if both base_url and url is set call resolve_relative_url to get
	  the absolute url. 
	- if only one of them is set, use that one.

	* src/yelp-view-content.c: 
	- moved the scrolled window for the tree into the priv-class.
	(yvc_tree_selection_changed_cb): emit url-selected signal.
	(yelp_view_content_show_path): removed, unused.
	(yelp_view_content_show_uri): 
	- hide the tree if: man, info or xml/sgml document without TOC.
	- don't reload the tree if it's the same document that's going to
	  be showed again.
	- Retrieve the ScrollKeeper tree based on fullpath uri to file,
	  relative link stripped.

	* src/yelp-util.c: 
	(yelp_util_contents_add_section): removed, unused.
	(yelp_util_resolve_relative_uri): if uri starts with ? just concat
	  the base_uri with the relative link.
	(tree_find_node): Search a tree to find a node that matches an
	  uri.
	(yelp_util_find_node_from_uri): traverse the tree to find the node
	  for a certain URI.
	(yelp_util_extract_docpath_from_uri): added, helper function that
	  takes a URI and calculates an absolute path to the document
	  (without anchors). This is used to find the TOC tree for that
	  document. This function needs some tweaking.

	* src/yelp-scrollkeeper.[ch] 
	(yelp_scrollkeeper_get_toc_tree): renamed from
	  ..._get_toc_tree_model.

2002-01-29  Seth Nickell  <snickell@stanford.edu>

	* yelp.desktop.in:

	Tweak comment.

2002-01-27  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-content.c: added title-changed signal. Shouldn't
	  perhaps be here. Will perhaps remove it and do it all from 
	  YelpWindow.
	
	* src/yelp-util.[ch] (yelp_util_find_node_from_uri): added
	  unimpl.

	* src/yelp-marshal.list: added VOID:STRING

	* src/yelp-main.c (main): look if an extra argument was passed, if
	  it was send it to yelp_main_start.
	(yelp_main_idle_start): take url as argument
	(yelp_main_start): dito
	(yelp_main_open_new_window): send url to GNOME_Yelp_newWindow

	* src/yelp-base.c (impl_Yelp_newWindow): take a url argument. If
	  it's not NULL it will open the window with that URI showing.

	* idl/GNOME_Yelp.idl (GNOME): newWindow now takes a url-argument.

	* src/yelp-view-content.c (yelp_view_content_show_uri): 
	- if uri starts with ghelp:, try to find the TOC for that document
	  in scrollkeeper. If it's found, display it in the tree widget.

	* src/yelp-scrollkeeper.c: 
	- Removed old stuff outcommented and unused code.
	(ys_parse_toc_section): fill a GNode tree instead of GtkTreeStore.
	(yelp_scrollkeeper_get_toc_tree_model): use GNode instead of
	  GtkTreeStore.

	* src/yelp-html.c (yelp_html_open_section): NULL-terminate list of
	  strings to g_strconcat.

	* src/yelp-scrollkeeper.c:
	(yelp_parse_toc): removed, code moved to
	  yelp_scrollkeeper_get_toc_tree_model 
	(yelp_scrollkeeper_get_toc_tree_model): moved the code from
	  yelp_parse_toc. 

	* src/yelp-main.c (yelp_main_start): give an error if we can't
	  active the yelp-base, might solve #69134. Not the cause but the 
	  segfault.
	(yelp_main_idle_start): dito.

2002-01-26  Mikael Hallendal  <micke@codefactory.se>

	* src/Makefile.am: removed BUILD_SOURCES since it seems to create
	  problems with automake 1.4.

        * Thanks to Laszlo PETER <Laszlo.Peter@ireland.sun.com> for the
	  following patches.
	
	* src/yelp-view-toc.c:
	(yelp_view_toc_write_header): buildfixes when not using gcc.
	(yelp_view_toc_start): dito

	* src/yelp-html.c: build fixes when not using glibc.

	* configure.in: make yelp build with other compilers than GCC.

	* src/yelp-window.c:
	- Fixed history
	(yw_handle_url): added, broke out code from
	  yw_url_selected_cb. Called from history_button_clicked too.  
	(yw_url_selected_cb): call yw_handle_url instead of parsing the
	  url internally. If yw_handle_url returns TRUE, add the url in
	  the history.

2002-01-25  Alex Larsson  <alexl@redhat.com>

	* important_docs.xml:
	New file.
	
	* Makefile.am:
	Install important_docs.xml

	* src/yelp-view-toc.c:
	Parse important_docs.xml instead of hardcoding them
	
	* configure.in:
	Remove "hu" from ALL_LINGUAS, as it breaks the build.

2002-01-25  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added "da" to ALL_LINGUAS.

2002-01-25  Szabolcs Ban  <shooby@gnome.hu>

        * po/hu.po: Added Hungarian translations from Emese Kovacs
        <emese@gnome.hu>, cvs troubles solved, sorry for that

Fri Jan 25 12:43:19 2002  Owen Taylor  <otaylor@redhat.com>

	* configure.in: Remove 'hu' from ALL_LINGUAS since
	the po file wasn't actually added. 

2002-01-25  Szabolcs Ban  <shooby@gnome.hu>

        * po/hu.po: Added Hungarian translations from Emese Kovacs
        <emese@gnome.hu>

2002-01-24  Alex Larsson  <alexl@redhat.com>

        * src/yelp-util.[ch]:
	Add yelp_util_find_toplevel().
	
	* src/yelp-view-content.[ch]:
	Add some tree support.

	* src/yelp-view-toc.c:
	Add scrollkeeper support.

	* src/yelp-window.c:
	Remove old crap, make content view work again.
	
2002-01-24  Alex Larsson  <alexl@redhat.com>

	* src/yelp-view-toc.c:
	Add initial scrollkeeper support.

2002-01-24  Alexander Shopov  <al_shopov@web.bg>

	* configure.in (ALL_LINGUAS): added "bg"

2002-01-23  Alex Larsson  <alexl@redhat.com>

	* src/yelp-scrollkeeper.[ch]:
	Implement seriesid lookup.

	* src/yelp-view-toc.c:
	Fix the startpage to contain the seriesid docs, and
	be more dynamic.

2002-01-23  Alex Larsson  <alexl@redhat.com>

	* src/yelp-util.c:
	Change path separator to '/'.

	* src/yelp-view-toc.c:
	Implement simple toc:info URL handler.

2002-01-23  Alex Larsson  <alexl@redhat.com>

	* src/yelp-util.c:
	Clean up section->name usage
	
	* src/yelp-view-toc.c:
	Clean up and fix double free in yelp_view_toc_full_path_name()

2002-01-22  Alex Larsson  <alexl@redhat.com>

	* src/yelp-man.c (yelp_man_push_initial_tree):
	Fix silly bug.

	* src/yelp-util.[ch]:
	Add functions to go between Nodes in the doc tree and
	string paths.

	* src/yelp-view-toc.c:
	Update man handling to GNodes.

2002-01-23  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c (yw_history_button_clicked): 
	- use string instead of YelpSection with history.

	* src/yelp-history.[ch]: work with strings instead of
	  YelpSection. 

2002-01-22  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.in: Added ms to ALL_LINGUAS.
	* po/ms.po: Added Malay Translation by
          Mohamad Afifi Omar <mr_mohd_afifi@yahoo.com> and me.

2002-01-22  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-toc.c: started to rewrite to use GNode-tree
	  instead of GtkTreeStore.

	* src/yelp-base.c: use a GNode-tree instead of the GtkTreeStore.

	* src/yelp-window.c: dito.

	* src/yelp-scrollkeeper.[ch]: dito.

	* src/yelp-man.[ch]: dito.

	* src/yelp-info.[ch]: dito.

	* src/yelp-window.c: use stock items for menu.

2002-01-21  Alex Larsson  <alexl@redhat.com>

        * src/yelp-marshal.list:
	Add a boolean the the marshaller needed for url_selected

	* src/yelp-section.h:
	Fix typo in #endif
	
        * src/yelp-html.[ch]:
	Change section_selected to url_selected
	
	* src/yelp-view-content.[ch]:
	Add url_selected signal that proxies YelpHtml::url_selected
	Implement yelp_view_content_show_uri.

	* src/yelp-view-index.c:
	Change section_selected to url_selected

	* src/yelp-view-toc.[ch]:
	Change path_selected to url_selected
	More man index work.
	Moved startpage to it's own function.
	Exported yelp_view_toc_open_url().

	* src/yelp-window.c:
	Common way to follow link is now the url_selected signal
	on views.

2002-01-21  jacob berkman  <jacob@ximian.com>

	* src/Makefile.am (EXTRA_DIST): the .list file has a -

2002-01-21  Seth Nickell  <snickell@stanford.edu>

	* yelp.desktop.in:

	Call it "Help".

2002-01-19  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-base.c
	(yelp_base_window_finalized_cb): added/impl. 
	  quit the bonobo-main when last window is destroyed.
	(yelp_base_new_window): add a weak ref to the new window. used to
	  be able to quit bonobo-main when last window is destroyed.

	* src/yelp-info.c (yelp_info_init): 
	- check if /usr/share/info and /usr/info is the same before adding
	both.

	* src/yelp-man.c (yelp_man_init): 
	- Use g_spawn_command_line_sync instead of popen.
	- if 'manpath' command is not found, look for MANPATH env. before
	  using /usr/man and /usr/share/man
	- cleaned up a little to better fit into Yelp code.

	* src/yelp-html.c (yelp_html_new): remove the temp printout. just
	  print Yelp for now.

	* src/yelp-man.c (yelp_man_init): 
	  check that /usr/man and /usr/share/man doesn't point to the same
	  place. 

	* src/yelp-scrollkeeper.c:
	(ys_strip_scheme): rewrote to
	- accept NULL instead of scheme
	- return the new string instead of breaking down the one passed
	  in.
	- use strstr instead of g_strstr_len with the entire string as
	  len.
	(ys_parse_doc): 
	- send NULL to ys_strip_scheme since we are not interested in the
	  scheme for now. Also clean up that stuff a bit. 
	- call xmlFree on the xml-strings instead of g_free.
	- don't free docsource before it's last use :)

2002-01-19  Alexander Larsson  <alla@lysator.liu.se>

	* src/yelp-scrollkeeper.c (ys_strip_scheme):
	Set *scheme, not scheme on error

2002-01-18  Alex Larsson  <alexl@redhat.com>

	* configure.in:
	Add AM_PATH_GLIB_2_0 to get GLIB_GENMARSHAL

	* src/yelp-marshal.list
	* src/Makefile.am:
	Generate marshaller files
	
	* src/yelp-view-toc.[ch]:
	New url_selected signal.

	* src/yelp-scrollkeeper.c:
	Fix leak
	
2002-01-17  Alex Larsson  <alexl@redhat.com>

	* src/yelp-window.c (yw_populate):
	Make TOC view scrolled window policy AUTO.
	
	 * yelp-view-toc.c:
	 More initial man work.
	 
2002-01-16  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* yelp.desktop.in:

	Install .desktop file into the proper location, and fix
	its Categories field. Use the gnome-help.png icon. 
	
2002-01-15  Alex Larsson  <alexl@redhat.com>

	* src/yelp-view-toc.c:
	Initial work on sane html generation, including some
	man index work.

	* yelp-info.c:
	* yelp-man.c:
	* yelp-scrollkeeper.c:
	Rename the toplevel nodes to "man", "info" and "scrollkeeper".
	
Tue Jan 15 23:27:44 2002  Kristian Rietveld  <kris@gtk.org>

	* src/gtktreemodelfilter.[ch]: update

2002-01-14  Alex Larsson  <alexl@redhat.com>

	* yelp-section.[ch]:
	Add section type to section.

	* src/yelp-html.c:
	* src/yelp-info.c:
	* src/yelp-man.c:
	Update for the section type change.

	* src/yelp-scrollkeeper.c: 
	Update for the section type change.
	Make a scrollkeeper toplevel node.

2002-01-14  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-toc.[ch]: renamed from YelpViewHome.

	* src/yelp-window.c: use YelpViewTOC instead of YelpViewHome.

	* AUTHORS: added Alexander Larsson

	* src/yelp-window.c (yw_about_cb): added Alexander Larsson to
	authors.

	* configure.in: bumped version to 0.1.99

2002-01-11  Alex Larsson  <alexl@redhat.com>

	* src/yelp-html.c (yh_link_clicked_cb):
	Shortcut pure relative links.
	(yelp_html_open_section): If there is a fragment
	in the uri, put that in sdata->anchor so that we
	jump to the anchor on load.

2002-01-11  Alex Larsson  <alexl@redhat.com>

	* src/yelp-util.[ch]:
	Add yelp_util_resolve_relative_uri() that resolves
	relative text uris. Taken from Gnome VFS. We can't use
	the Gnome-vfs one, since gnome_vfs_uri_new() expands
	the uris.
	
	* src/yelp-html.c (yh_link_clicked_cb):
	Correctly follow relative URIs.

2002-01-11  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c (yw_create_toolbar): don't include help-on in
	  the toolbar.

2002-01-10  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-view-content.c: 
	- use the new GtkTreeModelFilter.
	(yvc_tree_selection_changed_cb): get the model from the actual
	  tree and use it to get the section selected.
	(yelp_view_content_new): don't set the model here, use the
	  filtered model in content_show_path instead.
	(yelp_view_content_show_path): set the model to a filtered model
	  with virtual root set to the selected path.

	* src/yelp-util.c (yelp_util_contents_add_section): set third
	  hidden filter-column to always TRUE (always visible).

	* src/yelp-base.c (yelp_base_init): added boolean hidden column
	  needed by the filtering.

	* src/gtktreemodelfilter.[ch]: added GtkTreeModelFilter from
	  Kristian Rietval, this is temporaray until this makes it into
	  Gtk+ or some extra library.

	* src/Makefile.am:
	(yelp_LDADD): added libgtktreemodelfilter
	(noinst_LTLIBRARIES): added libgtktreemodelfilter.

2002-01-10  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "nl" to ALL_LINGUAS.

2002-01-09  Alex Larsson  <alexl@redhat.com>

	* acconfig.h:
	* configure.in:
	Look for libbz2

	* src/Makefile.am
	* src/yelp-man.[ch]:
	* src/yelp-info.[ch]:
	New files

	* src/yelp-base.c (yelp_base_new):
	Call yelp_man_init() and yelp_info_init().

	* src/yelp-section.[ch]:
	Add yelp_section_compare for sorting by name.

2002-01-09  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-base.[ch]: use BonoboObject instead of BonoboXObject,
	  thanks rhult for notifying me.

2002-01-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "es" to ALL_LINGUAS.

2002-01-06  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "tr" to the languages list.

2002-01-06  GermÃ¡n Poo-CaamaÃ±o <gpoo@ubiobio.cl>

	* configure.in: Added spanish (es) to ALL_LINGUAS

2002-01-05  Mikael Hallendal  <micke@codefactory.se>

	* src/yelp-window.c (yw_exit_cb): use bonobo_main_quit instead of
	  gtk_main_quit. This should be moved to yelp-base instead.

